/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 59 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 59 "conf/gen_parser.m4"

#line 1041 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM = 20,                      /* ENUM  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '+'  */
  YYSYMBOL_37_ = 37,                       /* '-'  */
  YYSYMBOL_38_ = 38,                       /* '*'  */
  YYSYMBOL_39_ = 39,                       /* '/'  */
  YYSYMBOL_40_ = 40,                       /* '%'  */
  YYSYMBOL_41_ = 41,                       /* '!'  */
  YYSYMBOL_42_ = 42,                       /* '.'  */
  YYSYMBOL_DEFINE = 43,                    /* DEFINE  */
  YYSYMBOL_ON = 44,                        /* ON  */
  YYSYMBOL_OFF = 45,                       /* OFF  */
  YYSYMBOL_YES = 46,                       /* YES  */
  YYSYMBOL_NO = 47,                        /* NO  */
  YYSYMBOL_S = 48,                         /* S  */
  YYSYMBOL_MS = 49,                        /* MS  */
  YYSYMBOL_US = 50,                        /* US  */
  YYSYMBOL_PORT = 51,                      /* PORT  */
  YYSYMBOL_VPN = 52,                       /* VPN  */
  YYSYMBOL_MPLS = 53,                      /* MPLS  */
  YYSYMBOL_FROM = 54,                      /* FROM  */
  YYSYMBOL_MAX = 55,                       /* MAX  */
  YYSYMBOL_AS = 56,                        /* AS  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '('  */
  YYSYMBOL_59_ = 59,                       /* ')'  */
  YYSYMBOL_FLOW4 = 60,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 61,                     /* FLOW6  */
  YYSYMBOL_DST = 62,                       /* DST  */
  YYSYMBOL_SRC = 63,                       /* SRC  */
  YYSYMBOL_PROTO = 64,                     /* PROTO  */
  YYSYMBOL_NEXT = 65,                      /* NEXT  */
  YYSYMBOL_HEADER = 66,                    /* HEADER  */
  YYSYMBOL_DPORT = 67,                     /* DPORT  */
  YYSYMBOL_SPORT = 68,                     /* SPORT  */
  YYSYMBOL_ICMP = 69,                      /* ICMP  */
  YYSYMBOL_TYPE = 70,                      /* TYPE  */
  YYSYMBOL_CODE = 71,                      /* CODE  */
  YYSYMBOL_TCP = 72,                       /* TCP  */
  YYSYMBOL_FLAGS = 73,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 74,                    /* LENGTH  */
  YYSYMBOL_DSCP = 75,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 76,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 77,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 78,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 79,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 80,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 81,                     /* LABEL  */
  YYSYMBOL_OFFSET = 82,                    /* OFFSET  */
  YYSYMBOL_83_ = 83,                       /* ','  */
  YYSYMBOL_84_ = 84,                       /* '{'  */
  YYSYMBOL_85_ = 85,                       /* '}'  */
  YYSYMBOL_IN = 86,                        /* IN  */
  YYSYMBOL_FUNCTION = 87,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 88,                     /* PRINT  */
  YYSYMBOL_PRINTN = 89,                    /* PRINTN  */
  YYSYMBOL_UNSET = 90,                     /* UNSET  */
  YYSYMBOL_RETURN = 91,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 92,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 93,                    /* REJECT  */
  YYSYMBOL_ERROR = 94,                     /* ERROR  */
  YYSYMBOL_INT = 95,                       /* INT  */
  YYSYMBOL_BOOL = 96,                      /* BOOL  */
  YYSYMBOL_IP = 97,                        /* IP  */
  YYSYMBOL_PREFIX = 98,                    /* PREFIX  */
  YYSYMBOL_RD = 99,                        /* RD  */
  YYSYMBOL_PAIR = 100,                     /* PAIR  */
  YYSYMBOL_QUAD = 101,                     /* QUAD  */
  YYSYMBOL_EC = 102,                       /* EC  */
  YYSYMBOL_LC = 103,                       /* LC  */
  YYSYMBOL_SET = 104,                      /* SET  */
  YYSYMBOL_STRING = 105,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 106,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 107,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 108,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 109,                    /* CLIST  */
  YYSYMBOL_ECLIST = 110,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 111,                   /* LCLIST  */
  YYSYMBOL_IF = 112,                       /* IF  */
  YYSYMBOL_THEN = 113,                     /* THEN  */
  YYSYMBOL_ELSE = 114,                     /* ELSE  */
  YYSYMBOL_CASE = 115,                     /* CASE  */
  YYSYMBOL_FOR = 116,                      /* FOR  */
  YYSYMBOL_DO = 117,                       /* DO  */
  YYSYMBOL_TRUE = 118,                     /* TRUE  */
  YYSYMBOL_FALSE = 119,                    /* FALSE  */
  YYSYMBOL_RT = 120,                       /* RT  */
  YYSYMBOL_RO = 121,                       /* RO  */
  YYSYMBOL_UNKNOWN = 122,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 123,                  /* GENERIC  */
  YYSYMBOL_GW = 124,                       /* GW  */
  YYSYMBOL_NET = 125,                      /* NET  */
  YYSYMBOL_SOURCE = 126,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 127,                    /* SCOPE  */
  YYSYMBOL_DEST = 128,                     /* DEST  */
  YYSYMBOL_IFNAME = 129,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 130,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 131,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 132,                  /* GW_MPLS  */
  YYSYMBOL_GW_MPLS_STACK = 133,            /* GW_MPLS_STACK  */
  YYSYMBOL_ONLINK = 134,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 135,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 136,                /* ROA_CHECK  */
  YYSYMBOL_DEFINED = 137,                  /* DEFINED  */
  YYSYMBOL_ADD = 138,                      /* ADD  */
  YYSYMBOL_DELETE = 139,                   /* DELETE  */
  YYSYMBOL_RESET = 140,                    /* RESET  */
  YYSYMBOL_PREPEND = 141,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 142,                    /* EMPTY  */
  YYSYMBOL_FILTER = 143,                   /* FILTER  */
  YYSYMBOL_WHERE = 144,                    /* WHERE  */
  YYSYMBOL_EVAL = 145,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 146,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 147,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 148,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 149,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 150,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 151,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 152,                   /* FORMAT  */
  YYSYMBOL_153_ = 153,                     /* ':'  */
  YYSYMBOL_154_ = 154,                     /* '['  */
  YYSYMBOL_155_ = 155,                     /* ']'  */
  YYSYMBOL_156_ = 156,                     /* '?'  */
  YYSYMBOL_ROUTER = 157,                   /* ROUTER  */
  YYSYMBOL_ID = 158,                       /* ID  */
  YYSYMBOL_HOSTNAME = 159,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 160,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 161,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 162,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 163,                    /* DEBUG  */
  YYSYMBOL_ALL = 164,                      /* ALL  */
  YYSYMBOL_DIRECT = 165,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 166,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 167,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 168,                   /* EXPORT  */
  YYSYMBOL_NONE = 169,                     /* NONE  */
  YYSYMBOL_VRF = 170,                      /* VRF  */
  YYSYMBOL_DEFAULT = 171,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 172,                    /* TABLE  */
  YYSYMBOL_TABLES = 173,                   /* TABLES  */
  YYSYMBOL_STATES = 174,                   /* STATES  */
  YYSYMBOL_ROUTES = 175,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 176,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 177,                     /* IPV4  */
  YYSYMBOL_IPV6 = 178,                     /* IPV6  */
  YYSYMBOL_VPN4 = 179,                     /* VPN4  */
  YYSYMBOL_VPN6 = 180,                     /* VPN6  */
  YYSYMBOL_ROA4 = 181,                     /* ROA4  */
  YYSYMBOL_ROA6 = 182,                     /* ROA6  */
  YYSYMBOL_SADR = 183,                     /* SADR  */
  YYSYMBOL_RECEIVE = 184,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 185,                    /* LIMIT  */
  YYSYMBOL_ACTION = 186,                   /* ACTION  */
  YYSYMBOL_WARN = 187,                     /* WARN  */
  YYSYMBOL_BLOCK = 188,                    /* BLOCK  */
  YYSYMBOL_RESTART = 189,                  /* RESTART  */
  YYSYMBOL_DISABLE = 190,                  /* DISABLE  */
  YYSYMBOL_KEEP = 191,                     /* KEEP  */
  YYSYMBOL_FILTERED = 192,                 /* FILTERED  */
  YYSYMBOL_RPKI = 193,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 194,                 /* PASSWORD  */
  YYSYMBOL_KEY = 195,                      /* KEY  */
  YYSYMBOL_PASSIVE = 196,                  /* PASSIVE  */
  YYSYMBOL_TO = 197,                       /* TO  */
  YYSYMBOL_EVENTS = 198,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 199,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 200,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 201,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 202,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 203,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 204,                    /* KEYED  */
  YYSYMBOL_HMAC = 205,                     /* HMAC  */
  YYSYMBOL_MD5 = 206,                      /* MD5  */
  YYSYMBOL_SHA1 = 207,                     /* SHA1  */
  YYSYMBOL_SHA256 = 208,                   /* SHA256  */
  YYSYMBOL_SHA384 = 209,                   /* SHA384  */
  YYSYMBOL_SHA512 = 210,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 211,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 212,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 213,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 214,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 215,                  /* PRIMARY  */
  YYSYMBOL_STATS = 216,                    /* STATS  */
  YYSYMBOL_COUNT = 217,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 218,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 219,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 220,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 221,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 222,                 /* GENERATE  */
  YYSYMBOL_BGP = 223,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 224,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 225,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 226,                   /* RELOAD  */
  YYSYMBOL_OUT = 227,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 228,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 229,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 230,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 231,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 232,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 233,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 234,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 235,                      /* ISO  */
  YYSYMBOL_SHORT = 236,                    /* SHORT  */
  YYSYMBOL_LONG = 237,                     /* LONG  */
  YYSYMBOL_ROUTE = 238,                    /* ROUTE  */
  YYSYMBOL_BASE = 239,                     /* BASE  */
  YYSYMBOL_LOG = 240,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 241,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 242,                     /* WAIT  */
  YYSYMBOL_MIN = 243,                      /* MIN  */
  YYSYMBOL_IDLE = 244,                     /* IDLE  */
  YYSYMBOL_RX = 245,                       /* RX  */
  YYSYMBOL_TX = 246,                       /* TX  */
  YYSYMBOL_INTERVAL = 247,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 248,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 249,                    /* CHECK  */
  YYSYMBOL_LINK = 250,                     /* LINK  */
  YYSYMBOL_SORTED = 251,                   /* SORTED  */
  YYSYMBOL_TRIE = 252,                     /* TRIE  */
  YYSYMBOL_SETTLE = 253,                   /* SETTLE  */
  YYSYMBOL_TIME = 254,                     /* TIME  */
  YYSYMBOL_GC = 255,                       /* GC  */
  YYSYMBOL_THRESHOLD = 256,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 257,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 258,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 259,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 260,               /* MPLS_CLASS  */
  YYSYMBOL_IPV4_MC = 261,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 262,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 263,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 264,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 265,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 266,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 267,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 268,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 269,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 270,                      /* PRI  */
  YYSYMBOL_SEC = 271,                      /* SEC  */
  YYSYMBOL_SHOW = 272,                     /* SHOW  */
  YYSYMBOL_STATUS = 273,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 274,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 275,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 276,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 277,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 278,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 279,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 280,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 281,                     /* ECHO  */
  YYSYMBOL_ENABLE = 282,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 283,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 284,                    /* RANGE  */
  YYSYMBOL_STATIC = 285,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 286,                  /* DYNAMIC  */
  YYSYMBOL_START = 287,                    /* START  */
  YYSYMBOL_POLICY = 288,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 289,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 290,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 291,               /* AGGREGATOR  */
  YYSYMBOL_MERGE = 292,                    /* MERGE  */
  YYSYMBOL_BY = 293,                       /* BY  */
  YYSYMBOL_BABEL = 294,                    /* BABEL  */
  YYSYMBOL_METRIC = 295,                   /* METRIC  */
  YYSYMBOL_RXCOST = 296,                   /* RXCOST  */
  YYSYMBOL_HELLO = 297,                    /* HELLO  */
  YYSYMBOL_UPDATE = 298,                   /* UPDATE  */
  YYSYMBOL_WIRED = 299,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 300,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 301,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 302,                 /* PRIORITY  */
  YYSYMBOL_HOP = 303,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 304,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 305,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 306,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 307,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 308,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 309,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 310,                   /* TUNNEL  */
  YYSYMBOL_RTT = 311,                      /* RTT  */
  YYSYMBOL_DECAY = 312,                    /* DECAY  */
  YYSYMBOL_SEND = 313,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 314,               /* TIMESTAMPS  */
  YYSYMBOL_BFD = 315,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 316,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 317,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 318,                      /* DEV  */
  YYSYMBOL_LOCAL = 319,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 320,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 321,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 322,               /* METICULOUS  */
  YYSYMBOL_STRICT = 323,                   /* STRICT  */
  YYSYMBOL_BIND = 324,                     /* BIND  */
  YYSYMBOL_SESSIONS = 325,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 326,                     /* HOLD  */
  YYSYMBOL_CONNECT = 327,                  /* CONNECT  */
  YYSYMBOL_RETRY = 328,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 329,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 330,                  /* STARTUP  */
  YYSYMBOL_VIA = 331,                      /* VIA  */
  YYSYMBOL_SELF = 332,                     /* SELF  */
  YYSYMBOL_PATH = 333,                     /* PATH  */
  YYSYMBOL_DELAY = 334,                    /* DELAY  */
  YYSYMBOL_FORGET = 335,                   /* FORGET  */
  YYSYMBOL_AFTER = 336,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 337,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 338,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 339,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 340,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 341,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 342,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 343,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 344,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 345,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 346,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 347,                  /* ADDRESS  */
  YYSYMBOL_RR = 348,                       /* RR  */
  YYSYMBOL_RS = 349,                       /* RS  */
  YYSYMBOL_CLIENT = 350,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 351,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 352,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 353,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 354,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 355,                   /* PREFER  */
  YYSYMBOL_OLDER = 356,                    /* OLDER  */
  YYSYMBOL_MISSING = 357,                  /* MISSING  */
  YYSYMBOL_LLADDR = 358,                   /* LLADDR  */
  YYSYMBOL_DROP = 359,                     /* DROP  */
  YYSYMBOL_IGNORE = 360,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 361,                 /* ENHANCED  */
  YYSYMBOL_REFRESH = 362,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 363,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 364,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 365,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 366,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 367,                      /* IGP  */
  YYSYMBOL_GATEWAY = 368,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 369,                /* RECURSIVE  */
  YYSYMBOL_MED = 370,                      /* MED  */
  YYSYMBOL_TTL = 371,                      /* TTL  */
  YYSYMBOL_SECURITY = 372,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 373,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 374,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 375,                    /* ALLOW  */
  YYSYMBOL_PATHS = 376,                    /* PATHS  */
  YYSYMBOL_AWARE = 377,                    /* AWARE  */
  YYSYMBOL_SETKEY = 378,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 379,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 380,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 381,                /* MULTICAST  */
  YYSYMBOL_LIVED = 382,                    /* LIVED  */
  YYSYMBOL_STALE = 383,                    /* STALE  */
  YYSYMBOL_IBGP = 384,                     /* IBGP  */
  YYSYMBOL_EBGP = 385,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 386,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 387,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 388,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 389,                     /* SETS  */
  YYSYMBOL_NAME = 390,                     /* NAME  */
  YYSYMBOL_DIGITS = 391,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 392,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 393,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 394,                /* ORIGINATE  */
  YYSYMBOL_COST = 395,                     /* COST  */
  YYSYMBOL_ENFORCE = 396,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 397,                    /* FIRST  */
  YYSYMBOL_FREE = 398,                     /* FREE  */
  YYSYMBOL_VALIDATE = 399,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 400,                     /* ROLE  */
  YYSYMBOL_ROLES = 401,                    /* ROLES  */
  YYSYMBOL_PEER = 402,                     /* PEER  */
  YYSYMBOL_PROVIDER = 403,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 404,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 405,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 406,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 407,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 408,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 409,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 410,                    /* CEASE  */
  YYSYMBOL_HIT = 411,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 412,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 413,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 414,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 415,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 416,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 417,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 418,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 419,                /* COLLISION  */
  YYSYMBOL_OF = 420,                       /* OF  */
  YYSYMBOL_L3VPN = 421,                    /* L3VPN  */
  YYSYMBOL_TARGET = 422,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 423,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 424,                      /* MRT  */
  YYSYMBOL_FILENAME = 425,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 426,                   /* ALWAYS  */
  YYSYMBOL_V2 = 427,                       /* V2  */
  YYSYMBOL_V3 = 428,                       /* V3  */
  YYSYMBOL_OSPF = 429,                     /* OSPF  */
  YYSYMBOL_OSPF_METRIC1 = 430,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 431,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 432,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 433,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 434,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 435,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 436,                     /* STUB  */
  YYSYMBOL_TICK = 437,                     /* TICK  */
  YYSYMBOL_COST2 = 438,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 439,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 440,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 441,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 442,                /* BROADCAST  */
  YYSYMBOL_BCAST = 443,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 444,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 445,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 446,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 447,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 448,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 449,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 450,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 451,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 452,                     /* POLL  */
  YYSYMBOL_NETWORKS = 453,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 454,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 455,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 456,                     /* ONLY  */
  YYSYMBOL_LARGE = 457,                    /* LARGE  */
  YYSYMBOL_NORMAL = 458,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 459,                  /* STUBNET  */
  YYSYMBOL_TAG = 460,                      /* TAG  */
  YYSYMBOL_LSADB = 461,                    /* LSADB  */
  YYSYMBOL_ECMP = 462,                     /* ECMP  */
  YYSYMBOL_NSSA = 463,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 464,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 465,                /* STABILITY  */
  YYSYMBOL_LSID = 466,                     /* LSID  */
  YYSYMBOL_INSTANCE = 467,                 /* INSTANCE  */
  YYSYMBOL_REAL = 468,                     /* REAL  */
  YYSYMBOL_NETMASK = 469,                  /* NETMASK  */
  YYSYMBOL_LSA = 470,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 471,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 472,                  /* RFC5838  */
  YYSYMBOL_PE = 473,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 474,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 475,                    /* STATE  */
  YYSYMBOL_PERF = 476,                     /* PERF  */
  YYSYMBOL_EXP = 477,                      /* EXP  */
  YYSYMBOL_REPEAT = 478,                   /* REPEAT  */
  YYSYMBOL_MODE = 479,                     /* MODE  */
  YYSYMBOL_PIPE = 480,                     /* PIPE  */
  YYSYMBOL_RADV = 481,                     /* RADV  */
  YYSYMBOL_RA = 482,                       /* RA  */
  YYSYMBOL_SOLICITED = 483,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 484,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 485,                  /* MANAGED  */
  YYSYMBOL_OTHER = 486,                    /* OTHER  */
  YYSYMBOL_CONFIG = 487,                   /* CONFIG  */
  YYSYMBOL_LINGER = 488,                   /* LINGER  */
  YYSYMBOL_MTU = 489,                      /* MTU  */
  YYSYMBOL_REACHABLE = 490,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 491,                  /* RETRANS  */
  YYSYMBOL_TIMER = 492,                    /* TIMER  */
  YYSYMBOL_CURRENT = 493,                  /* CURRENT  */
  YYSYMBOL_VALID = 494,                    /* VALID  */
  YYSYMBOL_PREFERRED = 495,                /* PREFERRED  */
  YYSYMBOL_MULT = 496,                     /* MULT  */
  YYSYMBOL_LIFETIME = 497,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 498,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 499,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 500,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 501,                    /* DNSSL  */
  YYSYMBOL_NS = 502,                       /* NS  */
  YYSYMBOL_TRIGGER = 503,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 504,                /* SENSITIVE  */
  YYSYMBOL_LOW = 505,                      /* LOW  */
  YYSYMBOL_MEDIUM = 506,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 507,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 508,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 509,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 510,              /* RA_LIFETIME  */
  YYSYMBOL_CUSTOM = 511,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 512,                   /* OPTION  */
  YYSYMBOL_VALUE = 513,                    /* VALUE  */
  YYSYMBOL_NG = 514,                       /* NG  */
  YYSYMBOL_RIP = 515,                      /* RIP  */
  YYSYMBOL_INFINITY = 516,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 517,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 518,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 519,                  /* VERSION  */
  YYSYMBOL_SPLIT = 520,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 521,                  /* HORIZON  */
  YYSYMBOL_POISON = 522,                   /* POISON  */
  YYSYMBOL_REVERSE = 523,                  /* REVERSE  */
  YYSYMBOL_ZERO = 524,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 525,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 526,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 527,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 528,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 529,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 530,                   /* REMOTE  */
  YYSYMBOL_BIRD = 531,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 532,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 533,                   /* PUBLIC  */
  YYSYMBOL_SSH = 534,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 535,                /* TRANSPORT  */
  YYSYMBOL_USER = 536,                     /* USER  */
  YYSYMBOL_EXPIRE = 537,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 538,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 539,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 540,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 541,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 542,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 543,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 544,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 545,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 546,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 547,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 548,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 549,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTHRESH = 550,             /* KRT_SSTHRESH  */
  YYSYMBOL_KRT_CWND = 551,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 552,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 553,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 554,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 555,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 556,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 557,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 558,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_CONGCTL = 559,              /* KRT_CONGCTL  */
  YYSYMBOL_KRT_FASTOPEN_NO_COOKIE = 560,   /* KRT_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_LOCK_MTU = 561,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 562,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 563,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 564,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTHRESH = 565,        /* KRT_LOCK_SSTHRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 566,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 567,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 568,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 569,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_INITCWND = 570,        /* KRT_LOCK_INITCWND  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 571,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_LOCK_INITRWND = 572,        /* KRT_LOCK_INITRWND  */
  YYSYMBOL_KRT_LOCK_QUICKACK = 573,        /* KRT_LOCK_QUICKACK  */
  YYSYMBOL_KRT_LOCK_CONGCTL = 574,         /* KRT_LOCK_CONGCTL  */
  YYSYMBOL_KRT_LOCK_FASTOPEN_NO_COOKIE = 575, /* KRT_LOCK_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_FEATURE_ECN = 576,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 577,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_KRT_SSTRESH = 578,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 579,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_SYSLOG = 580,                   /* SYSLOG  */
  YYSYMBOL_STDERR = 581,                   /* STDERR  */
  YYSYMBOL_UDP = 582,                      /* UDP  */
  YYSYMBOL_TRACE = 583,                    /* TRACE  */
  YYSYMBOL_INFO = 584,                     /* INFO  */
  YYSYMBOL_WARNING = 585,                  /* WARNING  */
  YYSYMBOL_AUTH = 586,                     /* AUTH  */
  YYSYMBOL_FATAL = 587,                    /* FATAL  */
  YYSYMBOL_BUG = 588,                      /* BUG  */
  YYSYMBOL_LATENCY = 589,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 590,                 /* WATCHDOG  */
  YYSYMBOL_THREADS = 591,                  /* THREADS  */
  YYSYMBOL_CONFIGURE = 592,                /* CONFIGURE  */
  YYSYMBOL_SOFT = 593,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 594,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 595,                     /* UNDO  */
  YYSYMBOL_DOWN = 596,                     /* DOWN  */
  YYSYMBOL_PERSIST = 597,                  /* PERSIST  */
  YYSYMBOL_SCAN = 598,                     /* SCAN  */
  YYSYMBOL_LEARN = 599,                    /* LEARN  */
  YYSYMBOL_DEVICE = 600,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 601,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 602,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 603,                 /* $accept  */
  YYSYMBOL_cli_cmd = 604,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 605,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 606,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 607,                 /* cmd_HELP  */
  YYSYMBOL_config = 608,                   /* config  */
  YYSYMBOL_conf_entries = 609,             /* conf_entries  */
  YYSYMBOL_conf = 610,                     /* conf  */
  YYSYMBOL_definition = 611,               /* definition  */
  YYSYMBOL_expr = 612,                     /* expr  */
  YYSYMBOL_expr_us = 613,                  /* expr_us  */
  YYSYMBOL_symbol = 614,                   /* symbol  */
  YYSYMBOL_symbol_known = 615,             /* symbol_known  */
  YYSYMBOL_bool = 616,                     /* bool  */
  YYSYMBOL_ipa = 617,                      /* ipa  */
  YYSYMBOL_ipa_scope = 618,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 619,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 620,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 621,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 622,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 623,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 624,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 625,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 626,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 627,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 628,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 629,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 630,                 /* net_roa_  */
  YYSYMBOL_net_ = 631,                     /* net_  */
  YYSYMBOL_net_ip4 = 632,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 633,                  /* net_ip6  */
  YYSYMBOL_net_ip = 634,                   /* net_ip  */
  YYSYMBOL_net_any = 635,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 636,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 637,        /* label_stack_start  */
  YYSYMBOL_label_stack = 638,              /* label_stack  */
  YYSYMBOL_time = 639,                     /* time  */
  YYSYMBOL_text = 640,                     /* text  */
  YYSYMBOL_opttext = 641,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 642,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 643,               /* bytestring  */
  YYSYMBOL_bytestring_text = 644,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 645,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 646,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 647,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 648,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 649,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 650,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 651,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 652,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 653,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 654,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 655,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 656,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 657,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 658,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 659,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 660,               /* flow4_item  */
  YYSYMBOL_flow6_item = 661,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 662,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 663,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 664,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 665,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 666,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 667,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 668,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 669,                /* net_flow_  */
  YYSYMBOL_KEYWORD = 670,                  /* KEYWORD  */
  YYSYMBOL_filter_def = 671,               /* filter_def  */
  YYSYMBOL_672_1 = 672,                    /* $@1  */
  YYSYMBOL_filter_eval = 673,              /* filter_eval  */
  YYSYMBOL_custom_attr = 674,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 675,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 676,             /* bt_test_same  */
  YYSYMBOL_type = 677,                     /* type  */
  YYSYMBOL_function_argsn = 678,           /* function_argsn  */
  YYSYMBOL_function_args = 679,            /* function_args  */
  YYSYMBOL_function_vars = 680,            /* function_vars  */
  YYSYMBOL_function_type = 681,            /* function_type  */
  YYSYMBOL_filter_body = 682,              /* filter_body  */
  YYSYMBOL_filter = 683,                   /* filter  */
  YYSYMBOL_684_2 = 684,                    /* $@2  */
  YYSYMBOL_where_filter = 685,             /* where_filter  */
  YYSYMBOL_function_body = 686,            /* function_body  */
  YYSYMBOL_function_def = 687,             /* function_def  */
  YYSYMBOL_688_3 = 688,                    /* $@3  */
  YYSYMBOL_689_4 = 689,                    /* $@4  */
  YYSYMBOL_cmds = 690,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 691,              /* cmds_scoped  */
  YYSYMBOL_692_5 = 692,                    /* $@5  */
  YYSYMBOL_cmd_var = 693,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 694,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 695,                 /* cmds_int  */
  YYSYMBOL_fipa = 696,                     /* fipa  */
  YYSYMBOL_set_atom = 697,                 /* set_atom  */
  YYSYMBOL_switch_atom = 698,              /* switch_atom  */
  YYSYMBOL_cnum = 699,                     /* cnum  */
  YYSYMBOL_pair_item = 700,                /* pair_item  */
  YYSYMBOL_ec_kind = 701,                  /* ec_kind  */
  YYSYMBOL_ec_item = 702,                  /* ec_item  */
  YYSYMBOL_lc_item = 703,                  /* lc_item  */
  YYSYMBOL_set_item = 704,                 /* set_item  */
  YYSYMBOL_switch_item = 705,              /* switch_item  */
  YYSYMBOL_ec_items = 706,                 /* ec_items  */
  YYSYMBOL_set_items = 707,                /* set_items  */
  YYSYMBOL_switch_items = 708,             /* switch_items  */
  YYSYMBOL_fprefix = 709,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 710,              /* fprefix_set  */
  YYSYMBOL_switch_body = 711,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 712,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 713,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 714,            /* bgp_path_tail  */
  YYSYMBOL_constant = 715,                 /* constant  */
  YYSYMBOL_constructor = 716,              /* constructor  */
  YYSYMBOL_var_list_r = 717,               /* var_list_r  */
  YYSYMBOL_var_list = 718,                 /* var_list  */
  YYSYMBOL_function_call = 719,            /* function_call  */
  YYSYMBOL_symbol_value = 720,             /* symbol_value  */
  YYSYMBOL_static_attr = 721,              /* static_attr  */
  YYSYMBOL_term_dot_method = 722,          /* term_dot_method  */
  YYSYMBOL_723_6 = 723,                    /* $@6  */
  YYSYMBOL_method_name_cont = 724,         /* method_name_cont  */
  YYSYMBOL_725_7 = 725,                    /* $@7  */
  YYSYMBOL_term = 726,                     /* term  */
  YYSYMBOL_term_bs = 727,                  /* term_bs  */
  YYSYMBOL_break_command = 728,            /* break_command  */
  YYSYMBOL_var = 729,                      /* var  */
  YYSYMBOL_for_var = 730,                  /* for_var  */
  YYSYMBOL_cmd = 731,                      /* cmd  */
  YYSYMBOL_732_8 = 732,                    /* $@8  */
  YYSYMBOL_733_9 = 733,                    /* $@9  */
  YYSYMBOL_734_10 = 734,                   /* $@10  */
  YYSYMBOL_735_11 = 735,                   /* $@11  */
  YYSYMBOL_get_cf_position = 736,          /* get_cf_position  */
  YYSYMBOL_lvalue = 737,                   /* lvalue  */
  YYSYMBOL_rtrid = 738,                    /* rtrid  */
  YYSYMBOL_idval = 739,                    /* idval  */
  YYSYMBOL_hostname_override = 740,        /* hostname_override  */
  YYSYMBOL_gr_opts = 741,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 742,            /* net_type_base  */
  YYSYMBOL_net_type = 743,                 /* net_type  */
  YYSYMBOL_table = 744,                    /* table  */
  YYSYMBOL_table_start = 745,              /* table_start  */
  YYSYMBOL_table_sorted = 746,             /* table_sorted  */
  YYSYMBOL_table_opt = 747,                /* table_opt  */
  YYSYMBOL_table_opts = 748,               /* table_opts  */
  YYSYMBOL_table_opt_list = 749,           /* table_opt_list  */
  YYSYMBOL_proto_start = 750,              /* proto_start  */
  YYSYMBOL_proto_name = 751,               /* proto_name  */
  YYSYMBOL_proto_item = 752,               /* proto_item  */
  YYSYMBOL_channel_start = 753,            /* channel_start  */
  YYSYMBOL_channel_item_ = 754,            /* channel_item_  */
  YYSYMBOL_channel_item = 755,             /* channel_item  */
  YYSYMBOL_channel_opts = 756,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 757,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 758,              /* channel_end  */
  YYSYMBOL_proto_channel = 759,            /* proto_channel  */
  YYSYMBOL_rtable = 760,                   /* rtable  */
  YYSYMBOL_imexport = 761,                 /* imexport  */
  YYSYMBOL_limit_action = 762,             /* limit_action  */
  YYSYMBOL_limit_spec = 763,               /* limit_spec  */
  YYSYMBOL_debug_default = 764,            /* debug_default  */
  YYSYMBOL_timeformat_which = 765,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 766,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 767,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 768,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 769,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 770,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 771,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 772,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 773,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 774,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 775,               /* iface_patt  */
  YYSYMBOL_tos = 776,                      /* tos  */
  YYSYMBOL_proto = 777,                    /* proto  */
  YYSYMBOL_dev_proto_start = 778,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 779,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 780,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 781,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 782,               /* debug_mask  */
  YYSYMBOL_debug_list = 783,               /* debug_list  */
  YYSYMBOL_debug_flag = 784,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 785,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 786,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 787,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 788,            /* password_list  */
  YYSYMBOL_password_list_body = 789,       /* password_list_body  */
  YYSYMBOL_password_items = 790,           /* password_items  */
  YYSYMBOL_password_item = 791,            /* password_item  */
  YYSYMBOL_pass_key = 792,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 793,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 794,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 795,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 796,        /* password_item_end  */
  YYSYMBOL_bfd_item = 797,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 798,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 799,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 800,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 801,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 802,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 803,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 804,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 805,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 806, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 807,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 808,                   /* r_args  */
  YYSYMBOL_r_args_for = 809,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 810,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 811,              /* export_mode  */
  YYSYMBOL_channel_sym = 812,              /* channel_sym  */
  YYSYMBOL_channel_arg = 813,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 814,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 815,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 816,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 817,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 818,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 819,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 820,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 821,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 822,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 823,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 824,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 825,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 826,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 827,                /* echo_mask  */
  YYSYMBOL_echo_size = 828,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 829,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 830,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 831,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 832,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 833,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 834,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 835,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 836,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 837,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 838,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 839,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 840,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 841,             /* dynamic_attr  */
  YYSYMBOL_mpls_domain = 842,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 843,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 844,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 845,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 846,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 847,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 848,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 849,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 850,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 851,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 852,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 853,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 854,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 855,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 856,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 857,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 858,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 859,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 860,         /* mpls_channel_end  */
  YYSYMBOL_861_12 = 861,                   /* $@12  */
  YYSYMBOL_show_mpls_ranges_args = 862,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 863,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 864,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 865,    /* aggregator_proto_item  */
  YYSYMBOL_866_13 = 866,                   /* $@13  */
  YYSYMBOL_aggregator_proto_opts = 867,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 868,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 869,                /* aggr_list  */
  YYSYMBOL_aggr_item = 870,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 871,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 872,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 873,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 874,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 875,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 876,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 877,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 878,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 879,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 880,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 881, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 882, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 883,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 884,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 885,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 886,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 887,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 888,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 889,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 890,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 891,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 892,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 893,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 894,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 895,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 896,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 897,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 898,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 899,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 900,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 901,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 902,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 903,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bfd_show_sessions_args = 904,   /* bfd_show_sessions_args  */
  YYSYMBOL_bgp_proto_start = 905,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 906,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 907,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 908,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 909,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 910,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 911,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 912,                /* bgp_proto  */
  YYSYMBOL_913_14 = 913,                   /* $@14  */
  YYSYMBOL_914_15 = 914,                   /* $@15  */
  YYSYMBOL_bgp_afi = 915,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 916,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 917,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 918,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 919,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 920,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 921,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 922,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 923,        /* bgp_proto_channel  */
  YYSYMBOL_l3vpn_channel_start = 924,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 925,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 926,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 927,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 928,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 929,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 930,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 931,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 932,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 933,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 934,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 935,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 936,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 937,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 938,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 939,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 940,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 941,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 942,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 943,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 944,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 945,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 946,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 947,           /* ospf_area_item  */
  YYSYMBOL_948_16 = 948,                   /* $@16  */
  YYSYMBOL_949_17 = 949,                   /* $@17  */
  YYSYMBOL_ospf_stubnet = 950,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 951,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 952,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 953,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 954,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 955,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 956,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 957,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 958,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 959,                /* pref_list  */
  YYSYMBOL_pref_item = 960,                /* pref_item  */
  YYSYMBOL_pref_base = 961,                /* pref_base  */
  YYSYMBOL_pref_opt = 962,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 963,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 964,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 965,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 966,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 967,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 968,     /* ospf_iface_patt_list  */
  YYSYMBOL_969_18 = 969,                   /* $@18  */
  YYSYMBOL_ospf_iface_opts = 970,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 971,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 972,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 973,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 974,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 975,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 976,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 977, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 978,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 979,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 980,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 981,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 982,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 983,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 984,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 985,         /* pipe_proto_start  */
  YYSYMBOL_986_19 = 986,                   /* $@19  */
  YYSYMBOL_pipe_proto = 987,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 988,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 989,          /* radv_proto_item  */
  YYSYMBOL_990_20 = 990,                   /* $@20  */
  YYSYMBOL_991_21 = 991,                   /* $@21  */
  YYSYMBOL_radv_proto_opts = 992,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 993,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 994,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 995,          /* radv_iface_item  */
  YYSYMBOL_996_22 = 996,                   /* $@22  */
  YYSYMBOL_997_23 = 997,                   /* $@23  */
  YYSYMBOL_radv_preference = 998,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 999,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 1000,         /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 1001,     /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 1002,              /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 1003,       /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 1004,        /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 1005,      /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 1006,        /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 1007,    /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 1008,             /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 1009,         /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 1010,        /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 1011,         /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 1012,       /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1013,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1014,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1015,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1016,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1017,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1018,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1019,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1020,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1021,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1022,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1023,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1024,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1025,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1026,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1027,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1028,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1029,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1030,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1031,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1032,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1033,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1034,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1035, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1036,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1037,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1038,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1039,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1040,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1041,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1042,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1043,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1044,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1045, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 1046, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1047, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1048, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1049, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1050,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1051,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1052,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1053,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1054,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1055,             /* stat_route0  */
  YYSYMBOL_1056_24 = 1056,                 /* $@24  */
  YYSYMBOL_stat_route = 1057,              /* stat_route  */
  YYSYMBOL_stat_route_item = 1058,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1059,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1060,     /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 1061,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1062,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1063,           /* kern_sys_item  */
  YYSYMBOL_log_begin = 1064,               /* log_begin  */
  YYSYMBOL_log_config = 1065,              /* log_config  */
  YYSYMBOL_syslog_name = 1066,             /* syslog_name  */
  YYSYMBOL_log_limit = 1067,               /* log_limit  */
  YYSYMBOL_log_file = 1068,                /* log_file  */
  YYSYMBOL_log_udp_host = 1069,            /* log_udp_host  */
  YYSYMBOL_log_udp_port = 1070,            /* log_udp_port  */
  YYSYMBOL_log_mask = 1071,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1072,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1073,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1074,            /* mrtdump_base  */
  YYSYMBOL_debug_unix = 1075,              /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 1076,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1077,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1078,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1079,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1080,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1081,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1082,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1083,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1084,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1085,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1086,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1087,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1088,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1089,            /* kern_channel  */
  YYSYMBOL_kern_item = 1090,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1091,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1092,               /* kif_proto  */
  YYSYMBOL_kif_item = 1093,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1094,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1095,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1096,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1097,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1098                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  80
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   11681

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  603
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  496
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2182
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3550

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   836


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    41,     2,     2,     2,    40,     2,     2,
      58,    59,    38,    36,    83,    37,    42,    39,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   153,    57,
      32,    31,    33,   156,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   154,     2,   155,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    84,     2,    85,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,   147,   148,   151,   153,   156,   161,   164,   172,   173,
     174,   180,   181,   182,   185,   185,   185,   186,   191,   192,
     193,   194,   195,   196,   203,   204,   205,   212,   213,   220,
     226,   236,   249,   268,   274,   280,   288,   296,   302,   302,
     303,   303,   304,   304,   307,   308,   309,   310,   311,   312,
     319,   320,   328,   329,   337,   338,   346,   347,   355,   356,
     357,   358,   359,   369,   377,   378,   387,   395,   396,   403,
     404,   408,   409,   410,   411,   418,   426,   427,   431,   432,
     433,   441,   442,   443,    37,    38,    39,    40,    41,    42,
      43,    44,    48,    49,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    65,    66,    67,    70,    71,    75,
      79,    83,    84,    88,    92,   101,   102,   106,   110,   114,
     121,   122,   126,   127,   128,   129,   133,   136,   139,   145,
     149,   150,   151,   155,   159,   165,   166,   167,   170,   172,
     175,   177,   181,   188,   189,   191,   197,   203,   203,     9,
       9,    10,    10,    11,    11,   400,   402,   402,   415,   417,
     420,   421,   425,   427,   438,   440,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   494,   495,   504,   505,   513,   514,
     521,   522,   525,   528,   532,   532,   545,   552,   558,   561,
     565,   561,   592,   593,   596,   596,   598,   598,   600,   608,
     609,   626,   627,   640,   641,   642,   643,   644,   648,   656,
     657,   658,   659,   663,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   680,   681,   682,   683,   687,   688,
     689,   693,   694,   695,   696,   697,   698,   699,   700,   705,
     706,   707,   708,   709,   713,   714,   715,   716,   717,   721,
     722,   726,   727,   731,   732,   736,   737,   738,   739,   747,
     748,   751,   752,   759,   769,   770,   774,   778,   779,   780,
     781,   785,   786,   787,   788,   789,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   807,   808,   812,   813,
     814,   815,   821,   822,   823,   826,   842,   851,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     882,   883,   886,   886,   888,   891,   891,   896,   901,   909,
     910,   911,   912,   913,   914,   915,   916,   917,   918,   919,
     920,   921,   922,   923,   924,   925,   927,   928,   929,   931,
     933,   935,   937,   938,   939,   940,   942,   943,   944,   945,
     947,   948,   950,   952,   953,   957,   961,   962,   963,   967,
     971,   978,   979,   983,   986,   989,   992,   998,  1000,   992,
    1005,  1017,  1033,  1036,  1041,  1044,  1053,  1056,  1059,  1062,
    1063,  1066,  1066,  1072,  1073,  1077,  1082,  1095,  1096,   163,
     166,   167,   171,   172,   173,   174,   184,   186,   188,   190,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   208,
     209,   217,   219,   221,   226,   228,   232,   233,   234,   239,
     240,   241,   242,   245,   247,   250,   252,   258,   261,   262,
     266,   272,   276,   286,   296,   298,   299,   300,   301,   302,
     303,   304,   308,   314,   319,   320,   321,   322,   323,   324,
     325,   326,   331,   332,   335,   337,   340,   342,   346,   353,
     356,   359,   360,   361,   362,   366,   367,   368,   369,   370,
     374,   375,   379,   382,   383,   384,   385,   390,   393,   394,
     395,   396,   400,   401,   402,   403,   404,   405,   406,   407,
     411,   418,   426,   427,   431,   432,   436,   441,   442,   446,
     448,   456,   460,   461,   466,   468,   475,   476,   477,   478,
     479,   483,   491,   497,   498,   499,   503,   504,   508,   509,
     510,   511,   512,   513,   519,   520,   521,   525,   526,   530,
     531,   537,   541,   542,   545,   547,   551,   552,   555,   555,
     557,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   597,   605,   606,   607,   608,   609,
     610,   611,   614,   616,   620,   626,   626,   629,   629,   632,
     632,   635,   635,   639,   640,   643,   643,   646,   646,   650,
     650,   671,   677,   683,   689,   696,   702,   709,   714,   719,
     724,   729,   733,   737,   741,   751,   758,   767,   771,   778,
     782,   783,   784,   785,   789,   793,   797,   811,   812,   813,
     814,   817,   818,   819,   820,   825,   826,   827,   828,   829,
     830,   831,   832,   833,   834,   835,   836,   837,   838,   839,
     840,   841,   842,   843,   844,   848,   858,   858,   868,   871,
     872,   873,   874,   875,   876,   881,   881,   883,   883,   885,
     885,   887,   887,   889,   889,   891,   891,   893,   893,   895,
     895,   897,   897,   900,   900,   904,   904,   910,   911,   912,
     916,   917,   923,   923,   925,   925,   927,   927,   929,   929,
     931,   931,   933,   933,   937,   937,   950,   951,   955,   955,
     958,   958,   962,   963,   964,   968,   969,   970,   973,   975,
     976,   977,    31,    33,    35,    38,    41,    43,    46,    48,
      51,    54,    56,    67,    68,    71,    73,    76,    78,    82,
      95,    97,   117,   118,   119,   120,   124,   125,   126,   127,
     128,   129,   132,   134,   137,   139,   142,   142,   147,   153,
     176,   184,   194,   194,    29,    31,    41,    42,    43,    44,
      74,    74,    84,    84,    85,    89,    90,   101,   106,   120,
     125,    36,    38,    48,    49,    50,    51,    52,    53,    56,
      58,    62,    66,    67,    68,    69,    73,    77,    81,    95,
     115,   116,   117,   118,   119,   120,   121,   122,   126,   127,
     128,   129,   130,   131,   134,   136,   139,   141,   145,   148,
     153,   154,   155,   159,   160,   164,   165,   168,   189,   189,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      33,    35,    43,    44,    45,    46,    49,    51,    55,    59,
      80,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   173,   175,   178,
     180,   185,   187,   191,   191,   194,   194,   197,   197,   200,
     200,    48,    50,    84,    86,    87,    90,    92,    93,    94,
      95,   100,   101,   105,   106,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   122,   123,   124,   125,   126,   130,
     131,   132,   133,   134,   135,   139,   140,   146,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   223,   223,   224,   225,   226,
     227,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   245,   271,   272,   273,   275,   275,   275,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   318,   330,   332,   335,
     337,   341,   348,   351,   353,   355,   357,   359,   361,   363,
     365,   367,   369,   371,   373,   375,   377,   380,    49,    52,
      65,    67,    74,    75,    76,    77,    78,    79,    80,    81,
      84,    86,    90,    94,    95,    26,    28,    34,    35,    36,
      37,    38,    39,    40,    41,    44,    46,    50,    53,    53,
      62,    63,    64,    65,    66,    67,   212,   215,   216,   217,
     220,   236,   237,   241,   242,   246,   255,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   275,   290,   293,   295,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   308,   309,   309,   310,
     311,   312,   316,   317,   321,   329,   331,   335,   336,   337,
     341,   342,   345,   347,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   363,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   423,   425,   428,   430,   438,
     440,   441,   444,   446,   450,   451,   454,   464,   486,   488,
     492,   492,   495,   497,   500,   502,   506,   509,   510,   511,
     512,   515,   515,   518,   518,   521,   521,   526,   526,   529,
     529,   534,   534,   537,   537,   541,   541,   558,   561,   562,
     563,   564,   565,   566,   567,   568,    24,    26,    40,    41,
      42,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    23,    26,    25,    40,    41,    42,    43,    53,    55,
      68,    69,    70,    71,    72,    72,    73,    73,    74,    75,
      76,    79,    81,    85,    89,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   128,   132,   133,   134,
     135,   136,   137,   137,   138,   138,   139,   140,   141,   142,
     146,   147,   148,   151,   189,   191,   194,   196,   200,   203,
     215,   216,   217,   218,   222,   229,   237,   239,   242,   244,
     248,   252,   262,   267,   268,   269,   273,   285,   287,   291,
     292,   296,   309,   314,   315,   316,   320,   332,   334,   338,
     339,   344,   345,   349,   350,   353,   354,    47,    50,    51,
      54,    68,    69,    70,    71,    72,    73,    76,    78,    82,
      86,   111,   141,   142,   143,   144,   145,   146,   147,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   174,
     175,   176,   177,   180,   182,   185,   187,   191,   194,   195,
     199,   199,   202,   202,    41,    43,    50,    52,    54,    58,
      59,    60,    61,    62,    63,    64,    65,    71,    77,    83,
      87,    88,    91,    93,   111,   112,   116,   123,   133,   135,
     139,   140,   141,   145,    54,    56,    63,    64,    65,    66,
      67,    68,    76,    80,    85,    90,    93,    96,    99,   103,
     109,   110,   113,   115,   118,   118,   131,   132,   136,   141,
     142,   143,   144,   145,   146,   150,   159,   161,   164,   166,
     170,   170,    31,    34,    35,    36,    39,    40,    41,    43,
      44,    45,    46,    47,    48,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    63,    64,    65,    66,    67,
      68,    70,    71,    72,    73,    74,    76,    77,    78,    79,
      80,    82,    83,    32,    34,    36,    38,    45,    46,    49,
      51,    55,    65,    66,    67,    75,    85,    86,    90,    91,
      95,    96,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   112,   115,   116,   127,   130,   131,   132,   133,   141,
     141,   144,   144,   151,   151,   154,   154,   157,   157,   160,
     160,   163,   163,   168,   168,   173,   174,   178,   179,   180,
      43,    45,    50,    51,    54,    55,    59,    60,    65,    66,
      70,    71,    72,    73,    77,    84,    85,    96,    98,   101,
     102,   105,   106,   107,   114,   121,   124,   126,   129,   131,
     135,   138,   139
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'",
  "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN",
  "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "IN", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP",
  "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING",
  "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK", "PREFERENCE",
  "ROA_CHECK", "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "':'",
  "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE",
  "DISABLED", "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT",
  "NONE", "VRF", "DEFAULT", "TABLE", "TABLES", "STATES", "ROUTES",
  "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6", "SADR",
  "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART", "DISABLE",
  "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED",
  "HMAC", "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "BLAKE2S128",
  "BLAKE2S256", "BLAKE2B256", "BLAKE2B512", "PRIMARY", "STATS", "COUNT",
  "COMMANDS", "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "RELOAD", "OUT", "MRTDUMP", "MESSAGES",
  "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO",
  "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "CHECK", "LINK", "SORTED",
  "TRIE", "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL",
  "MPLS_POLICY", "MPLS_CLASS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC",
  "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS",
  "PRI", "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP",
  "RESOURCES", "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE",
  "DOMAIN", "RANGE", "STATIC", "DYNAMIC", "START", "POLICY", "AGGREGATE",
  "RANGES", "AGGREGATOR", "MERGE", "BY", "BABEL", "METRIC", "RXCOST",
  "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP",
  "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED",
  "TUNNEL", "RTT", "DECAY", "SEND", "TIMESTAMPS", "BFD", "MULTIHOP",
  "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS",
  "STRICT", "BIND", "SESSIONS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE",
  "STARTUP", "VIA", "SELF", "PATH", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "REFRESH",
  "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST",
  "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "COST", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE",
  "ROLES", "PEER", "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT",
  "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE",
  "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION",
  "REJECTED", "COLLISION", "OF", "L3VPN", "TARGET", "DISTINGUISHER", "MRT",
  "FILENAME", "ALWAYS", "V2", "V3", "OSPF", "OSPF_METRIC1", "OSPF_METRIC2",
  "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK",
  "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM",
  "OPTION", "VALUE", "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC",
  "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT",
  "KRT_RTTVAR", "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG",
  "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM", "UNDO",
  "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC",
  "$accept", "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_",
  "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "KEYWORD", "filter_def", "$@1", "filter_eval", "custom_attr",
  "bt_test_suite", "bt_test_same", "type", "function_argsn",
  "function_args", "function_vars", "function_type", "filter_body",
  "filter", "$@2", "where_filter", "function_body", "function_def", "$@3",
  "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "symbol_value", "static_attr",
  "term_dot_method", "$@6", "method_name_cont", "$@7", "term", "term_bs",
  "break_command", "var", "for_var", "cmd", "$@8", "$@9", "$@10", "$@11",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "mpls_domain", "mpls_domain_start", "mpls_domain_opt",
  "mpls_domain_opts", "mpls_domain_opt_list", "mpls_domain_end",
  "mpls_range", "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@12",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@13",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_udp_host", "log_udp_port", "log_mask", "log_mask_list", "log_cat",
  "mrtdump_base", "debug_unix", "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT",
  "cmd_CONFIGURE_CONFIRM", "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS",
  "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name",
  "cfg_timeout", "kern_proto_start", "kern_learn", "kern_mp_limit",
  "kern_channel", "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-3044)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1545)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     192,    93,   280,    64,   233,   310,   349,  9001,   194,   305,
     305,   643,   305,   361,   206,   112,  1514,   502,   305,   150,
       6,   552, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  5455,   295, -3044, -3044, -3044,  5455,  5455,  9001,
    2860,   538,   579,   488,  1013, -3044, -3044,   -81, -3044,   492,
   -3044, -3044, -3044, -3044,   170,   668, -3044,   594,  -245,   760,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,   621, -3044,   600,   863, -3044, -3044, -3044,  6055,
    1969, -3044,   779,  6055, -3044,  6055, -3044,  6055, -3044,  6055,
   11274,  6055, -3044,  6055, -3044,  6055,  1889,  6055,  1915,   802,
    1357,  6055, -3044,  6055, -3044,  6055, -3044,  6055,  1941,   107,
   -3044, -3044, -3044,  6055,  6055,    -9, -3044, -3044, -3044,  1337,
   -3044, -3044,   893,   907,   875, -3044, -3044, -3044,   833,   239,
    9001,   945, -3044,  4236,   950,   970, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,   954,  1018,  1030,  1079,  1084,  1098,  1109,  1153,  1567,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,  1160,  1007,  1115, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    4304, -3044, -3044,  1185, -3044, -3044,   726,  1226,   726, -3044,
    1222,  1222,   305,   305,  1258,   798, -3044,  1261,   992,   458,
     165,  1285, -3044,  1306, -3044,  1303,   615,  1011,    81,   402,
    1178,  1368,  1371,  1387,  1393,  1401,  1423,  1427,  1437, -3044,
     -49, -3044,  1344,  1222, -3044, -3044,  1417,  1452,  1417,  1459,
    1462,   944, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,  1444, -3044,  5455, -3044, -3044,  4663,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,   760, -3044,  6655,  1502,
    1502,  1119, -3044, -3044,  1426,   726,   726,   726,   760,   890,
   -3044,   798,  1485, -3044, -3044, -3044, -3044,   155,  1489,    50,
    1310,   760,   760, -3044,  9001,  1492, -3044,  5455, -3044,  1495,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,   489,
   -3044, -3044, -3044,  1051, -3044, -3044, -3044, -3044,  1550,  1523,
    1512, -3044,  1456,  1777,   726, -3044,   289,  1013,   798,  1360,
   -3044,  1563,  1544,  1573,  1579, -3044, -3044,  1559,  1566,  1574,
    1596, -3044, -3044, -3044, -3044,    21,  1316,  1625,  1656,   984,
     102,   124,   126,   134,    58,  1013,  1777,  1318,  1515,   128,
    1451,   755,  1325,  1389,  1395,  1068,  1101,   184,    88,  1404,
    1471,   625,  1475,  1413,  1446,   694,  1398,  1584,  1777,  1396,
    1394,  1458,  1466,  1379,  1397,   235,  1777,   139,  1376,  1473,
     539,  1711,  1725,  1706, -3044,  1716,  1738,  1721,  1728,  1729,
    1336, -3044, -3044,  1628,  1442,  1164,  1777,  1674,   760,  1777,
    1675,  1777,  1453, -3044,  1544, -3044,  1794,  1775, -3044,  1791,
   -3044,  1777,   120,  1859,   243,  1861,  1202,  1825, -3044,  1826,
   -3044, -3044,   760,  1460,  1221,  1860,  1701,  1661,  1718,  1831,
    1836,  1807,  1810,  1812,  1815, -3044,  1685,  1657,  1737,  1857,
    1858,  1863,   -41,  1837, -3044,  1748,  1551,   760,  1766,  1694,
    1777,  1686,  1554, -3044, -3044, -3044,  1887, -3044,  1888,  1862,
    1869, -3044, -3044,  1704, -3044,  1902,  1070,  1337,  1337,  9001,
    1647,  1337, -3044,  1337,  1947, -3044,  1950, -3044,  1952,   893,
    1929, -3044, -3044,  1936,   448,  1940,  1931, -3044, -3044, -3044,
    1959, -3044,  1906,  2849, -3044, -3044,  1860,  9001,  9001,  9001,
    9001,  9001,  9001,  9001, -3044, -3044,  1929, -3044,  3485, -3044,
   -3044, -3044, -3044,   874, -3044,  1982, -3044, -3044, -3044, -3044,
     153, -3044,   529,  9001,  1971,  1974, -3044,  9001,  9001,  9001,
    9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,
    9001, -3044,  1599, -3044,  1749, -3044, -3044, -3044, -3044, -3044,
    1989,  1993,  1997,  1999, -3044, -3044,   632, -3044,  2000, -3044,
   -3044, -3044, -3044,  1111,  2002, -3044,  2003, -3044,  2685, -3044,
     918, -3044,  2004,  1303,  1303,  1303,  1303, -3044,  1303,  1303,
   -3044,   224,   376,  2005,  1303,  1303,  2006, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,   523, -3044, -3044,  2008,  2019,   467,
    2026, -3044,   944, -3044, -3044,   760,  2027,  9001, -3044,  1976,
   -3044,  3027,  1269,  1978,  1954,  1955, -3044, -3044, -3044, -3044,
    9001,  1983, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,   760, -3044, -3044,  1984, -3044,   760,  1188, -3044,  1649,
   -3044,  1338,   760,   117,   760,  1053, -3044, -3044,  2996, -3044,
   -3044, -3044, -3044, -3044, -3044,  6055, -3044, -3044,  2018, -3044,
    1164, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  1777, -3044,
   -3044, -3044, -3044, -3044,  1087, -3044, -3044, -3044, -3044, -3044,
    1790,  1795,  1230, -3044,  1988,   760,   760, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044,  1777,    34,  1991,  1996,   -46,
     405,  1796,  1801,  1777,  1695,  1829,  1777,  1818,   105,  1806,
    1809,  2007,  2016,  1977, -3044,  2017, -3044, -3044, -3044,  1273,
    2025,    79,  1092,  2025,  1026,  1777,   760,  1821,  1822,   760,
    1828,  1777,  1777,  1922,  1777,  1777,  2024,  1777,  1777,  1777,
    1777,  1777,  1777,  1697,  2031,  1777,  1777,  2032,  1777,  2033,
    2035,  1777,  1777,  1717,  1726,  1894,  1871,  1777,  1864,  1777,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    1777,   633,  1777, -3044, -3044,  1777, -3044,  1916,   760, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,   760,   760, -3044,
    2086,  2088, -3044, -3044, -3044, -3044, -3044, -3044,  1502,  9001,
   -3044, -3044,  1422,  1917, -3044, -3044,  1422, -3044, -3044, -3044,
    1422,  1777,  1860, -3044, -3044, -3044, -3044, -3044, -3044,   907,
     875, -3044, -3044, -3044,  1777,  1860, -3044, -3044, -3044, -3044,
    1689, -3044,  1230, -3044, -3044, -3044,   273,  1779, -3044,  2051,
    1777,  1777, -3044,   760,  1811, -3044,   760, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,   760, -3044,  2094, -3044,
   -3044, -3044,  3687, -3044, -3044,  1337,   533, -3044, -3044, -3044,
   -3044,  2061,  2097, -3044,  1986,  2087, -3044, -3044,  9001, -3044,
    9001, -3044, -3044,   268,  3699,  3150,  3354,  3547,  3559,  3736,
    3748,  2042,   183,  2044,  3803, -3044, -3044,  2110,  1834,  1909,
   -3044,   875, -3044,  2050,  2075,  4663,  2080,  2089,  1985,  1985,
    1985,  2463,  2463,  1985,  1985,  1985,  1985,  1985,   977,   977,
    1931,  1931, 10747, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
     636, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  1096, -3044,
   -3044,   296,  2136, -3044, -3044, -3044,  1685,  1819,  1502,  1502,
   -3044,  1972,  1981,   441, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044,  2128, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  1222,  1222,  1222,  1222,   676,  1222,  1222,   158,
    1303,  1222,  1303,  1222, -3044,  1222,  1222, -3044,   -49, -3044,
   -3044, -3044, -3044,  1502,  1125,  1013, -3044, -3044,  2148, -3044,
   -3044,  3969,  2096,  2140,  2456, -3044, -3044,  6655, -3044,  1013,
    1502, -3044,  2100,  3853, -3044, -3044, -3044,  2130,  1390,  1399,
    1013, -3044, -3044, -3044, -3044, -3044,  9001, -3044,  2109,  1013,
   -3044,   -49, -3044,  2104,  2106, -3044, -3044, -3044, -3044,   548,
   -3044, -3044, -3044,  2127, -3044,  2082,  2111,  1216, -3044,  1886,
   -3044,  2115, -3044,  2090,  1219,  1377,  1183,   760,   760,  2116,
   -3044,  2118,  2119,  2123,  1777,  1792, -3044, -3044,  1994,  1928,
     760,  2129,  2134,   760,   760,  2139,  1777,  1777,  2141,  1839,
     760,  2142,   760,   760, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  5455, -3044,   760,   760, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,  2145, -3044,   760,   760, -3044,  2146,
    2147,   760,   760,  2149,   760,  2155,  2156,  1164,  2157,  2158,
   -3044,  2159,  2160,  2163,  2164,  2167,  2168,  1777,  1378,  2169,
    2180, -3044,  2182, -3044,  1777,  2184,  2185,  1946,  1777,  1777,
    1777,  2186,  1882,  2189,  1481, -3044, -3044,  2269, -3044,  2640,
     624, -3044,   760, -3044, -3044, -3044, -3044,   760, -3044, -3044,
     843, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  4663, -3044,
    1998, -3044,  1777, -3044, -3044, -3044,  2190,  1307,   804,   332,
    2195,  2192,  2193, -3044,  2025,  2198,  2233,   760,  1777,  1777,
    2227,   273,  9701, -3044, -3044,  2072, -3044,   760, -3044,  2082,
    2175, -3044,  1337, -3044, -3044,  1337,  2240, -3044,  2228,  2230,
    3632,  3247, -3044, -3044, -3044,  9001, -3044,  9001,  9001,  9001,
    9001, -3044, -3044,  7241,  9001,  7593,  9001, -3044,  2181,  9001,
   -3044, -3044, -3044,  9001, -3044,  2250,  2251, -3044, -3044, -3044,
   -3044, -3044,  1749, -3044,   632, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,   893,   599,  1435, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044,  2247,  2247, -3044, -3044,  1185,
   -3044, -3044,  2271,  2278,  2280,  2281, -3044, -3044, -3044, -3044,
    1013, -3044, -3044, -3044,  1013,  1392,  2282,  2283, -3044, -3044,
    2255,  1164, -3044, -3044, -3044,  1164,  1164,  1222,  2284,  1222,
    2288,  2289,  2290, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,  3027,  3027, -3044,  9351,  6655,  2218,  2242,  2216,  2082,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  3867,  2287,
   -3044, -3044,  1104, -3044, -3044,  2049, -3044,   726,  2054,  1777,
    1777,  1253,  2246, -3044,  2285, -3044, -3044, -3044,   726, -3044,
    2252,  5455, -3044, -3044, -3044, -3044,  2266,  2022,  2144, -3044,
   -3044,  2254, -3044, -3044,  2161, -3044, -3044,  2260, -3044, -3044,
   -3044, -3044,  1230,  2015, -3044,  2263,  2238,  2265, -3044, -3044,
   -3044, -3044,  2293,   211, -3044,  2295,   249,   760,  2298, -3044,
   -3044,  2300,  2301, -3044,  2305,  2306, -3044,  1777,  2307, -3044,
    2310,  2311,   903,  2312,   274, -3044,   285, -3044, -3044, -3044,
    1054, -3044, -3044, -3044, -3044,  2313,  2314, -3044,  2315, -3044,
   -3044,  2317, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    2318, -3044,  2319, -3044, -3044, -3044,  2320, -3044, -3044,  2152,
    2321,  2323,  2324, -3044,  1777, -3044,   932, -3044,  1502, -3044,
    2328, -3044,  2041, -3044,  1970,  1114,  1146,  1965,  2214,  2200,
    2326,  2038,  2225,     7,  1777,  1777,   213,   760,  1777,    52,
   -3044,  2342, -3044,  2377,  1987,  1990,  1090, -3044, -3044, -3044,
    1544, -3044,  2345, -3044,  1502,  1193,   760,  1013,  2270, -3044,
   -3044,  2346, -3044, -3044, -3044, -3044,   409,  1777, -3044,   207,
   -3044,  2078,  1273, -3044,    94,  2353, -3044,  1948, -3044,  1658,
   -3044, -3044, -3044, -3044,  1252, -3044, -3044, -3044,  1252,  2239,
    1908, -3044, -3044,  2373, -3044, -3044,  1777,   760, -3044, -3044,
    2374,   760, -3044,  2092,  2243,  2378,  2243,  1338,   -11,  2243,
   -3044, -3044,  2383, -3044,   760, -3044, -3044, -3044, -3044,  2233,
   -3044, -3044,  2396, -3044, -3044, -3044, -3044,  2400, -3044, -3044,
    9001,  9001,  2385,  9001, -3044, -3044, -3044,  9001,  9001, -3044,
    2403,  2405,   754,  2407,  2434,  9001, -3044,  2424,  2436, -3044,
     760, -3044, -3044, -3044, -3044, -3044, -3044,  2429,  2432, -3044,
    9001, -3044,  9001,  2268,  2693,  3644,  3908,  3920,  4057,  4069,
     821,   648,  4663,  2387,   906,   640,  2388,  2454,  3803,  4663,
   -3044, -3044,  2419, -3044, -3044,  2458,   893,  1929,  1185, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,   893,  1929, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  2475,
   -3044,  2476, -3044, -3044, -3044,  6655,  2380, -3044,  6655,  2401,
   -3044, -3044,  9351, -3044, -3044,  2428, -3044, -3044,  2468, -3044,
   -3044, -3044,  2234, -3044,  2235, -3044, -3044,   760,   760, -3044,
    1483,  1392, -3044, -3044, -3044, -3044, -3044,   193, -3044,  4595,
   -3044,  1860, -3044, -3044, -3044,  2333, -3044,   661, -3044, -3044,
    2408, -3044,   140, -3044,  1777, -3044,   760, -3044, -3044,  2322,
    2083,  2093, -3044,     2,  2098,  1112,  1228, -3044, -3044,  2447,
    2455,  2457, -3044, -3044, -3044, -3044, -3044,  2459, -3044, -3044,
   -3044, -3044,  1777, -3044,  1299,  2272,   760,   760,  2460, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    1777, -3044, -3044, -3044,  2462,   135,   516, -3044, -3044,   355,
    1027,  1777,  1777,   -29,  1860,  1777,  2208,   706,  1860, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,  2150,  2450, -3044,
   -3044,   288,   288,   288,  2500, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  2191, -3044, -3044, -3044,   760,   760,  1777, -3044,
    2441,   760, -3044,  2443,  1164, -3044, -3044,  2445,   760, -3044,
   -3044,   760,  2448, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    2449, -3044, -3044, -3044,  1009,   465, -3044,  1777,  2464, -3044,
   -3044, -3044,  2351, -3044, -3044, -3044,  1230, -3044,   760,  2465,
     760, -3044,  2486, -3044, -3044, -3044,   760, -3044, -3044,  2396,
    2522,  2461,  9351,   558,   822,   187,  4466,  1949,  2196,  2349,
   -3044, -3044,  9001, -3044,  9001,   838, -3044,  9001, -3044,   -17,
    2523,  2506,  4106,  4139, -3044, -3044, -3044, -3044,  2482, -3044,
   -3044,  1493,  2495, -3044, -3044, -3044, -3044, -3044, -3044,  1666,
    2508,  2508,   623,  2512, -3044,  1666,  2508,  2508,  1252,  2513,
    9001, -3044, -3044, -3044, -3044, -3044,  2534,  9001, -3044,  7945,
   -3044,  2535,  9001,  2565,  8297,  8649,  2491,  9001, -3044, -3044,
   -3044,  1260, -3044, -3044,   888, -3044, -3044, -3044,  2520,   760,
     760, -3044, -3044, -3044,   760, -3044,   760,  2527, -3044,  9001,
   -3044, -3044,  2497, -3044, -3044, -3044,  2502,  1777, -3044, -3044,
   -3044, -3044, -3044,  2408, -3044, -3044,  5455,  1013,  2274, -3044,
    2531,  2188,  2325, -3044, -3044, -3044, -3044, -3044, -3044,   211,
   -3044, -3044, -3044, -3044, -3044, -3044,  2354,  2356,  2357, -3044,
   -3044, -3044,  2539, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,   333,   333,  1230,  2197, -3044, -3044, -3044, -3044,
   -3044,  2416,  2355, -3044, -3044,  1777, -3044, -3044, -3044, -3044,
   -3044,  1777,  2304,  1751,  2550, -3044, -3044, -3044, -3044, -3044,
   -3044,  1777,  2082,  2526, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,  2529, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,   760,  2530,   760,
   -3044, -3044,  1777, -3044, -3044, -3044,  2533, -3044, -3044, -3044,
   -3044, -3044, -3044,  2556,  2560, -3044, 10051, -3044, -3044,  6655,
    2537,  9001, 10399,  4499,  4552, -3044, 10747,  4599, -3044,  1230,
    2563, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,  2611,   760,  1569,
   -3044,  2541, -3044,   816,   760,  1827,   830, -3044, -3044, -3044,
   -3044,  1569,   816,   830,  2543, -3044,  4175,  2569,  2570,   928,
     716,  2571,   943,  2573,  2576,   819,  2579,   856, -3044,  2580,
   -3044, -3044,  9001, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    4210,  4595, -3044, -3044, -3044, -3044, -3044,   707, -3044, -3044,
   -3044,  1230,  2330, -3044, -3044, -3044, -3044,   760,   760,   760,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  1777,   760,
   -3044, -3044,  1777, -3044,   559, -3044,  1948, -3044, -3044,   853,
     905,     1,   144,    99, -3044, -3044, -3044, -3044, -3044,  2135,
   -3044, -3044, -3044, -3044, -3044,  2583,  2584,  2528,  1672, -3044,
   -3044,  4663, -3044, -3044, -3044, -3044, -3044, -3044,  2593, -3044,
   -3044, -3044,   760, -3044, -3044,   760,  1490,   760, -3044,  2508,
    2508,  2612, -3044, -3044, -3044, -3044, -3044,  2508,  2508,  2633,
   -3044, -3044, -3044, -3044,  2615,  9001, -3044, -3044, -3044,  2616,
    9001, -3044,  9001,  2647, -3044,  9001, -3044, -3044,  4649, -3044,
   -3044,  2336, -3044, -3044, -3044, -3044, -3044,  1777,  2574,  1348,
    2413,   760,   760,   347, -3044, -3044, -3044,   792,  2577,  2603,
   -3044,  1777, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  2550,
   -3044, -3044,  1943, -3044, -3044, -3044,   715, -3044, -3044,  1777,
     760,  1777,  2606, -3044,   760,   760,   -47,   760,  2331,   172,
   -3044,  2610, -3044,  1777,  2172,  2173,  1777,  1777,  2614,   770,
   -3044,   -23,   -21,   666,   578, -3044,    14, -3044, -3044, 10051,
   -3044, -3044, -3044,  3485, -3044, -3044,  2662, -3044, -3044, -3044,
   -3044,   339,  9001,  2618,  2590, -3044, -3044,  2541,   760, -3044,
     760,   760,   760,  1827,  1827, -3044,  2619,  2620,  2621,  2591,
    2625,  2617,  2626, -3044,   760,  2386,   725, -3044,   760,  2389,
     111,  2438,   760,  2439,  2466,  2627,   123,  2381,    66, -3044,
    2639, -3044,  1424,  2467,  2469,  2470, -3044, -3044, -3044,  1416,
   -3044,  2493, -3044, -3044, -3044,  9001, -3044, -3044, -3044, -3044,
     611, -3044, -3044, -3044, -3044,  1980, -3044,   760,  2404,   114,
    2452,  2241,  2628,   760,   760,  1777,   -22,  2275,  2338,   760,
    1777,   760,  2384,   287,   -98,   760,  2589,  2273, -3044,  2664,
   -3044,   760,  2665, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044,   760,   760, -3044, -3044, -3044,   760,   760,
   -3044, -3044, -3044,  2244, -3044,    80,   -20,   -27,   -10,  2245,
    2248,  1777,  2236,  2473,  2232,  2425,  2414,  2417,  2220,  2678,
   -3044,    76,  1230,  2680, -3044,  2712,    76,  2684, -3044, -3044,
   -3044,   760, -3044,  1777,  2442,   129,   -94,   760,  2488,  1777,
     -25,  1230,  2375,  2494,  2622,   228,  2496,  2498,    87,  2249,
    2253,  2224, -3044,  2702, -3044,  2231,  2237,  1013,  2706, -3044,
   -3044,  4270,  1432,  1618, -3044,  4663,  2709,  9001, -3044,  2733,
    2736, -3044, -3044, -3044, -3044, -3044, -3044,  9001, -3044,  9001,
   -3044, -3044,  1477, -3044, -3044, -3044, -3044,   760,   760,   760,
     760,   760, -3044,  1777, -3044,   760,   760,  2474,   760,   760,
     760,   760,  1777, -3044,  2471, -3044,  2696,  2725,   760,   760,
     760, -3044, -3044,  1455,  4380,  2755,   246,   760,  2755,  1356,
     351,  2699, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,   108,   760,   760, -3044,  1777,  2316, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,  1777,   813, -3044, -3044, -3044,   760,
     760, -3044,  1777,  1777, -3044,   760,  1777, -3044, -3044, -3044,
   -3044, -3044,  2286,  2286,  2538,  2540, -3044,   617,   760,   617,
    2542,   760,   760,  2544,   760,  2309, -3044,  1777,   760,   760,
    2604,  1777,  1009,  1777,   465,   104, -3044, -3044,   760, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,   760,
     760,   760, -3044,  1777,  1777, -3044,   760, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,  1023,   760,   760, -3044, -3044,   760,
     760,  1777, -3044,  1777,  1777,  1777, -3044, -3044,  2600,  2605,
   -3044, -3044, -3044,  9001, -3044, -3044, -3044,  2671, -3044,  4412,
     760,   760,  2740,  2721,  1230,  1230, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,  1777, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  1424, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
    2748,  2755,  2755,  2749,  2752,  1525,  1619, -3044, -3044, -3044,
   -3044,  2754,  2755,  2755, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,  1777,  1097, -3044,  2358, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  1777, -3044, -3044,   760,   760, -3044, -3044, -3044,
   -3044,  2286, -3044,   760,  2286, -3044,   760, -3044,  1777, -3044,
   -3044, -3044,   760, -3044, -3044, -3044, -3044,   760,  1777, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,  2360, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,  1013,  1013,  4270, 10051,
    2756, -3044, -3044, -3044,  9001, -3044, -3044, -3044, -3044,   611,
    2766,  2767,   611,   611, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,   611,  2768,  2769, -3044, -3044, -3044,
    2361, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044,  2329, -3044, -3044, -3044, -3044, -3044, -3044,  2744,
   -3044,   611,   611, -3044, -3044, -3044,   611,   611, -3044,  2773,
     666,  9001, -3044, -3044, -3044, -3044, -3044, -3044,  2772, -3044
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
     553,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2145,     0,   552,   699,   701,   703,  1135,  1137,  1139,  1141,
    1145,  1147,  1149,  1206,  1215,  1217,  1219,  1221,  1223,  1225,
    1227,  1229,  1231,  1233,  1235,  1242,  1244,  1246,  1248,  1250,
    1252,  1254,  1258,  1260,  1312,  1433,  1435,  1437,  1439,  1378,
    1648,  1791,  1793,  1795,  1797,  1799,  1801,  1803,  1805,  1980,
    1982,  2050,  2129,  2131,  2133,  2135,  2137,  2139,  2141,  2143,
       1,   551,     0,   970,   555,   967,   968,     0,     0,     0,
       0,     0,     0,     0,     0,   988,   989,     0,   960,   961,
     963,   964,   965,   966,     0,     0,  2095,     0,     0,     0,
     554,   556,   705,   708,   710,   712,   714,   748,   949,   956,
     958,   969,     0,   971,   974,     0,  1032,  1037,   987,   990,
     994,  1272,  1278,   990,  1314,   990,  1390,   990,  1331,   990,
     994,   990,  1618,   990,  1635,   990,   994,   990,   994,     0,
     994,   990,  1838,   990,  1927,   990,  1984,   990,   994,   994,
    2094,  2121,  2124,   990,   990,   994,   700,   702,   704,   835,
     836,   847,   761,   762,   842,   567,   839,   840,     0,     0,
       0,     0,   858,     0,     0,     0,   861,   837,   838,   859,
     860,   862,   863,   864,   865,   866,   867,   869,   870,   871,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1268,  1269,  1270,  1271,  1432,  1604,  1607,  1606,  1603,  1605,
    1608,  1609,  1610,  1613,  1615,  1611,  1612,  1614,  1616,  1787,
    1788,  1789,  1790,  1925,  1926,  1978,  1979,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2065,  2066,  2067,  2068,  2069,
    2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2064,  2080,  2181,  2182,   857,   588,   589,   598,
     590,   591,   592,   593,   599,   594,   595,   596,   843,   697,
     698,   597,   841,   851,   897,   898,   914,   896,   899,   901,
       0,   913,   900,  1262,  1264,  1263,     0,     0,     0,  1262,
     620,   620,     0,     0,     0,     0,  1261,     0,     0,  1266,
       0,     0,  1151,     0,  1208,  1144,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1238,
       0,  1237,  1240,   620,  1650,  2146,  2145,     0,  2145,     0,
       0,  2147,  2142,    39,    40,    41,   565,   564,     2,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   566,     0,   749,   706,   709,
     716,   717,   718,   720,   719,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,     0,   732,     0,     0,
       0,     0,   618,   617,     0,     0,     0,     0,     0,   573,
     962,     0,     0,  1039,  1038,  1040,  1041,     0,     0,     0,
       0,     0,     0,   558,     0,     0,   560,     0,   975,   985,
    1065,  1985,  1442,  2015,  1315,  1391,  1332,  1621,  1636,  1657,
    1817,  1832,  1839,  1928,  2151,  2168,  1660,  1930,    13,   991,
       0,  1064,     0,   573,     0,  1071,     0,     0,     0,     0,
    1002,     0,  1016,     0,     0,  1276,  1280,     0,     0,     0,
       0,  1291,  1561,  1562,  1441,     0,     0,     0,     0,     0,
    1551,  1552,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   573,     0,  1446,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   573,     0,
       0,     0,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,     0,  1304,  1563,  1599,     0,     0,     0,     0,
       0,   970,  1656,     0,     0,     0,   573,     0,     0,   573,
       0,   573,  1663,  1667,  1016,  1668,     0,     0,  1681,     0,
    1816,   573,     0,     0,     0,     0,     0,     0,  1821,     0,
    1834,  1831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2014,     0,     0,     0,     0,
       0,     0,  2039,  2048,  2150,     0,     0,     0,     0,     0,
     573,     0,   573,  2160,  2158,  2159,     0,  2161,     0,     0,
       0,  2167,  2174,     0,  2171,     0,   835,   835,   835,     0,
       0,   835,   857,   835,     0,   824,     0,   580,     0,     0,
       0,   583,   584,     0,     0,     0,   894,   587,   784,   785,
       0,   787,     0,     0,   692,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   763,   766,   762,   765,     0,   844,
     768,   588,   589,   815,   764,   802,   799,   800,   801,   811,
       0,   819,     0,   852,     0,     0,  1234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,  1074,     0,  1073,  1257,  1255,  1256,   619,
       0,     0,     0,     0,  1249,  1085,     0,  1084,     0,  2144,
    1308,  1265,  1267,  1266,     0,  1146,     0,  1138,     0,  1136,
       0,  1143,     0,  1144,  1144,  1144,  1144,  1380,  1144,  1144,
    1807,  1144,  1144,     0,  1144,  1144,     0,  1228,  1220,  1230,
    1222,  1216,  1218,  1224,  1226,  2117,  2112,  2115,  2113,  2114,
    2116,  2118,  2119,  2120,     0,  2110,  1241,     0,     0,     0,
       0,  2138,  2147,  2134,  2136,  2148,     0,     0,  1274,     0,
     738,     0,   733,     0,     0,     0,   952,   954,   955,  1060,
       0,     0,   957,  1035,  1033,  1034,  1036,   569,   571,   570,
     572,     0,   568,  2125,     0,  2123,  1042,     0,  1050,  2098,
    2103,     0,  2099,     0,     0,     0,  2128,  2127,     0,  2093,
     973,   983,   972,  1658,  1659,   990,  1929,   992,     0,  1066,
       0,   995,   996,  1051,  1001,  1000,   999,   997,   573,  1067,
    1014,  1018,  1068,  1069,     0,  1273,  1322,  1396,  1339,  1469,
       0,     0,     0,  1487,     0,     0,     0,  1555,  1553,  1556,
    1554,  1557,  1559,  1558,  1560,   573,     0,     0,     0,     0,
     573,     0,     0,   573,     0,     0,   573,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,   574,   575,   576,     0,
     577,     0,     0,   577,     0,   573,     0,     0,     0,     0,
       0,   573,   573,     0,   573,   573,     0,   573,   573,   573,
     573,   573,   573,     0,     0,   573,   573,     0,   573,     0,
       0,   573,   573,     0,     0,     0,     0,   573,     0,   573,
    1470,  1472,  1302,  1306,  1597,  1601,  1471,  1630,  1645,  1661,
     573,   573,   573,  1682,  1669,   573,  1679,  1676,     0,  1670,
    1664,  1665,  1018,  1662,  1684,  1818,  1828,     0,     0,  1827,
       0,     0,  1824,  1829,  1830,  1820,  1819,  1009,   744,     0,
    1023,  1024,     0,     0,  1022,  1004,     0,  1005,  1020,  1003,
       0,   573,     0,  1835,  1836,  1851,  1937,  1987,  2016,     0,
       0,   607,   606,  2034,   573,     0,  2017,  2018,  2019,  2041,
       0,  2040,     0,  2044,  2042,  2043,  2030,  2036,  2046,     0,
     573,   573,  2054,     0,     0,  2162,     0,  2155,  2154,  2164,
    2052,  2153,  2152,  2169,  1051,  2172,     0,  2170,     0,   827,
     833,   831,     0,   761,   762,   835,     0,   832,   834,   826,
     579,   581,     0,   902,     0,     0,   903,   786,     0,   879,
       0,   693,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   773,   816,   817,     0,     0,     0,
     845,     0,   846,   855,     0,   853,     0,     0,   891,   889,
     887,   884,   885,   886,   888,   890,   892,   893,   880,   881,
     882,   883,     0,  1202,  1200,  1201,  1185,  1188,  1192,  1195,
    1198,  1199,  1186,  1187,  1189,  1190,  1191,  1193,  1194,  1196,
    1197,  1203,  1204,  1205,  1078,  1079,  1080,  1082,  1083,  1081,
       0,  1076,  1247,  1243,  1251,  1253,  1089,  1090,     0,  1087,
    1259,     0,     0,  1140,  1148,  1150,     0,     0,   744,     0,
    1161,     0,  1182,     0,  1163,  1162,  1167,  1168,  1181,  1183,
    1184,  1152,  1160,     0,  1207,  1214,  1211,  1210,  1212,  1213,
    1209,  2051,   620,   620,   620,   620,     0,   620,   620,     0,
    1144,   620,  1144,   620,  1792,   620,   620,  1232,     0,  1239,
    1236,  1245,  1649,   744,     0,     0,  1654,  2140,     0,  2149,
    2130,     0,   734,   740,     0,   707,   742,     0,   711,     0,
       0,  1051,     0,     0,   950,  2126,  2122,     0,  1044,  1047,
       0,  2102,   622,   623,   624,   621,     0,  2105,  2106,     0,
    2101,     0,  2108,     0,     0,   561,   562,   563,   559,     0,
    1833,   993,   998,  1054,  1057,  1072,     0,     0,  1019,     0,
    1279,     0,  1275,  1287,   994,   994,   994,     0,     0,     0,
    1478,     0,     0,     0,   573,   573,  1525,  1527,     0,     0,
       0,     0,     0,     0,     0,     0,   573,   573,     0,     0,
       0,     0,     0,     0,  1543,  1542,  1132,  1545,  1489,   605,
     604,  1446,     0,  1446,     0,     0,  1475,  1449,  1450,  1464,
    1465,  1466,  1467,  1468,     0,  1443,     0,     0,  1473,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,   573,     0,     0,
       0,  1526,     0,  1482,   573,     0,     0,     0,   573,   573,
     573,     0,     0,     0,     0,  1290,  1018,     0,  1602,   994,
     994,  1671,     0,  1674,  1673,  1678,  1672,     0,  1680,  1666,
       0,  1826,  1825,  1822,  1823,   743,  1021,   738,   746,  1031,
    1025,  1007,   573,  1008,  1006,  1011,     0,   994,   994,   994,
    2032,     0,     0,  2024,   577,  2037,     0,     0,   573,   573,
       0,  2031,     0,  2022,  2165,  2156,  2053,     0,  2163,  1059,
    2178,  2173,   835,   825,   829,   835,     0,   581,     0,     0,
       0,     0,   688,   690,   910,     0,   895,     0,     0,     0,
       0,   915,   912,     0,     0,     0,     0,   767,     0,     0,
     803,   812,   820,     0,   856,     0,     0,   874,   875,   877,
     873,   878,     0,  1075,     0,  1086,  1313,  1310,  1311,  1309,
    1142,  1154,  1179,  1180,     0,  1176,  1177,  1178,  1172,  1170,
    1171,  1153,  1169,  1159,  1166,     0,     0,  1156,  1155,   567,
    1164,  1165,     0,     0,     0,     0,  1379,  1381,  1385,  1388,
       0,  1386,  1387,  1389,     0,     0,     0,     0,  1806,  1815,
       0,     0,  1810,  1813,  1808,     0,     0,   620,     0,   620,
       0,     0,     0,  2111,  1653,  1652,  1651,  1655,  2132,   557,
     736,     0,     0,   750,   752,     0,     0,     0,     0,  1061,
     951,   953,  1043,  1045,  1046,  1048,  1049,  2097,     0,     0,
    2104,  2100,     0,  2096,   959,     0,   986,     0,     0,   573,
     573,     0,     0,  1055,   620,  1051,  1070,  1017,     0,  1012,
       0,     0,  1277,  1285,  1289,  1324,     0,     0,     0,  1316,
    1317,     0,  1398,  1399,     0,  1392,  1393,     0,  1341,  1346,
    1348,  1348,     0,     0,  1333,     0,     0,     0,  1501,  1500,
    1499,  1550,     0,     0,  1451,     0,   573,     0,     0,  1535,
    1534,     0,     0,  1541,     0,     0,  1514,   573,     0,  1490,
       0,     0,     0,     0,     0,   578,     0,  1447,  1448,  1548,
       0,  1444,  1445,  1492,  1484,     0,     0,  1505,     0,  1494,
    1480,     0,  1481,  1516,  1497,  1528,  1496,  1495,  1540,  1498,
       0,  1529,     0,  1531,  1532,  1483,     0,  1493,  1521,     0,
       0,     0,     0,  1519,   573,  1549,     0,  1305,     0,  1296,
       0,  1307,     0,  1600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   573,   573,   573,     0,   573,     0,
    1570,     0,  1632,     0,     0,     0,     0,  1619,  1622,  1624,
    1016,  1623,     0,  1647,   744,     0,     0,     0,     0,  1641,
    1637,     0,  1675,  1677,  1683,  1777,     0,   573,  1697,   573,
    1695,     0,     0,  1687,   573,     0,  1701,  1778,   745,     0,
    1030,  1010,  1837,  1853,     0,  1854,  1844,  1846,     0,     0,
       0,  1840,  1841,     0,  1939,  1940,   573,     0,  1931,  1932,
       0,     0,  1986,     0,  2000,     0,  2000,     0,     0,  2000,
    1989,  1990,     0,  1993,     0,  2035,  2020,  2021,  2023,     0,
     613,   614,  2026,  2028,  2027,  2029,  2025,   567,   754,  2049,
     852,   852,     0,     0,   916,   917,   918,     0,     0,   926,
       0,     0,     0,     0,   947,   852,  2045,     0,   948,  2047,
       0,  2166,  2055,  2176,  2180,   828,   830,     0,     0,   904,
       0,   848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   773,     0,     0,     0,     0,     0,     0,   854,
     585,   586,     0,  1077,  1088,     0,  1173,  1174,     0,  1157,
    1158,  1440,  1434,  1436,  1438,  1383,  1384,   610,   611,   612,
     608,   609,  1382,  1796,  1794,  1811,  1814,  1809,  1812,     0,
    1798,     0,  1802,  1981,  1983,     0,   741,   738,     0,     0,
     758,   759,   753,   756,   757,     0,  1617,   713,     0,   625,
    2107,  2109,     0,   977,     0,   976,   978,     0,     0,   984,
    1052,     0,  1056,  1058,  1013,  1015,  1282,     0,  1281,     0,
    1320,     0,  1323,  1051,  1394,     0,  1397,  1334,  1051,  1335,
    1366,  1336,  1370,  1337,   573,  1340,     0,  1508,  1510,     0,
       0,     0,  1455,     0,     0,     0,     0,  1453,  1511,     0,
       0,     0,  1536,  1485,  1506,  1512,  1515,     0,  1491,  1502,
    1507,  1134,   573,  1131,     0,     0,     0,     0,     0,  1546,
    1477,  1476,  1474,  1504,  1503,  1486,  1479,  1533,  1530,  1547,
     573,  1517,  1522,  1520,     0,     0,     0,  1297,  1303,     0,
     573,   573,   573,     0,     0,   573,     0,     0,     0,  1577,
    1578,  1579,  1575,  1593,  1592,  1594,  1580,     0,     0,  1598,
    1625,     0,     0,     0,     0,  1018,  1631,  1640,  1639,  1638,
    1643,  1642,     0,  1646,  1051,  1700,     0,     0,   573,  1688,
       0,     0,  1686,     0,     0,  1704,  1699,  1703,     0,  1693,
    1685,     0,  1711,  1026,  1027,  1028,  1029,   603,   602,  1889,
    1898,  1843,  1051,  1842,     0,     0,  1849,   573,     0,  1852,
    1051,  1936,  1933,  1935,  1938,  2002,     0,  2001,     0,     0,
       0,  2003,  1991,  2006,  2007,  1995,     0,  1988,  2033,  2038,
       0,     0,   752,     0,     0,     0,     0,     0,     0,     0,
     945,   945,     0,   939,     0,     0,   941,     0,  2157,     0,
       0,     0,     0,     0,   646,   657,   658,   644,     0,   647,
     648,     0,     0,   651,   652,   656,   653,   695,   654,     0,
     670,   670,     0,     0,   696,     0,   670,   670,     0,     0,
       0,   907,   908,   906,   909,   782,     0,     0,   780,     0,
     776,     0,     0,   774,     0,     0,     0,   852,  1175,  1800,
    1804,     0,   733,   751,     0,   747,   760,   739,     0,     0,
       0,   981,   982,  1053,     0,  1288,     0,     0,  1328,     0,
    1330,  1329,  1319,  1325,   738,  1318,  1429,   573,  1344,  1342,
    1343,  1345,  1347,  1366,  1364,  1349,     0,     0,  1373,  1338,
       0,     0,     0,  1458,  1459,  1457,  1461,  1460,  1462,     0,
    1452,  1538,  1537,  1539,  1513,  1130,     0,     0,     0,  1125,
    1129,  1133,     0,  1518,  1299,  1300,  1298,  1293,  1295,  1292,
    1294,  1301,   573,   573,     0,     0,  1586,  1587,  1588,  1590,
    1591,     0,     0,  1596,  1581,   573,  1567,  1568,  1569,  1576,
    1595,   573,     0,     0,     0,  1633,  1627,  1628,  1629,  1626,
    1620,   573,  1780,  1784,  1690,  1691,  1689,  1765,  1692,  1765,
    1725,  1705,  1694,  1779,  1712,  1896,  1895,  1886,  1902,  1901,
    1909,  1845,  1911,  1912,  1919,  1847,  1850,     0,  1975,     0,
    1994,  1997,   573,  1996,  1992,  2004,     0,  1998,   615,   923,
     755,   937,   938,     0,     0,   931,     0,   821,   922,     0,
       0,     0,     0,     0,     0,   936,     0,     0,  2179,     0,
       0,   582,   905,   849,   850,   645,   649,   650,   655,   640,
     638,   636,   635,   637,   639,   634,   641,   663,     0,   680,
     665,   661,   671,   681,     0,     0,   682,   601,   600,   679,
     689,   685,   686,   687,   683,   691,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   818,     0,
     735,   737,     0,   920,   715,   980,   979,  1284,  1283,  1286,
       0,     0,  1321,  1427,  1400,  1395,  1349,     0,  1369,  1371,
    1372,     0,  1375,  1509,  1456,  1463,  1454,     0,     0,     0,
    1523,  1565,  1566,  1564,  1573,  1572,  1571,  1574,   573,     0,
    1584,  1589,   573,   809,     0,  1644,  1778,  1782,  1786,     0,
       0,     0,  1714,     0,  1900,  1884,  1883,  1907,  1917,     0,
    1973,  1941,  1934,  1999,  2008,     0,     0,   924,     0,   921,
     927,   945,   946,   947,   945,   948,   930,   933,     0,   932,
    2175,  2177,     0,   659,   643,   642,     0,     0,   642,   670,
     670,     0,   672,   673,   674,   675,   676,   670,   670,     0,
     911,   797,   781,   779,     0,     0,   777,   795,   775,     0,
       0,   793,     0,   791,   790,     0,   788,   876,     0,  1327,
    1326,  1401,  1431,  1368,  1367,  1098,  1099,   573,     0,     0,
       0,     0,     0,     0,  1357,  1091,  1093,     0,  1124,     0,
    1374,   573,  1377,  1126,  1127,  1128,  1582,  1583,  1585,     0,
    1634,  1781,     0,  1698,  1768,  1766,  1769,  1696,  1702,   573,
       0,   573,     0,  1710,     0,     0,     0,     0,     0,     0,
    1724,     0,  1899,   573,     0,     0,   573,   573,     0,     0,
    1888,  1903,  1913,     0,     0,  1977,     0,   935,   934,     0,
     754,   769,   772,     0,   940,   771,   807,   804,   805,   806,
     813,     0,     0,     0,     0,   942,   664,   662,     0,   666,
       0,     0,     0,     0,     0,   684,     0,     0,     0,     0,
       0,     0,     0,   919,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,  1355,  1094,     0,     0,     0,  1350,  1354,  1358,     0,
    1359,     0,  1356,   629,   628,     0,  1100,   630,   631,   632,
    1101,  1097,  1365,  1376,   810,     0,  1785,     0,     0,     0,
       0,     0,     0,     0,     0,   573,     0,     0,     0,     0,
     573,     0,     0,     0,     0,     0,     0,     0,  1764,     0,
    1770,     0,     0,  1708,  1709,  1707,  1706,  1718,  1715,  1721,
    1722,  1723,  1716,     0,     0,  1719,  1713,  1891,     0,     0,
    1890,  1892,  1897,     0,  1887,     0,     0,     0,     0,     0,
       0,   573,     0,     0,     0,     0,  1872,  1874,     0,     0,
    1906,     0,     0,     0,  1916,     0,     0,     0,   626,  1848,
     627,     0,  1976,   573,     0,     0,     0,     0,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1968,     0,  2013,     0,     0,     0,     0,   925,
     823,   773,     0,     0,   754,   928,     0,     0,   660,     0,
       0,   667,   678,   677,   796,   778,   794,     0,   792,     0,
     789,  1402,     0,  1405,  1406,  1407,  1404,     0,     0,     0,
       0,     0,  1412,   573,  1403,     0,     0,     0,     0,     0,
       0,     0,   573,  1418,  1419,  1428,     0,     0,     0,     0,
       0,  1360,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1733,  1734,  1735,  1736,  1737,  1738,  1739,  1740,
    1730,     0,     0,     0,  1758,   573,     0,  1772,  1727,  1745,
    1763,  1752,  1753,  1754,   573,   573,  1726,  1747,  1729,     0,
       0,  1731,   573,   573,  1728,     0,   573,  1783,  1771,  1767,
    1717,  1720,  1923,  1923,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,   573,     0,     0,
       0,   573,     0,   573,     0,     0,  1885,  1910,     0,  1921,
    1905,  1904,  1908,  1920,  1914,  1915,  1918,  1947,  1945,     0,
       0,     0,  1961,   573,   573,  1942,     0,  1966,  1969,  1972,
    1971,  1970,  1967,  1946,   573,     0,     0,  1943,  1944,     0,
       0,   573,  1948,   573,   573,   573,  1974,  2005,     0,     0,
    2012,  2009,   770,     0,   808,   814,   822,     0,   943,     0,
       0,     0,     0,     0,     0,     0,  1410,  1411,  1063,  1062,
    1413,  1414,  1408,  1409,   573,  1422,  1421,  1424,  1423,  1425,
    1420,  1092,  1094,  1351,  1352,  1353,  1362,  1363,   633,   616,
       0,     0,     0,     0,     0,     0,     0,  1120,  1121,  1122,
    1123,     0,     0,     0,  1124,  1756,  1755,  1757,  1760,  1759,
    1748,   573,     0,  1746,     0,  1761,  1744,  1732,  1743,  1742,
    1749,  1741,   573,  1893,  1894,     0,     0,  1880,  1881,  1882,
    1867,  1923,  1868,     0,  1923,  1857,     0,  1861,   573,  1860,
    1862,  1863,     0,  1877,  1873,  1878,  1875,     0,   573,  1922,
    1959,  1960,  1962,  1965,  1952,  1954,     0,  1963,  1957,  1958,
    1955,  1956,  1949,  1950,  1951,  1953,     0,     0,     0,     0,
       0,   669,   668,   783,     0,  1415,  1416,  1417,  1095,  1101,
       0,     0,  1101,  1101,  1110,  1111,  1112,  1113,  1114,  1115,
    1116,  1117,  1118,  1119,  1101,     0,     0,  1096,  1750,  1751,
    1774,  1773,  1762,  1924,  1856,  1869,  1865,  1870,  1866,  1855,
    1858,  1864,     0,  1879,  1964,  2011,  2010,   929,   944,     0,
    1106,  1101,  1101,  1108,  1107,  1109,  1101,  1101,  1775,     0,
       0,     0,  1104,  1105,  1102,  1103,  1776,  1876,     0,   798
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,    -8,
    -947,   -72,    -7,  2036, -1009, -1362, -3044,  -166,  -171,  1186,
    1187,  1189, -3044, -3044, -3044,  -187, -3044, -3044, -1069, -3044,
   -2152, -1367, -1159,   461, -3044,   586, -2433,  -103,  -255,   606,
    -703, -3044,  -113,   -60, -1455, -3044,   553,   554,   556,   560,
     270,   -51,   -39,   272, -2347, -1346,   282, -3044, -3044, -3044,
   -3044,  1702, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,   -77, -3044, -3044, -3044, -3044,  1003,
   -1609, -3044, -1207, -2197, -3044, -3044, -3044,   329, -2810, -3044,
   -3044,   520, -3044,  -207,  1295,  -318, -1877, -2745,  2692, -2382,
   -2718,  1297,  -314, -3044,  1750, -3044,  1308, -3044, -3044, -3044,
   -3044, -1083, -3044, -3044, -1239,   286, -1868,  -165, -1543, -3044,
   -3044,   130, -3044,    37, -2900, -3044, -3044, -3044, -1864, -3044,
   -3044, -3044, -3044, -2435,   133, -3044, -1039, -3044, -3044,     3,
    2746, -3044, -3044, -3044, -3044, -3044, -3044, -3044,   -70,  -123,
   -3044,  -141, -1049, -3044, -1053, -1432,  -108, -1133, -1065, -3044,
    -261, -3044, -3044, -3044, -3044, -3044, -3044, -3044,   858, -1329,
   -1819, -3044, -3044, -2509, -3044, -3044, -3044, -3044, -3044,  -301,
   -3044,   956,  -727, -3044,   963, -2296, -3044,  -483, -2939, -3044,
   -3044, -1956, -3044,  -504, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,  -248, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -1532, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,   400,  1678, -1582, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,  -147, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,    82, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,   841,    78,
   -3044, -3044, -3044,   276, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044,  1110,  -458, -3044, -3044,   257, -3044, -3044,
   -3044, -3044, -3044, -3044,   234, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044,  -777, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044,   201, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044,    55, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044,  -377, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044,  -211,  -226, -3044, -3044, -3044,
   -3044,  -385,  -225, -3044, -3044, -3044, -3044,  -383,  -227, -3043,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  -977,   401,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  1418,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,  1203,
    1248, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044,  1004,  1655, -3044, -3044, -3044, -3044, -3044, -3044, -3044,
   -3044, -3044, -3044, -3044, -3044, -3044
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   110,   111,  1312,
    1326,   979,   956,  2853,  2729,  1793,  1147,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  2799,
    2509,  2974,  1503,  2332,  2251,  2252,  3400,   934,  1220,  1727,
    3159,  3076,  3160,  2788,  2906,  2578,  2579,  2580,  2581,  2582,
    2789,  2790,  2791,  2793,  2794,  2916,  2796,  2583,  2589,  2293,
    2294,  1561,  1912,  1913,   289,   290,   291,   905,   112,  1290,
     113,   114,   115,   116,  2348,  2011,  1703,  1704,  2013,  1705,
    1866,  1867,  1484,  1706,   117,  1289,  2347,  2349,  2541,  2542,
    2350,  2351,  2352,   292,  1185,  3016,  1572,  1186,  1573,  1187,
    1188,  1189,  3020,  2864,  1190,  3021,  1191,  1192,  2888,  1143,
     293,  1144,   294,   295,  1583,  1584,   296,   297,   298,   299,
    1602,  1940,  2312,  2302,   301,  2275,  2353,  2760,  2354,  2549,
    3022,  3367,  2766,  2761,  2277,   118,  1301,   119,   120,   990,
     122,   123,   124,   959,  2042,  1739,  1332,   125,   980,   991,
     992,  2049,  2050,  1747,  1351,  1748,   993,  1489,  1485,  2210,
    1871,   126,   947,   948,   127,  1743,  2372,  2044,  1744,  1899,
    1900,  1711,  1712,  3222,   128,   129,   130,  1343,   994,  1216,
    1630,  1631,  1228,  1638,  1639,  2954,  2955,  3236,  2956,  2957,
    2958,  3251,  3411,  3081,  2428,  2102,  1787,    26,    27,    28,
      29,  1242,    30,    31,    32,  1238,  1961,  1962,  1663,  1623,
     306,    33,  1240,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   342,  1277,    45,    46,    47,    48,
      49,    50,    51,   307,    52,    53,   308,  1234,   302,   131,
     132,  1751,  1354,   996,  1355,  1752,  1753,  2627,  2377,  2054,
    2378,  1052,  1053,  2681,  2150,  1844,  1443,  1845,  1846,  1641,
      54,   133,  2061,  2634,  1754,   134,  2632,  2633,   135,  2067,
    1755,   136,  2383,  2942,  3060,  2941,  2834,  2384,    55,    56,
      57,    58,   137,  2075,  1756,   138,  2642,  2387,  2388,  2838,
    2959,  3072,  2837,  2645,  2389,  2391,  2648,  2842,  2962,  2393,
      59,  1676,   139,  1404,  1401,  2085,  2406,  2407,  1804,   140,
    1393,  2103,  1054,  1055,  2854,  2699,  2171,  1847,  1445,  1848,
    1056,  2180,  2181,   141,  2182,  1849,   142,  2706,   143,  2191,
    1850,   144,    60,  1279,   976,   145,   146,  1461,  1074,  1075,
    1076,  1077,  1078,  1860,  2205,  2493,  2490,  2496,  2497,  2871,
    2982,  2206,  2872,  2991,  2207,  3109,  2869,  2975,  2976,  3112,
    3422,  3539,  3511,  2484,  2502,  2713,  2866,  2972,  2868,  2485,
      61,    62,    63,    64,    65,    66,    67,    68,  1679,   147,
     148,  1089,   149,  1335,   150,   151,  2223,  2514,  2515,  1877,
     152,  2512,  3149,  3312,  3314,  3440,  3000,  2999,  2876,  2513,
    2510,  2998,  2874,  2873,  2726,  2511,  2730,  2877,  3153,  3317,
    3001,  2731,  2734,  2878,  3157,  3323,  3002,  2735,  3320,  3433,
     977,   153,  2230,  1878,   154,  2520,  3005,  3183,  3342,  3004,
    2881,  2521,    69,    70,   155,   156,  1879,  2242,  2528,  2243,
    2532,  2535,  2745,  2746,  3006,  3188,  3357,   157,   158,  1516,
    1517,  2245,  1112,  1880,  1113,  2279,  1892,  1519,    71,   159,
    1126,   949,   160,  1721,  1730,  1323,  1728,  2030,  1733,  1274,
    1275,   161,   162,    72,    73,    74,    75,    76,    77,    78,
      79,   351,  1286,   163,  1529,  2281,  1127,  1128,   164,   165,
    1135,  1534,  2770,  2559,  2284,  1535
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     276,   942,  1184,  1152,  1145,  1327,   121,  1218,  1151,  1100,
     904,  1111,  1125,   928,  1745,   907,   908,  1051,  1400,  1403,
    1941,  1462,  1183,  1073,  2273,  1087,  1453,  1099,  2276,  1487,
    1859,  1662,  1791,  1563,   345,  1109,  1123,  1502,  1182,  1963,
    1088,  1805,  1134,  1181,   300,  1265,  2301,  2303,  2305,  2306,
    1110,  1124,  1509,  1539,  1540,  1541,  1221,  3079,  1547,  1939,
    1548,  2533,  3150,   997,  3154,   998,  2516,   999,  2768,  1000,
      81,  1057,  1696,  1058,   932,  1059,  1131,  1079,   933,  1661,
    1253,  1101,   276,  1102,  2004,  1103,  2978,  1104,  1278,  2705,
    2705,  2705,   935,  1129,  1130,   953,     4,     5,     6,  3184,
     175,   955,  1150,  3079,  2507,  1241,   953,    82,  3299,  1396,
    1397,   175,  1398,   953,  1266,  3297,  2762,    83,   175,   936,
     937,    84,  3119,  3237,    85,    86,   909,   953,  1764,   932,
    1794,  1971,   175,   933,   954,  1795,  1796,   938,  1307,  1308,
    1309,  1310,  2654,  3017,  3338,   954,  2273,  3271,   982,   121,
    2613,    87,   954,   983,   984,  1367,  3333,  1132,   953,   175,
    1001,   986,  1142,   175,  1988,   318,   954,    85,    86,  1502,
    3019,  1235,  2459,   276,  3457,  1467,   276,  1369,  3228,  1371,
    2646,  3339,  1989,  1316,  2992,  3218,  3219,  1373,  3262,  3219,
    2467,   953,  1114,  1924,   932,  1768,   175,   954,   933,     1,
    3190,  1731,  1180,  3330,  3219,  1396,  1397,    88,  1398,    89,
      90,   175,  2691,    91,  1314,    92,   987,  1156,   303,   988,
    1163,    93,   304,    94,    95,    96,   953,    97,  1990,  2983,
     954,   175,   953,  2993,  2795,  3233,  1579,   175,     7,   166,
    2795,    98,    99,   100,   101,   102,   103,  1248,  1241,  3282,
    3434,  1307,  1308,  1309,  1310,   346,     8,  1307,  1308,  1309,
    1310,  1347,  3155,  1360,   982,   954,  1925,  2624,   953,   983,
     984,   954,   951,   175,  3120,  2979,  1154,   986,  2625,   347,
      80,  1732,     9,    10,    98,    99,   100,   101,   102,   103,
    1510,  1423,   104,  1307,  1308,  1309,  1310,  1470,   105,  3272,
    3401,  1742,  1946,  1375,   106,   107,   953,   954,  1580,  2399,
    2278,   175,   319,   932,   320,  1991,   167,   933,  1511,    11,
     175,    12,  2863,    13,  3302,  1794,  1886,  1914,  1512,   309,
    1795,  2430,   987,   304,    14,   988,  1794,  1769,  2945,  2946,
     952,  1795,  2431,   321,  3220,   954,  2703,  3220,  1115,  2274,
     322,  1915,   953,  1759,  2692,   168,  1361,   175,   305,  1876,
    1249,  2468,  3220,  1468,  1715,    15,  3229,   316,  2948,    16,
     941,  3283,  1882,  3234,    17,    18,  2460,  1307,  1308,  1309,
    1310,  1155,  2019,  2231,  3366,   323,  2984,   324,  1680,  3124,
    1317,   954,    85,    86,  1376,   317,  2980,   325,  3516,  1116,
    1241,  3518,  1117,  3121,  1887,  3412,   326,  1888,  1992,   310,
     311,   314,   315,  3221,  2151,  2655,  3263,  2232,   343,   210,
    2674,  2675,  3193,  3458,   953,  3340,   344,   327,  3273,   175,
    3334,  3331,  2278,  2319,  2320,  3230,  2804,  2832,  2400,  1236,
    1471,  2985,  2704,  3402,  1765,   211,   212,   213,  3017,  1307,
    1308,  1309,  1310,  3237,  1381,  2981,  3023,  1382,  2647,  3024,
    1344,  3300,  1904,   954,  2986,   175,  1797,  1798,  1399,   305,
    3301,  2274,  3303,  1692,  3151,  3019,  3156,  3298,  2769,  3152,
    2626,  1267,  1231,  1368,  2273,  1554,  1232,  1951,  1402,   982,
    1993,   214,  3194,  2732,   983,   984,  1780,  1513,  1514,  1515,
    3341,  1884,   986,  1885,  3280,  1370,  3018,  1372,   939,    98,
      99,   100,   101,   102,   103,  1374,  3068,    19,  3231,  1428,
    1861,  1862,  2248,  2534,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,  1268,  1269,  1270,  1271,  1272,  1273,
    1682,   328,  1250,  3351,  3185,  3186,  2682,   339,  3413,  2733,
    3187,  3069,   225,   226,  1424,  1251,  1252,   987,   352,  2498,
     988,  2006,  3030,  3031,  2636,  3415,  3416,  1994,  3295,  2643,
    3033,  3034,  3318,  1425,  1426,  2477,  2990,  1502,   906,   227,
    3264,  1947,  1948,  2987,  2988,  2989,   340,  3084,  1889,  1133,
    1555,  1890,  1995,  2994,  2995,   228,   929,  2996,  2997,   348,
     349,   350,  2491,  2035,  1254,  1967,  1688,  2463,  1689,  3347,
    1693,  1479,  1581,  2401,  2677,  2751,  1579,   229,   230,   231,
     232,  2402,  1233,  2403,  1996,  2404,  2409,   329,  2405,  3161,
    1319,  1320,  1321,  2036,  1303,  1304,  1305,   930,  1148,  1694,
    3079,  1933,  2969,  2189,  1149,  3059,   931,  2797,  1118,  1119,
    2602,  2233,   953,  2315,   108,   109,  3332,   175,  2597,  1770,
    2234,  1797,  1798,  3162,  1695,  3245,   341,   309,  3070,  3071,
    3348,   304,  1797,  1798,  2273,   940,  3108,  1307,  1308,  1309,
    1310,  1255,  1976,  1342,  1582,    20,  2678,  2683,  1905,    21,
     175,   954,  2235,  2727,  2236,  3158,   233,   234,  1432,  2603,
    1977,  2738,  2684,  3246,  1120,  1121,  1122,  2598,  3182,  2183,
    2685,  2037,  1222,  1223,  2970,   235,   236,  2851,  2852,  1942,
    2808,  1943,  2810,  2604,  3075,  2812,  2925,  2815,  2817,   312,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,  2184,  1479,  3247,
    2278,  1213,  2945,  2946,  3163,  2926,  1433,  1434,  2121,   953,
    1435,   982,  1771,   950,   175,  2552,   983,   984,   274,   275,
    1243,  2038,  2944,   957,   986,  2149,  2185,  2631,  2170,  2039,
    2040,  2679,  2948,  2041,  2486,  2680,  1636,   305,  3248,  2274,
    1214,  3018,  1193,   207,  3249,  3404,   175,  1244,   954,  2285,
    3073,  3074,  2286,  3164,  3165,  3133,  2638,  3166,   943,  2932,
    2904,  2908,   953,  3250,  1288,  2495,  2630,   175,  2639,  2640,
    1978,  1979,  1980,  1225,  2904,  2908,  1322,  2487,  1436,   987,
    3075,   958,   988,  1981,  1982,  3134,  1293,  1307,  1308,  1309,
    1310,  1637,  2237,   995,    85,    86,  2935,  2238,  3135,  2239,
     313,   954,  2488,  3167,  1149,  1150,  3168,  1789,  2933,  2752,
    2595,  2186,  1226,  1345,  1346,  1330,  1090,  1852,  2273,  2224,
    1215,  1437,  2887,  3169,  1245,  2765,  1149,  1150,  3170,  2909,
    1438,  2945,  2946,  2947,  2596,  1933,   944,   945,   946,   953,
    1575,  1576,  1377,  2917,   175,  2936,  1333,  1334,  1291,  2822,
    1246,  1933,  1294,  1295,  1664,  3171,  1149,  1150,  2194,  1789,
    1306,  2948,  1146,  1184,  1307,  1308,  1309,  1310,  2973,   207,
    1439,  3136,  1665,  1325,  1325,  2823,  1148,   276,   954,  3172,
    2949,  2950,  2336,  1407,  2951,  2952,  2337,  2338,  1577,  1408,
    2278,   982,  1227,  2754,  1157,  2600,   983,   984,  3490,  3491,
    2225,  1145,  1145,  1145,   986,  1153,  1145,  2641,  1145,  3505,
    3506,    98,    99,   100,   101,   102,   103,  2923,  2421,  2601,
    2977,  1328,  1983,  1384,  1984,  1672,  1673,  1674,  1675,  2274,
    1677,  1678,  2928,  1681,  1683,  1666,  1685,  1686,  3137,  2195,
    1853,  2924,  1166,  3138,  2196,  1209,  1210,  3173,  1395,  1211,
    3139,  2543,  2544,  1985,  3213,  3214,  2929,  2953,   960,   987,
    1396,  1397,   988,  1398,  1164,  3215,  2555,   932,  2696,  1429,
    3174,   933,   953,  2710,  1412,  1413,   953,   175,  3037,  2187,
    2188,   175,  2479,  3039,  1165,  3040,   961,  3175,  3042,  3424,
    1456,  1667,  1194,  2392,  1385,  2697,  2698,  1307,  1308,  1309,
    1310,  1307,  1308,  1309,  1310,  1311,  1167,  1806,  1668,  1669,
    1538,   954,  1807,  1808,  1477,   954,   962,   953,  1168,  1136,
    1670,  1487,   175,  2728,   175,  3176,  3177,  3178,  3179,  2422,
    3180,  1735,  1736,  1737,  3181,  1806,  1137,  1386,  1138,  1522,
    1807,  2432,  1307,  1308,  1309,  1310,  1387,  2197,  1396,  1397,
     953,  1398,  3437,  3438,  3439,   175,   954,  2475,  1139,  1142,
    1142,  1142,   276,  1180,  1142,  1231,  1142,  1169,  1296,  1232,
    1297,  2273,  1170,  1298,  2423,  3189,  2424,  2425,   963,  1488,
    2426,  2427, -1544,  2005,   964,  2712,  1171,   965,  1394,   954,
     276,   276,   276,   276,   276,   276,   276,  1172,  1749,  3110,
    1195,   276,  1750,  1299,  2278,  3111,  1542,  1300,   966,  1944,
    2895,  1945,  3509,  1296,  1941,  1297,   276,  1688,  1298,  2361,
     276,   276,   276,   276,   276,   276,   276,   276,   276,   276,
     276,   276,   276,   276,  1564,  1565,  1566,  1567,  1568,  1569,
    1570,  1173,  1790,  2274,  1707,  1574,  2445,  1488,  1193,  2893,
    2446,  2478,  1300,  1939,  1140,  1873,  1141,  1212,  1182,  1874,
    1585,  2198,  1217,  1181,  1588,  1589,  1590,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,  2635,  2631,
    1219,  1396,  1397,  3140,  1398,  3141,  3142,  1478,  1479,  2530,
    3143,  3144,  2536,  3145,  1224,  1740,  2226,  1229,  2068,  3466,
    3146,  3147,  2686,  2687,  1150,  2069,  2507,  1699,  1480,  2199,
     276,  3148,  1230,  1481,   967,  1781,  2451,   968,  2630,  1478,
    1479,  1237,   969,   276,  1149,  1150,  2200,  1789,  2201,  1482,
     -59,  2047,  2202,  1325,  2055,  1483,  2203,  2204,  1717,  1391,
    1480,  2659,  1239,  2660,  1729,  1481,  1734,  2820,  2452,  2821,
    2227,  2693,  1365,  1366,  1701,  2700,   -59,  1241,   -59,  1152,
    3372,  1486,  3373,  2104,  1151,  2106,  1247,  1713,  2910,   970,
     982,  2918,  1256,   971,   972,   983,   984,  2910,  2918,  2070,
    1280,  1092,  1282,   986,  1092,   -59,  1136,  1761,  1762,  1722,
    1723,   175,  1724,  1276,  1478,  1479,  1725,    85,    86,  1473,
    1474,  1184,  1184,  1137,  1257,  1138,   982,  1258,   973,  2048,
    1145,   983,   984,  1093,  1094,  1480,  1093,  1094,  1095,   986,
    1481,  1095,  2213,  1259,  1183,  1139,  1726,   953,  1810,  1260,
    1096,  1813,   175,  1096,   974,  2214,  1486,  1261,   987,  1097,
    1182,   988,  1097,  2327,  2328,  1181,  2329,  1972,  1973,  1974,
    1975,  2622,  1986,  1987,  1718,  1719,  1998,  2278,  2000,  1262,
    2001,  2002,  1997,  1263,  1999,  2131,   954,    85,    86,  2023,
    2024,   953,  1091,  1264,   987,   345,   175,   988,  2025,  2026,
    1858,  3011,  3012,  1543,  1544,  2720,  2316,  2317,  1281,  1325,
    1325,  1285,  2062,   975,   982,  1283,  2274,  1869,  1284,   983,
     984,  1865,   276,  2215,  1870,  1287,  1957,   986,  1870,  2669,
     954,  1956,  1870,  1302,    98,    99,   100,   101,   102,   103,
    3363,  1140,  1092,  1141,  1799,  1800,  1801,  1802,  1803,  2071,
    2072,  2779,  2780,  2781,  -619,  -619,  2073,  -619,  2056,  2367,
    2368,  2057,  2473,  2474,   982,  1896,  1868,  2740,  1898,   983,
     984,  2782,  2783,  2784,  1093,  1094,   175,   986,  1901,  1095,
    2657,  2658,   987,  3530,   982,   988,  3533,  3534,  1142,   983,
     984,  1096,  1315,  2063,  2666,  2667,  1318,   986,  3535,  1329,
    1097,   276,  1324,   276,    98,    99,   100,   101,   102,   103,
    3405,  3406,  2146,  2776,  2777,  1336,  2147,  3407,  3408,  3409,
    3410,  1180,  1180,   953,  1337,  3542,  3543,  1338,   175,  1331,
    3544,  3545,   987,  2904,  2905,   988,  1174,  1175,   172,  1176,
    1177,   175,  2007,  3063,  3064,  1910,  1339,  1911,  1307,  1308,
    1309,  1310,   987,  1478,  1479,   988,  2017,  3529,  2785,  2786,
    1348,  2273,   954,  2060,  1340,  3527,  1092,  2027,  2945,  2946,
    1349,  2058,  3241,  3242,  1480,  1178,  2031,  2015,  1350,  1481,
    1352,  2059,  2065,  2074,  1949,  2016,  1353,  3011,  3012,  1543,
    1544,  1865,  1964,  1356,  2048,  1482,  1968,  2066,  1093,  1094,
    1357,  1483,  1603,  1095,  3374,  3375,  1970,   330,  1358,  1604,
    1605,  3396,  3397,  1362,  3548,  1096,  1174,  1175,  1543,  1544,
    1177,   175,  2825,  2826,  1097,  2856,  3013,  2779,  2780,  2781,
    1359,  3010,  1363,  2064,  1364,   953,  1865,  3202,  3203,   331,
     175,  3011,  3012,  1543,  1544,  2707,  2708,  2782,  2783,  2784,
    1379,  1383,  2179,  2018,  1380,  1178,  1149,  1499,  1500,  1501,
    1396,  1397,   332,  1398,   333,  1388,   334,  1883,  1527,   276,
    2105,  1390,  1179,  1389,   954,  1406,  2178,  2190,  1405,  1409,
    3013,  3494,  3495,  3496,  3497,  3498,  2363,  1145,   181,  1410,
    1145,  1411,  2339,  1415,  2341,   184,   185,  2374,  1414,  2076,
    2077,  1421,  1417,  1419,  2221,  2228,  2240,  3014,  1418,  1098,
    2900,  1420,  2088,  2028,  2148,  2091,  2092,  1422,  1440,  2222,
    2229,  2241,  2098,  1430,  2100,  2101,  1606,  1607,  1608,  1609,
    1610,  1611,  1441,  1152,  2785,  2786,  2107,  2108,  1151,  2371,
    1442,   335,   336,   337,   338,  1446,   953,  1431,  2111,  2112,
    1444,   175,  1545,  2115,  2116,  1447,  2118,  2216,  2217,  1450,
    2218,   953,  1448,  1449,  2331,  2219,   175,  1451,  2220,  2330,
    2132,  1307,  1308,  1309,  1310,  3499,  3500,  3501,  3502,  3503,
    1452,  1455,  2960,  1458,  1460,   954,  1307,  1308,  1309,  1310,
    1952,  1953,  1954,  1955,  2192,  2503,  2504,  2505,  2506,  2193,
     954,  1463,  2177,  1174,  1175,  1543,  1544,  1177,   175,  1464,
    1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,
    1622,  1158,  1159,  1160,  1161,  1465,  2083,  2325,  1469,  2253,
    1472,  2326,  1475,  1476,  1488,  2272,  1490,  1491,  1493,  2282,
    1492,  1495,  1929,  1494,  1496,  1142,  1497,  2278,  1142,  1498,
    2963,  2964,  2965,  2912,  2913,  2914,  2915,  1504,   276,  1505,
     276,   276,   276,   276,  1506,  1507,   276,   276,   276,   276,
    1508,  1518,   276,  1624,  1625,  1626,   276,  1521,  1174,  1175,
    1543,  1544,  1177,   175,  2345,  2346,  2274,  1520,  1523,  1524,
    1526,  1060,  1061,  2355,  1530,  1531,  1532,  1627,  1628,    85,
      86,  1629,  2295,  1533,  2296,  2297,  2298,  2299,  1536,  1537,
    1197,  1198,  1199,  1200,  1201,  1549,  2308,  1178,  1552,  1550,
    2309,  1551,  1553,  1211,  1062,    85,    86,  1556,  1557,  2376,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1558,
    1586,  1211,  1578,  1587,  1001,  1632, -1545, -1545, -1545,  1633,
    1080,    85,    86,  1634,  3066,  1635,  1640,  2272,  1643,  1644,
    1671,  1684,  1687,  3085,  1690,  1790, -1545, -1545, -1545, -1545,
   -1545,  1207,  1208,  1209,  1210,  1691,  1105,  1211,  3086,    85,
      86,  1182,  1697,  1700,  1702,  1708,  1181,  1709,  1710,  1720,
    1714,  1716,  1741,  2508,  1757,  1760,   982,  2508,  1766,  1758,
    1773,   983,   984,  1767,   981,  1774,  1779,  1776,  1777,   986,
    1782,  1786,  2756,  1783,  1784,  1792,    98,    99,   100,   101,
     102,   103,   982,  1785,  1788,  1811,  1812,   983,   984,  2411,
    1817,  1820,  1814,  1839,  2481,   986,  1827,  1828,  1838,  1831,
    1833,  1834,    98,    99,   100,   101,   102,   103,   982,  1837,
    1840,  1857,  1842,   983,   984,  1863,  1081,  1864,  1893,  1872,
    1510,   986,  1897,  1902,   987,  1906,  1907,   988,    98,    99,
     100,   101,   102,   103,  1909,  1923,   982,  1926,  1908,  1928,
    1063,   983,   984,  1933,  1934,   985,  1935,  2945,  2946,   986,
     987,  2447,  1950,   988,  1965,  1936,    98,    99,   100,   101,
     102,   103,  1969,  1966,  2008,  2010,  2012,  2020,  2022,  2465,
    2029,  2033,  3343,  2034,  2043,  2045,   987,  2948,  2046,   988,
    2051,  1082,  2052,  2078,  2053,  2079,  2080,  1865,  2480,  1106,
    2081,  1064,  2087,  2086,  2209,  3087,  2089,  2139,  3088,  3089,
    1107,  2090,  3090,  3091,   987,  1083,  2093,   988,  2096,  2099,
    2331,  2097,  2109,  2113,  2114,  2330,  2117,  1197,  1198,  1199,
    1200,  1201,  2119,  2120,  2122,  2123,  2124,  2125,   989,  2523,
    2126,  2127,  3092,  2525,  2128,  2129,  2133,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  2538,  2134,  1211,  2135,
    3093,  2137,  2138,  2143,  2144,  3094,  2145,  2212,  2244,  2246,
    2247,  2249,  2250,   276,   276,  2256,   276,  2280,  3095,  2283,
     276,   276,  2287,  3096,  2307,  2288,  3097,  2289,   276,  2310,
    2311,  2318,  2558,  2611,  2335,  2356,  2614,  2321,  3382,  3383,
    2757,  3385,  3386,   276,  2322,   276,  2323,  2324,  2333,  2334,
    2340,  3393,  3394,  3395,  2342,  2343,  2344,  1585,  1585,  2358,
    2546,  2357,  2362,  2369,  2547,  2548,  2360,  2364,  1108,  2375,
    2379,  2382,  1585,  2370,  3098,  2380,  2381,  2386,  2385,  2564,
    2395,  2396,  2397,  1065,  1066,  1067,  1068,  2562,  2494,  2563,
    2565,  2566,  2567,  2568,  2152,  2569,  2570,  2571,  3099,  2394,
    2572,  2440,  2573,  2574,  2449,  2272,  2450,  2453,  2575,  2576,
    2398,  1069,  2408,  2577,  2153,  2412,  1070,  2413,  2414,  2621,
    1325,  1071,  2415,  2416,  2418,  3485,  3486,  2419,  2420,  2429,
    2433,  2434,  2435,  2758,  2436,  2437,  2438,  2439,  2441,  3100,
    2442,  2443,  3101,  3102,  3103,  2448,  2454,  3044,  2650,  2455,
    3104,  2456,  1084,  1085,  1086,  3105,  2457,  2458,  3468,  2469,
    2470,  3045,  2476,  2483,  1092,  3106,  3046,  2154,  2482,  2471,
    2500,  3107,  2472,  3510,  2517,  2501,  2798,  2508,  1325,  2670,
    2518,  3047,  3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,
    2519,  2524,  2048,  2529,  2527,  2540,  2155,  2156,  2676,  2526,
    2537,  1095,  -946,  2545,   910,   911,   912,   913,   914,   915,
     916,   917,   918,  1096,   919,   920,   921,   922,   923,   924,
     925,  2550,  1097,  2551,  2553,  2554,  2556,  2557,  2560,  2561,
    2599,  2605,  2759,  2606,  1197,  1198,  1199,  2607,  2714,  2715,
    2608,  2609,  2610,  2718,  2612,  2617,  2615,  2618,  2619,  2620,
    2722,  2637,  2644,  2723,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  2652,  2661,  1211,  2157,  2651,  2158,  2653,
    2159,  2695,  2662,  2656,  2663,  2702,  2664,  2671,  2668,  2673,
    2741,  3048,  2743,  2709,  2711,  2717,  2701,  2719,  2747,  2721,
    2945,  2946,  2724,  2725,  2737,  2272,  2739,  2231,  2753,  2742,
    2014,  2748,  2771,  2772,  2840,   276,  2749,   276,  2775,  2792,
     276,   910,   911,   912,   913,   914,   915,   916,   917,   918,
    2948,   919,   920,   921,   922,   923,   924,   925,  2778,  2800,
    2805,  2787,  2807,  2811,  2839,  2813,  2818,  2787,  2160,  2824,
    2831,  3049,  3050,   276,  2829,  3051,  2833,   927,  2843,  2763,
     276,  2764,   276,  2841,  2767,   276,  2850,   276,   276,  2844,
     276,  2847,  2845,  2848,  2849,  2858,  2857,  2862,  2703,  2859,
    2867,  1325,  1325,  2875,  2880,  2885,  2827,  2884,  2828,  2886,
    2901,  2902,   276,  2890,  2907,  2919,  2161,  2806,  2921,  2922,
    2927,  2930,  3052,  3053,  3054,  2931,  2162,  2163,  2934,  2937,
    3007,  3008,  3009,  2164,  1585,  3055,  2961,  3056,  3003,  3057,
    3025,  3032,  3035,  3036,  3038,  2165,  3058,  3041,  3062,  3065,
    3082,  3080,  2166,  3116,  2167,  3123,  2830,  3126,  2168,  3128,
    3129,  3132,  3192,  3197,  3207,  3209,  2169,  3196,  3204,  3205,
    3206,  3015,  1790,  1790,  3208,  3210,  3225,  2889,  3223,  3212,
    3217,  1645,  3227,  1001,   927,  3232,  3235,  3243,  1182,  1182,
      85,    86,  3265,  1181,  1181,  3261,  1149,  1499,  1500,  1501,
    3275,  3266,  3267,  3226,  3238,  3286,  3239,  3240,  3279,  3274,
    3285,  3287,  3289,  3307,  3309,  2172,  3294,  3308,  3310,  2879,
    3305,  2882,  3315,  3311,  3304,  3316,  3313,  3322,   181,  2173,
    2732,  3326,  3336,  3329,  2564,   184,   185,  3344,  3345,  2272,
    3349,  3355,  3350,  3346,   276,  2565,  2566,  2567,  2568,  3356,
    2569,  2570,  2571,  3361,  3358,  2572,  3368,  2573,  2574,  3359,
    3353,  1646,  3370,  2575,  2576,  3371,  3354,  3384,  2584,  3390,
    2903,  3391,  3392,  3399,  3414,  3435,  2911,  3421,  3479,  3452,
    3432,  3446,  3078,  3448,  3436,  3476,  3443,   982,  2891,  3483,
    3477,  1647,   983,   984,  3484,  3489,  3492,  2174,  2175,  3493,
     986,  3504,  3538,  3528,  3512,   276,  3524,    98,    99,   100,
     101,   102,   103,  3531,  3532,  3536,  3537,  3541,  1648,  1479,
    3546,  3549,  2623,  1958,  1959,  2539,  1960,  3547,  3078,  1325,
    1325,  1325,  3540,  2531,  3077,  1649,  3028,  2585,  2586,  1650,
    2587,  2967,  1651,  1652,  2588,  2801,  3029,  1653,  2802,  2938,
    1197,  1198,  1199,  1200,  1201,   987,  3027,  1562,   988,  2803,
    2208,  2750,  2616,  1930,  3364,  1162,  1931,  1654,  2176,  3365,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1932,
    1546,  1211,  1072,  2819,  3026,  2894,  2898,  2787,  2313,  2787,
    1655,  1656,  1657,  2373,  1658,  1659,  1660,  2314,  1559,  3488,
    3507,  1642,  2390,  2940,  2943,  2110,  2846,  2855,   276,  2836,
    2870,  2971,  3442,   276,  3296,   276,  3321,  3454,   276,  3325,
    3324,  3456,  1560,  2744,  2032,  1891,  2003,  1698,     0,     0,
       0,     0,     0,  1325,  3067,     0,     0,     0,     0,     0,
    1142,     0,     0,     0,     0,   910,   911,   912,   913,   914,
     915,   916,   917,   918,  2508,   919,   920,   921,   922,   923,
     924,   925,  3114,     0,     0,  1313,  3117,  3118,     0,  3122,
       0,  3125,     0,     0,     0,  3015,  3015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1142,     0,     0,     0,
       0,     0,  2272,     0,     0,     0,   276,  1197,  1198,  1199,
    1200,  1201,     0,     0,     0,   276,     0,     0,     0,  1341,
    3198,     0,  3199,  3200,  3201,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  3211,     0,  1211,     0,
    3216,     0,     0,     0,  3224,     0,     0,     0,     0,     0,
    3191,     0,  1378,     0,     0,  1738,     0,     0,     0,  3195,
       0,  1392,     0,     0,     0,     0,     0,     0,   276,     0,
       0,     0,     0,     0,  1416,     0,     0,     0,     0,  3260,
       0,     0,  1427,   926,  3360,  3268,  3269,     0,     0,     0,
       0,  3276,     0,  3278,     0,  3281,     0,  3284,   927,     0,
       0,     0,  1454,  3288,     0,  1457,     0,  1459,     0,     0,
       0,     0,  3244,     0,     0,  3290,  3291,  1466,     0,     0,
    3292,  3293,   910,   911,   912,   913,   914,   915,   916,   917,
     918,     0,   919,   920,   921,   922,   923,   924,   925,     0,
       0,     0,     0,  3319,     0,     0,     0,     0,  3319,     0,
       0,     0,     0,  3327,     0,     0,  1525,     0,  1528,  3335,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
    3352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
     276,     0,  1211,     0,     0,     0,     0,     0,     0,     0,
     276,     0,   276,     0,     0,     0,     0,     0,     0,  3376,
    3377,  3378,  3379,  3380,     0,     0,     0,  1325,  1325,     0,
    1325,  1325,  3387,  3388,     0,     0,     0,     0,     0,     0,
    1325,  1325,  1325,  1917,  3369,     0,     0,     0,     0,  3403,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3417,  3418,  3419,     0,     0,  1197,  1198,
    1199,  1200,  1201,     0,     0,   927,     0,     0,     0,     0,
       0,  3426,  3427,     0,     0,     0,     0,  3430,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
    3441,     0,     0,  3444,  3445,     0,  3447,     0,     0,     0,
    3450,  3451,     0,     0,     0,     0,  2291,     0,     0,     0,
    3459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3460,  3461,  3462,     0,     0,     0,     0,  3465,     0,
    2292,     0,     0,     0,     0,     0,     0,  1325,  3469,     0,
       0,  3470,  3471,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   276,     0,     0,     0,
       0,     0,  3481,  3482,     0,  1197,  1198,  1199,  1200,  1201,
       0,     0,     0,  3525,  3526,  3078,     0,     0,     0,     0,
       0,     0,     0,     0,  1746,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
    3478,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1763,     0,     0,     0,     0,  1772,     0,     0,  1775,
       0,     0,  1778,     0,     0,     0,     0,  3514,  3515,     0,
       0,     0,     0,     0,     0,  3517,     0,  1918,  3519,     0,
       0,  1809,     0,     0,  3521,     0,     0,  1815,  1816,  3522,
    1818,  1819,     0,  1821,  1822,  1823,  1824,  1825,  1826,     0,
       0,  1829,  1830,     0,  1832,     0,     0,  1835,  1836,     0,
       0,     0,  2272,  1841,     0,  1843,     0,   276,     0,     0,
       0,     0,     0,     0,     0,     0,  1851,  1854,  1855,     0,
       0,  1856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
       0,   178,   179,  1571,     0,     0,   180,  1875,     0,     0,
       0,     0,     0,  1142,   276,     0,     0,     0,   181,   182,
    1881,     0,     0,   183,     0,   184,   185,     0,     0,   186,
       0,     0,     0,     0,     0,     0,  1894,  1895,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,   187,   188,  1158,  1159,  1160,  1161,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,     0,   205,     0,   206,     0,
    1919,     0,   207,     0,     0,     0,     0,   208,     0,   209,
       0,     0,  1920,  1197,  1198,  1199,  1200,  1201,     0,     0,
       0,     0,     0,     0,     0,  1197,  1198,  1199,  1200,  1201,
       0,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
    1197,  1198,  1199,  1200,  1201,  2290,     0,   210,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  2590,     0,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,   211,   212,   213,  1903,  1197,  1198,  1199,
    1200,  1201,     0,     0,     0,     0,     0,     0,  1916,  1197,
    1198,  1199,  1200,  1201,     0,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,   214,
    1211,     0,     0,     0,     0,  1921,     0,     0,     0,     0,
    2082,  2084,     0,     0,     0,     0,     0,  1922,     0,     0,
       0,     0,  2094,  2095,  1197,  1198,  1199,  1200,  1201,     0,
       0,     0,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,     0,
     225,   226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,  2130,  1197,  1198,  1199,  1200,  1201,     0,
    2136,     0,     0,     0,  2140,  2141,  2142,   227,  1197,  1198,
    1199,  1200,  1201,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,   228,     0,  1211,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,  2211,  1211,
       0,     0,  2021,     0,     0,   229,   230,   231,   232,  1197,
    1198,  1199,  1200,  1201,  2254,  2255,  2359,     0,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,
    1211,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,     0,     0,     0,     0,  2591,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2592,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,   235,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2009,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,     0,     0,     0,  1197,  1198,
    1199,  1200,  1201,     0,     0,  2365,  2366,     0,     0,     0,
    1197,  1198,  1199,  1200,  1201,     0,   274,   275,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,     0,     0,     0,  2593,  1197,  1198,  1199,
    1200,  1201,  2410,     0,     0,     0,     0,     0,  2594,     0,
       0,     0,     0,  2417,     0,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2773,     0,     0,     0,     0,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
    2444,  1211,     0,     0,     0,     0,  1197,  1198,  1199,  1200,
    1201,     0,     0,     0,     0,     0,     0,     0,  2774,     0,
    2461,  2462,  2464,     0,  2466,     0,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
       0,     0,     0,  2489,  2920,  2492,     0,     0,     0,     0,
    2499,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,   169,     0,   170,   171,   172,   173,   174,
     175,     0,  2522,     0,   176,   177,     0,     0,     0,  2939,
       0,     0,   178,   179,     0,     0,     0,   180,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,   181,
     182,     0,     0,     0,   183,     0,   184,   185,     0,     0,
     186,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
    1196,     0,  1211,     0,     0,  1197,  1198,  1199,  1200,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3362,
       0,     0,     0,     0,     0,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
       0,     0,     0,     0,   187,   188,  1158,  1159,  1160,  1161,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,     0,   205,     0,   206,
       0,     0,     0,   207,     0,     0,     0,     0,   208,     0,
     209,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,  1197,  1198,  1199,  1200,  1201,     0,     0,
    2649,     0,     0,     0,     0,     0,     0,     0,     0,  3398,
       0,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,  2665,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,  3480,     0,     0,     0,     0,  2672,  1197,  1198,  1199,
    1200,  1201,     0,     0,     0,     0,  2688,  2689,  2690,     0,
       0,  2694,     0,     0,   211,   212,   213,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,     0,
       0,     0,     0,  2755,  2716,     0,     0,     0,     0,     0,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
     214,  1211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2736,     0,     0,  2896,     0,     0,     0,
       0,     0,     0,  1197,  1198,  1199,  1200,  1201,     0,     0,
       0,     0,     0,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,     0,     0,     0,  2897,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,  2628,
       0,     0,     0,     0,     0,     0,     0,     0,   227,     0,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,     0,   228,     0,     0,     0,     0,   182,
       0,     0,     0,  2629,     0,     0,  2899,     0,     0,   186,
    1197,  1198,  1199,  1200,  1201,     0,   229,   230,   231,   232,
       0,     0,     0,  2835,  1197,  1198,  1199,  1200,  1201,     0,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,     0,     0,  1211,  3043,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,  2860,     0,     0,     0,     0,     0,  2861,     0,     0,
       0,     0,     0,     0,     0,   233,   234,  2865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2883,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   274,   275,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2966,     0,     0,     0,  2968,   214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3083,     0,     0,
       0,     0,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3113,     0,  3115,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,  3127,
       0,     0,  3130,  3131,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,     0,     0,     0,     0,
       0,  3270,     0,     0,     0,     0,  3277,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,     0,     0,  3306,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   274,   275,     0,  3328,
       0,     0,     0,     0,     0,  3337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3381,
       0,     0,     0,     0,     0,     0,     0,     0,  3389,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3420,     0,     0,     0,     0,     0,     0,     0,     0,
    3423,  3425,     0,     0,     0,     0,     0,     0,  3428,  3429,
       0,     0,  3431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3449,     0,     0,     0,  3453,     0,  3455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3463,
    3464,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3467,     0,     0,     0,     0,     0,     0,  3472,     0,  3473,
    3474,  3475,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3508,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,  3513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,  3520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3523,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   978,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,  1292,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,     0,     0,     0,     0,     0,     0,   178,   179,  2300,
       0,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,     0,     0,   183,
       0,   184,   185,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,   205,     0,   206,     0,     0,     0,   207,     0,
       0,     0,     0,   208,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
     169,     0,   170,   171,   172,   173,   174,   175,     0,     0,
       0,   176,   177,     0,     0,     0,     0,     0,     0,   178,
     179,  2304,     0,   227,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   228,
       0,   183,     0,   184,   185,     0,     0,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   187,   188,     0,     0,     0,     0,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,   205,     0,   206,     0,     0,     0,
     207,     0,     0,     0,     0,   208,     0,   209,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
       0,   178,   179,  2809,     0,   227,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   228,     0,   183,     0,   184,   185,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,     0,   205,     0,   206,     0,
       0,     0,   207,     0,     0,     0,     0,   208,     0,   209,
       0,     0,   233,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   274,   275,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,     0,     0,   169,     0,   170,   171,   172,   173,
     174,   175,     0,     0,     0,   176,   177,     0,     0,     0,
       0,     0,     0,   178,   179,  2814,     0,   227,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   228,     0,   183,     0,   184,   185,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,   188,     0,     0,     0,
       0,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,     0,   205,     0,
     206,     0,     0,     0,   207,     0,     0,     0,     0,   208,
       0,   209,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   274,   275,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,   169,     0,   170,   171,
     172,   173,   174,   175,     0,     0,     0,   176,   177,     0,
       0,     0,     0,     0,     0,   178,   179,  2816,     0,   227,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   228,     0,   183,     0,   184,
     185,     0,     0,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   187,   188,     0,
       0,     0,     0,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,     0,
     205,     0,   206,     0,     0,     0,   207,     0,     0,     0,
       0,   208,     0,   209,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   274,   275,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,   226,     0,     0,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,     0,     0,     0,     0,     0,     0,   178,   179,     0,
       0,   227,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   228,     0,   183,
       0,   184,   185,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,   205,     0,   206,     0,     0,     0,   207,     0,
       0,     0,     0,   208,     0,   209,     0,     0,   233,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     274,   275,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,     0,     0,     0,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,     0,     0,     0,   228,
       0,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,  2258,     0,     0,     0,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,   910,   911,   912,   913,
     914,   915,   916,   917,   918,     0,   919,   920,   921,   922,
     923,   924,   925,  2267,     0,     0,  2268,  2269,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2270,
       0,  2271,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,   210,     0,     0,     0,     0,     0,   927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,     0,     0,     0,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,     0,     0,     0,   228,
       0,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,  2258,  2259,     0,     0,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2267,     0,     0,  2268,  2269,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2270,
       0,  2271,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,     0,     0,     0,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,     0,     0,     0,   228,
       0,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,  2258,     0,     0,     0,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2267,     0,     0,  2268,  2269,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2270,
       0,  2271,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,     0,     0,  2892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   182,     0,     0,     0,     0,     0,   228,
       0,     0,     0,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,   211,   212,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,   226,     0,     0,     0,     0,
       0,     0,     0,  1937,  1938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   182,     0,     0,     0,     0,     0,   228,     0,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     274,   275,     0,     0,     0,   211,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,  1001,     0,     0,
       0,     0,     0,     0,  1002,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   274,   275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   982,     0,     0,     0,     0,   983,   984,     0,  1007,
    1008,     0,     0,     0,   986,  1009,     0,     0,     0,     0,
       0,  1010,  1011,  1012,  1013,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1014,     0,     0,     0,  1015,     0,
    1016,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   987,
       0,     0,   988,     0,     0,     0,     0,     0,     0,     0,
       0,  1017,     0,     0,     0,  1018,     0,  1019,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1021,     0,     0,     0,
    1022,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,  1025,
    1026,  1027,     0,  1028,     0,     0,     0,  1029,     0,     0,
    1030,  1031,     0,  1032,  1033,     0,     0,  1034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1035,  1036,     0,     0,     0,  1037,  1038,  1039,
       0,     0,     0,     0,     0,     0,     0,  1040,     0,     0,
       0,  1041,     0,     0,  1042,  1043,     0,  1044,     0,  1045,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1048,     0,  1049,     0,     0,     0,     0,     0,     0,     0,
       0,  1050
};

static const yytype_int16 yycheck[] =
{
       7,   104,   209,   174,   169,   952,     3,   308,   174,   150,
      82,   158,   159,    90,  1343,    87,    88,   140,  1027,  1028,
    1602,  1074,   209,   146,  1892,   148,  1065,   150,  1892,  1094,
    1462,  1238,  1399,  1166,    28,   158,   159,  1106,   209,  1648,
     148,  1403,   165,   209,     7,    94,  1923,  1924,  1925,  1926,
     158,   159,    93,  1136,  1137,  1138,   311,  2957,  1141,  1602,
    1143,    72,    85,   133,    85,   135,  2218,   137,    85,   139,
       6,   141,  1279,   143,    24,   145,    85,   147,    28,  1238,
     328,   151,    89,   153,  1693,   155,    85,   157,   343,  2471,
    2472,  2473,   173,   163,   164,    19,     3,     4,     5,    85,
      24,   109,    22,  3003,    24,    24,    19,    43,   135,    21,
      22,    24,    24,    19,   163,   135,  2551,    53,    24,   200,
     201,    57,   169,  3062,    60,    61,    89,    19,    94,    24,
      51,  1663,    24,    28,    58,    56,    57,   218,    44,    45,
      46,    47,   140,  2888,   169,    58,  2014,   169,   157,   146,
    2347,    87,    58,   162,   163,    53,   250,   166,    19,    24,
      53,   170,   169,    24,     6,    53,    58,    60,    61,  1238,
    2888,     6,   165,   180,    70,    55,   183,    53,    55,    53,
      40,   206,    24,    28,    85,    74,    75,    53,    74,    75,
     138,    19,    85,    10,    24,   241,    24,    58,    28,     7,
    3010,    84,   209,    74,    75,    21,    22,   143,    24,   145,
     146,    24,   241,   149,   941,   151,   225,   180,    24,   228,
     183,   157,    28,   159,   160,   161,    19,   163,    70,    85,
      58,    24,    19,   134,  2581,   169,    83,    24,   145,     6,
    2587,   177,   178,   179,   180,   181,   182,   166,    24,   347,
    3293,    44,    45,    46,    47,   249,   163,    44,    45,    46,
      47,   988,   283,   242,   157,    58,    83,    74,    19,   162,
     163,    58,   517,    24,   321,   274,    37,   170,    85,   273,
       0,   164,   189,   190,   177,   178,   179,   180,   181,   182,
     331,    56,   228,    44,    45,    46,    47,    54,   234,   321,
      54,  1340,     6,   245,   240,   241,    19,    58,   155,    98,
    1892,    24,   200,    24,   202,   157,     6,    28,   359,   226,
      24,   228,  2704,   230,   334,    51,    53,    59,   369,    24,
      56,    57,   225,    28,   241,   228,    51,   383,   194,   195,
     585,    56,    57,   231,   233,    58,    58,   233,   241,  1892,
     238,    83,    19,  1362,   383,     6,   335,    24,   164,  1492,
     279,   309,   233,   243,  1311,   272,   243,     6,   224,   276,
     200,   469,  1505,   307,   281,   282,   369,    44,    45,    46,
      47,   142,  1711,    51,  3194,   273,   242,   275,   164,   217,
     235,    58,    60,    61,   336,   189,   395,   285,  3441,   292,
      24,  3444,   295,   450,   131,    54,   294,   134,   250,     9,
      10,    11,    12,   302,  1846,   413,   302,    85,    18,   232,
     285,   286,    83,   319,    19,   450,   276,   315,   450,    24,
     524,   302,  2014,  1965,  1966,   312,  2588,  2634,   227,   274,
     197,   297,   154,   197,   410,   258,   259,   260,  3193,    44,
      45,    46,    47,  3392,   326,   454,  2891,   329,   318,  2894,
     171,   488,  1545,    58,   320,    24,   387,   388,   284,   164,
     497,  2014,   482,     6,   497,  3193,   497,   497,   495,   502,
     287,   530,    24,   381,  2352,    37,    28,  1646,   400,   157,
     332,   304,   153,    28,   162,   163,   391,   538,   539,   540,
     525,  1510,   170,  1512,   217,   381,  2888,   381,   589,   177,
     178,   179,   180,   181,   182,   381,   169,   424,   395,   380,
    1467,  1468,  1884,   534,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   583,   584,   585,   586,   587,   588,
     164,   429,   461,   456,   530,   531,   191,    45,   197,    84,
     536,   204,   365,   366,   319,   474,   475,   225,     6,   465,
     228,  1694,  2909,  2910,  2383,   457,   458,   409,   488,  2388,
    2917,  2918,   496,   338,   339,  2184,  2872,  1646,   283,   392,
    3089,   285,   286,   439,   440,   441,    84,  2969,   315,   598,
     142,   318,   434,   494,   495,   408,    58,   498,   499,   593,
     594,   595,   395,    55,   202,   164,    83,   394,    85,   381,
     143,   144,    83,   402,    98,    57,    83,   430,   431,   432,
     433,   410,   164,   412,   466,   414,   377,   515,   417,    51,
     580,   581,   582,    85,   935,   936,   937,    58,    39,   172,
    3540,    83,    83,  1850,    21,  2941,   158,    24,   541,   542,
      10,   319,    19,    54,   590,   591,  3165,    24,    10,   254,
     328,   387,   388,    85,   197,    54,   164,    24,   321,   322,
     442,    28,   387,   388,  2542,   183,  2972,    44,    45,    46,
      47,   279,     6,   984,   155,   592,   170,   332,   155,   596,
      24,    58,   360,  2512,   362,    29,   509,   510,   159,    59,
      24,  2520,   347,    92,   597,   598,   599,    59,  3004,    85,
     355,   163,   312,   313,   155,   528,   529,   384,   385,    83,
    2597,    85,  2599,    83,    58,  2602,    10,  2604,  2605,    86,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   143,   144,   158,
    2352,    45,   194,   195,   196,    59,   237,   238,  1817,    19,
     241,   157,   377,   189,    24,    31,   162,   163,   601,   602,
     175,   243,    85,   172,   170,  1844,   172,  2379,  1847,   251,
     252,   285,   224,   255,   395,   289,   174,   164,   197,  2352,
      84,  3193,    58,   147,   203,  3248,    24,   202,    58,  1902,
      28,    29,  1905,   245,   246,    55,   165,   249,   160,    10,
      14,    15,    19,   222,   906,  2202,  2379,    24,   177,   178,
     164,   165,   166,    45,    14,    15,   949,   438,   309,   225,
      58,   251,   228,   177,   178,    85,   928,    44,    45,    46,
      47,   229,   530,    84,    60,    61,    10,   535,    98,   537,
     227,    58,   463,   295,    21,    22,   298,    24,    59,    57,
      59,   257,    84,   986,   987,   957,    84,   254,  2756,    85,
     164,   352,  2756,   315,   279,    57,    21,    22,   320,    83,
     361,   194,   195,   196,    83,    83,   238,   239,   240,    19,
      36,    37,  1015,    83,    24,    59,   427,   428,   926,    31,
     305,    83,   929,   930,     6,   347,    21,    22,    85,    24,
     938,   224,    39,  1140,    44,    45,    46,    47,    85,   147,
     401,   171,    24,   951,   952,    57,    39,   954,    58,   371,
     243,   244,  1991,   328,   247,   248,  1995,  1996,    84,   334,
    2542,   157,   164,  2545,    19,    59,   162,   163,  3401,  3402,
     166,  1136,  1137,  1138,   170,   142,  1141,   316,  1143,  3412,
    3413,   177,   178,   179,   180,   181,   182,    59,    85,    83,
      85,   954,   316,   238,   318,  1243,  1244,  1245,  1246,  2542,
    1248,  1249,    59,  1251,  1252,    87,  1254,  1255,   238,   166,
     377,    83,    58,   243,   171,    38,    39,   439,  1026,    42,
     250,  2260,  2261,   347,   299,   300,    83,   320,   165,   225,
      21,    22,   228,    24,    84,   310,  2275,    24,   332,  1047,
     462,    28,    19,  2475,   350,   351,    19,    24,  2925,   425,
     426,    24,  2185,  2930,    84,  2932,   193,   479,  2935,   246,
    1068,   143,    55,  2072,   309,   359,   360,    44,    45,    46,
      47,    44,    45,    46,    47,   185,    58,    51,   160,   161,
      10,    58,    56,    57,  1092,    58,   223,    19,    58,    19,
     172,  2156,    24,    84,    24,   517,   518,   519,   520,   196,
     522,    48,    49,    50,   526,    51,    36,   352,    38,  1117,
      56,    57,    44,    45,    46,    47,   361,   274,    21,    22,
      19,    24,   505,   506,   507,    24,    58,  2180,    58,  1136,
    1137,  1138,  1139,  1140,  1141,    24,  1143,    58,    19,    28,
      21,  3009,    58,    24,   241,  3009,   243,   244,   285,    24,
     247,   248,    84,    28,   291,  2484,    58,   294,    57,    58,
    1167,  1168,  1169,  1170,  1171,  1172,  1173,    58,    81,   454,
      55,  1178,    85,    54,  2756,   460,  1139,    58,   315,    83,
    2762,    85,    85,    19,  2766,    21,  1193,    83,    24,    85,
    1197,  1198,  1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,  1167,  1168,  1169,  1170,  1171,  1172,
    1173,    58,  1399,  2756,  1291,  1178,   284,    24,    58,  2762,
     288,    28,    58,  2766,   154,  1486,   156,    42,  1399,  1490,
    1193,   388,     6,  1399,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  2381,  2831,
      28,    21,    22,   483,    24,   485,   486,   143,   144,  2236,
     490,   491,  2239,   493,     6,  1335,   462,     6,    85,   246,
     500,   501,   245,   246,    22,    92,    24,  1285,   164,   436,
    1287,   511,   290,   169,   421,  1388,   172,   424,  2831,   143,
     144,     6,   429,  1300,    21,    22,   453,    24,   455,   185,
      31,    85,   459,  1311,    85,   191,   463,   464,  1316,   241,
     164,    83,     6,    85,  1322,   169,  1324,    57,   172,    59,
     516,  2454,   338,   339,  1287,  2458,    57,    24,    59,  1500,
    3207,   185,  3209,  1791,  1500,  1793,   325,  1300,  2793,   476,
     157,  2796,   164,   480,   481,   162,   163,  2802,  2803,   166,
     346,   135,   348,   170,   135,    86,    19,  1365,  1366,    21,
      22,    24,    24,    19,   143,   144,    28,    60,    61,   167,
     168,  1578,  1579,    36,     6,    38,   157,     6,   515,   163,
    1545,   162,   163,   167,   168,   164,   167,   168,   172,   170,
     169,   172,    85,     6,  1581,    58,    58,    19,  1406,     6,
     184,  1409,    24,   184,   541,    98,   185,     6,   225,   193,
    1581,   228,   193,    21,    22,  1581,    24,  1672,  1673,  1674,
    1675,  2368,  1677,  1678,   236,   237,  1681,  3009,  1683,     6,
    1685,  1686,  1680,     6,  1682,    57,    58,    60,    61,    49,
      50,    19,    85,     6,   225,    28,    24,   228,    49,    50,
    1458,    19,    20,    21,    22,  2494,    21,    22,     6,  1467,
    1468,   517,    85,   600,   157,     6,  3009,    45,     6,   162,
     163,  1478,  1479,   166,  1482,    31,  1647,   170,  1486,  2426,
      58,  1647,  1490,    57,   177,   178,   179,   180,   181,   182,
      58,   154,   135,   156,   402,   403,   404,   405,   406,   316,
     317,    11,    12,    13,    21,    22,   323,    24,   289,   256,
     257,   292,   422,   423,   157,  1523,  1479,  2526,  1526,   162,
     163,    31,    32,    33,   167,   168,    24,   170,  1536,   172,
     418,   419,   225,  3489,   157,   228,  3492,  3493,  1545,   162,
     163,   184,    57,   166,   245,   246,    57,   170,  3504,    57,
     193,  1558,   242,  1560,   177,   178,   179,   180,   181,   182,
     204,   205,    81,    70,    71,   514,    85,   211,   212,   213,
     214,  1578,  1579,    19,    24,  3531,  3532,    54,    24,    84,
    3536,  3537,   225,    14,    15,   228,    19,    20,    21,    22,
      23,    24,  1695,   245,   246,  1558,    84,  1560,    44,    45,
      46,    47,   225,   143,   144,   228,  1709,  3484,   118,   119,
     250,  3479,    58,  1754,   158,  3479,   135,  1720,   194,   195,
      57,   402,   206,   207,   164,    58,  1729,  1704,    84,   169,
      57,  1754,  1755,  1756,  1641,  1707,    57,    19,    20,    21,
      22,  1648,  1649,    84,   163,   185,  1653,  1755,   167,   168,
      84,   191,    53,   172,   177,   178,  1663,   143,    84,    60,
      61,   206,   207,   347,  3541,   184,    19,    20,    21,    22,
      23,    24,  2619,  2620,   193,  2684,    58,    11,    12,    13,
      84,     9,    57,   306,    28,    19,  1693,  3033,  3034,   175,
      24,    19,    20,    21,    22,  2472,  2473,    31,    32,    33,
     382,   250,  1849,  1710,   189,    58,    21,    22,    23,    24,
      21,    22,   198,    24,   200,   390,   202,    28,   164,  1726,
    1792,   326,   155,   334,    58,   254,  1849,  1850,   324,   254,
      58,   206,   207,   208,   209,   210,  2037,  1902,    53,   326,
    1905,   295,  1997,   159,  1999,    60,    61,  2048,   350,  1757,
    1758,   372,   356,   295,  1877,  1878,  1879,    85,   364,   402,
    2769,   295,  1770,  1726,   283,  1773,  1774,   370,    57,  1877,
    1878,  1879,  1780,   397,  1782,  1783,   177,   178,   179,   180,
     181,   182,    57,  1954,   118,   119,  1794,  1795,  1954,  2044,
      84,   277,   278,   279,   280,    57,    19,   324,  1806,  1807,
      84,    24,   155,  1811,  1812,    84,  1814,   500,   501,   473,
     503,    19,    84,    84,  1985,   508,    24,   189,   511,  1985,
    1828,    44,    45,    46,    47,   206,   207,   208,   209,   210,
     388,   157,  2841,   158,   381,    58,    44,    45,    46,    47,
      21,    22,    23,    24,  1852,   187,   188,   189,   190,  1857,
      58,    57,  1849,    19,    20,    21,    22,    23,    24,    84,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   120,   121,   122,   123,    84,    84,  1980,    19,  1887,
      19,  1984,    57,    57,    24,  1892,   185,   226,    57,  1897,
     172,    84,    58,    57,    84,  1902,    84,  3479,  1905,    84,
    2847,  2848,  2849,    76,    77,    78,    79,   250,  1915,   172,
    1917,  1918,  1919,  1920,    57,    57,  1923,  1924,  1925,  1926,
      57,    84,  1929,   174,   175,   176,  1933,   376,    19,    20,
      21,    22,    23,    24,  2011,  2012,  3479,   189,   172,   245,
     254,    52,    53,  2015,    57,    57,    84,   198,   199,    60,
      61,   202,  1915,    84,  1917,  1918,  1919,  1920,   254,    57,
      11,    12,    13,    14,    15,    18,  1929,    58,    39,    19,
    1933,    19,    36,    42,    85,    60,    61,    37,    19,  2051,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    83,
      19,    42,    10,    19,    53,     6,    11,    12,    13,     6,
      85,    60,    61,     6,  2951,     6,     6,  2014,     6,     6,
       6,     6,     6,    70,     6,  2202,    31,    32,    33,    34,
      35,    36,    37,    38,    39,     6,    85,    42,    85,    60,
      61,  2202,     6,     6,    58,    57,  2202,    83,    83,   390,
      57,    57,    24,  2214,   254,    57,   157,  2218,    57,   254,
     254,   162,   163,    57,    85,   254,   238,   362,   229,   170,
     254,    84,   113,   254,    57,    40,   177,   178,   179,   180,
     181,   182,   157,    57,    57,   254,   254,   162,   163,  2087,
     158,    57,   254,   189,  2187,   170,   389,    56,   362,    57,
      57,    56,   177,   178,   179,   180,   181,   182,   157,   382,
     229,   185,   238,   162,   163,    19,   191,    19,    57,   192,
     331,   170,   301,    19,   225,    54,    19,   228,   177,   178,
     179,   180,   181,   182,    37,    83,   157,    83,   142,    19,
     241,   162,   163,    83,    59,   166,    56,   194,   195,   170,
     225,  2148,     6,   228,   172,    56,   177,   178,   179,   180,
     181,   182,    24,   172,     6,    59,    16,    57,    28,  2167,
      51,    57,  3171,    57,    37,    83,   225,   224,    57,   228,
     284,   256,    57,    57,    84,    57,    57,  2184,  2186,   238,
      57,   292,   254,   189,   186,   242,    57,   241,   245,   246,
     249,    57,   249,   250,   225,   280,    57,   228,    57,    57,
    2371,   362,    57,    57,    57,  2371,    57,    11,    12,    13,
      14,    15,    57,    57,    57,    57,    57,    57,   249,  2227,
      57,    57,   279,  2231,    57,    57,    57,    31,    32,    33,
      34,    35,    36,    37,    38,    39,  2244,    57,    42,    57,
     297,    57,    57,    57,   362,   302,    57,    57,    53,    57,
      57,    53,    19,  2260,  2261,    28,  2263,   185,   315,    84,
    2267,  2268,    22,   320,    83,    37,   323,    37,  2275,    19,
      19,    24,  2280,  2345,    19,    57,  2348,     6,  3225,  3226,
      84,  3228,  3229,  2290,     6,  2292,     6,     6,     6,     6,
       6,  3238,  3239,  3240,     6,     6,     6,  2260,  2261,    83,
    2263,    59,   253,    57,  2267,  2268,    19,   253,   367,    57,
      44,    57,  2275,    28,   371,   293,   172,    57,   157,    51,
      57,    83,    57,   434,   435,   436,   437,  2290,   250,  2292,
      62,    63,    64,    65,    65,    67,    68,    69,   395,   324,
      72,   189,    74,    75,   303,  2352,   376,   382,    80,    81,
      57,   462,    57,    85,    85,    57,   467,    57,    57,  2367,
    2368,   472,    57,    57,    57,  3374,  3375,    57,    57,    57,
      57,    57,    57,    24,    57,    57,    57,    57,    57,   436,
      57,    57,   439,   440,   441,    57,   172,    51,  2396,   189,
     447,    65,   477,   478,   479,   452,   358,   172,  3345,    57,
      23,    65,    57,    57,   135,   462,    70,   138,   138,   422,
      57,   468,   422,  3422,   175,   467,  2582,  2588,  2426,  2427,
     512,    85,   442,   443,   444,   445,   446,   447,   448,   449,
      57,    57,   163,    55,   191,    39,   167,   168,  2445,   347,
      57,   172,    42,    58,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   184,   105,   106,   107,   108,   109,   110,
     111,    58,   193,    58,    57,    31,    42,    31,    39,    37,
      83,    83,  2549,    19,    11,    12,    13,    58,  2486,  2487,
      22,     6,     6,  2491,   104,    57,    85,    19,   254,   254,
    2498,   158,    84,  2501,    31,    32,    33,    34,    35,    36,
      37,    38,    39,   420,    57,    42,   237,   185,   239,   416,
     241,   303,    57,   415,    57,    65,    57,    57,   246,    57,
    2528,   185,  2530,    23,   333,    84,   376,    84,  2536,    84,
     194,   195,    84,    84,    70,  2542,   185,    51,  2545,    74,
      84,    19,    19,    37,  2647,  2552,    85,  2554,    66,    41,
    2557,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     224,   105,   106,   107,   108,   109,   110,   111,    73,    57,
      57,  2579,    38,    38,  2646,    10,    85,  2585,   309,    59,
      83,   245,   246,  2590,    57,   249,    84,   238,    57,  2552,
    2597,  2554,  2599,   319,  2557,  2602,    57,  2604,  2605,   411,
    2607,   247,   277,   247,   247,   189,   409,   303,    58,   254,
      84,  2619,  2620,    84,    84,    59,  2624,    84,  2626,    59,
      57,    10,  2629,    86,    83,    82,   357,  2590,    59,    59,
      59,    58,   296,   297,   298,    59,   367,   368,    59,    59,
      57,    57,   114,   374,  2607,   309,   316,   311,   513,   313,
      57,    39,    19,    38,    38,   386,   320,    10,    84,   246,
      57,    84,   393,    57,   395,   334,  2629,    57,   399,   497,
     497,    57,    10,    83,    83,    58,   407,    59,    59,    59,
      59,  2888,  2869,  2870,    59,    59,   247,  2759,   250,   303,
     301,     6,    65,    53,   238,   314,    57,   204,  2869,  2870,
      60,    61,   250,  2869,  2870,   301,    21,    22,    23,    24,
     372,   470,    84,   247,   247,   442,   247,   247,   334,   444,
     131,    57,    57,   487,   492,    85,   482,   254,   303,  2737,
     482,  2739,   512,   319,   489,    57,   319,    57,    53,    99,
      28,    57,   254,   301,    51,    60,    61,   372,   254,  2756,
     254,   527,   254,   131,  2761,    62,    63,    64,    65,    57,
      67,    68,    69,    57,   533,    72,    57,    74,    75,   532,
     521,    86,    39,    80,    81,    39,   523,   303,    85,   308,
    2788,    85,    57,    28,    85,   247,  2794,   471,   117,   185,
     504,   247,  2957,   484,   254,   195,   254,   157,  2761,    59,
     195,   116,   162,   163,    83,    57,    57,   167,   168,    57,
     170,    57,   451,    57,   456,  2822,   456,   177,   178,   179,
     180,   181,   182,    57,    57,    57,    57,    83,   143,   144,
      57,    59,  2371,  1647,  1647,  2249,  1647,  3540,  3003,  2847,
    2848,  2849,   513,  2237,  2957,   160,  2906,  2294,  2294,   164,
    2294,  2859,   167,   168,  2294,  2585,  2907,   172,  2586,  2822,
      11,    12,    13,    14,    15,   225,  2905,  1165,   228,  2587,
    1867,  2542,  2352,  1578,  3192,   183,  1579,   192,   238,  3193,
      31,    32,    33,    34,    35,    36,    37,    38,    39,  1581,
    1140,    42,   146,  2607,  2902,  2762,  2766,  2905,  1942,  2907,
     215,   216,   217,  2045,   219,   220,   221,  1944,    59,  3392,
    3414,  1233,  2071,  2831,  2836,  1805,  2659,  2683,  2925,  2643,
    2719,  2866,  3299,  2930,  3135,  2932,  3152,  3312,  2935,  3156,
    3155,  3314,    83,  2532,  1731,  1517,  1688,  1282,    -1,    -1,
      -1,    -1,    -1,  2951,  2952,    -1,    -1,    -1,    -1,    -1,
    2957,    -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,
     100,   101,   102,   103,  3135,   105,   106,   107,   108,   109,
     110,   111,  2980,    -1,    -1,   939,  2984,  2985,    -1,  2987,
      -1,  2989,    -1,    -1,    -1,  3192,  3193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,
      -1,    -1,  3009,    -1,    -1,    -1,  3013,    11,    12,    13,
      14,    15,    -1,    -1,    -1,  3022,    -1,    -1,    -1,   983,
    3028,    -1,  3030,  3031,  3032,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,  3044,    -1,    42,    -1,
    3048,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,
    3013,    -1,  1016,    -1,    -1,    59,    -1,    -1,    -1,  3022,
      -1,  1025,    -1,    -1,    -1,    -1,    -1,    -1,  3075,    -1,
      -1,    -1,    -1,    -1,  1038,    -1,    -1,    -1,    -1,  3087,
      -1,    -1,  1046,   223,  3187,  3093,  3094,    -1,    -1,    -1,
      -1,  3099,    -1,  3101,    -1,  3103,    -1,  3105,   238,    -1,
      -1,    -1,  1066,  3111,    -1,  1069,    -1,  1071,    -1,    -1,
      -1,    -1,  3075,    -1,    -1,  3123,  3124,  1081,    -1,    -1,
    3128,  3129,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,   106,   107,   108,   109,   110,   111,    -1,
      -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,  3156,    -1,
      -1,    -1,    -1,  3161,    -1,    -1,  1120,    -1,  1122,  3167,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
    3178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    3197,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3207,    -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,  3217,
    3218,  3219,  3220,  3221,    -1,    -1,    -1,  3225,  3226,    -1,
    3228,  3229,  3230,  3231,    -1,    -1,    -1,    -1,    -1,    -1,
    3238,  3239,  3240,    83,  3197,    -1,    -1,    -1,    -1,  3247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,  3262,  3263,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,  3279,  3280,    -1,    -1,    -1,    -1,  3285,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
    3298,    -1,    -1,  3301,  3302,    -1,  3304,    -1,    -1,    -1,
    3308,  3309,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,
    3318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3329,  3330,  3331,    -1,    -1,    -1,    -1,  3336,    -1,
      83,    -1,    -1,    -1,    -1,    -1,    -1,  3345,  3346,    -1,
      -1,  3349,  3350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,    -1,
      -1,    -1,  3370,  3371,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,  3476,  3477,  3540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1348,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
    3363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1375,    -1,    -1,    -1,    -1,  1380,    -1,    -1,  1383,
      -1,    -1,  1386,    -1,    -1,    -1,    -1,  3435,  3436,    -1,
      -1,    -1,    -1,    -1,    -1,  3443,    -1,    83,  3446,    -1,
      -1,  1405,    -1,    -1,  3452,    -1,    -1,  1411,  1412,  3457,
    1414,  1415,    -1,  1417,  1418,  1419,  1420,  1421,  1422,    -1,
      -1,  1425,  1426,    -1,  1428,    -1,    -1,  1431,  1432,    -1,
      -1,    -1,  3479,  1437,    -1,  1439,    -1,  3484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1450,  1451,  1452,    -1,
      -1,  1455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,    -1,    41,  1491,    -1,    -1,
      -1,    -1,    -1,  3540,  3541,    -1,    -1,    -1,    53,    54,
    1504,    -1,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,  1520,  1521,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,    -1,
      83,    -1,   147,    -1,    -1,    -1,    -1,   152,    -1,   154,
      -1,    -1,    83,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    83,    -1,   232,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    83,    -1,    42,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,   258,   259,   260,    59,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    59,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,   304,
      42,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
    1764,  1765,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,  1776,  1777,    11,    12,    13,    14,    15,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,
     365,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,  1827,    11,    12,    13,    14,    15,    -1,
    1834,    -1,    -1,    -1,  1838,  1839,  1840,   392,    11,    12,
      13,    14,    15,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,   408,    -1,    42,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,  1872,    42,
      -1,    -1,    59,    -1,    -1,   430,   431,   432,   433,    11,
      12,    13,    14,    15,  1888,  1889,    59,    -1,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    57,    -1,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,  2039,  2040,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,   601,   602,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    59,    11,    12,    13,
      14,    15,  2086,    -1,    -1,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    -1,  2097,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
    2144,    42,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,
    2164,  2165,  2166,    -1,  2168,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2197,    59,  2199,    -1,    -1,    -1,    -1,
    2204,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    17,    -1,    19,    20,    21,    22,    23,
      24,    -1,  2226,    -1,    28,    29,    -1,    -1,    -1,    59,
      -1,    -1,    36,    37,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    53,
      54,    -1,    -1,    -1,    58,    -1,    60,    61,    -1,    -1,
      64,    31,    32,    33,    34,    35,    36,    37,    38,    39,
       6,    -1,    42,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   152,    -1,
     154,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    11,    12,    13,    14,    15,    -1,    -1,
    2394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,
      -1,    59,    -1,    -1,    -1,    -1,  2440,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,  2450,  2451,  2452,    -1,
      -1,  2455,    -1,    -1,   258,   259,   260,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    57,  2488,    -1,    -1,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
     304,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2517,    -1,    -1,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,   365,   366,    -1,    -1,    -1,    -1,    -1,    -1,    57,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,   408,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    58,    -1,    -1,    57,    -1,    -1,    64,
      11,    12,    13,    14,    15,    -1,   430,   431,   432,   433,
      -1,    -1,    -1,  2637,    11,    12,    13,    14,    15,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,  2695,    -1,    -1,    -1,    -1,    -1,  2701,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   509,   510,  2711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2858,    -1,    -1,    -1,  2862,   304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2947,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2961,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2979,    -1,  2981,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   431,   432,   433,  2993,
      -1,    -1,  2996,  2997,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,  3095,    -1,    -1,    -1,    -1,  3100,    -1,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   601,   602,    -1,  3163,
      -1,    -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3274,  3275,    -1,    -1,    -1,    -1,    -1,    -1,  3282,  3283,
      -1,    -1,  3286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3307,    -1,    -1,    -1,  3311,    -1,  3313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,
    3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3344,    -1,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3353,
    3354,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,    17,    -1,
      19,    20,    21,    22,    23,    24,    -1,    -1,    -1,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    38,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    -1,    -1,    -1,    58,
      -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   152,    -1,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,    -1,
      17,    -1,    19,    20,    21,    22,    23,    24,    -1,    -1,
      -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      37,    38,    -1,   392,    41,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    -1,   408,
      -1,    58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,   119,    -1,    -1,    -1,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,   260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,   366,
      -1,    -1,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,   392,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      -1,   408,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,   431,   432,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,   152,    -1,   154,
      -1,    -1,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   601,   602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,   366,    -1,    -1,    17,    -1,    19,    20,    21,    22,
      23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    37,    38,    -1,   392,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    54,    -1,   408,    -1,    58,    -1,    60,    61,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   431,   432,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,   119,    -1,    -1,    -1,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   152,
      -1,   154,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   601,   602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,   366,    -1,    -1,    17,    -1,    19,    20,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    37,    38,    -1,   392,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    -1,   408,    -1,    58,    -1,    60,
      61,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,   432,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,   119,    -1,
      -1,    -1,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,   154,    -1,    -1,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    -1,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,   366,    -1,    -1,    17,    -1,
      19,    20,    21,    22,    23,    24,    -1,    -1,    -1,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    -1,
      -1,   392,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    -1,   408,    -1,    58,
      -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
     431,   432,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   152,    -1,   154,    -1,    -1,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     601,   602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    84,    -1,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,    -1,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    84,    85,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,    -1,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    84,    -1,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,    -1,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,   258,   259,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,   366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    26,    27,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
     431,   432,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     601,   602,    -1,    -1,    -1,   258,   259,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,   366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,   432,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    53,    -1,    -1,
      -1,    -1,    -1,    -1,    60,    61,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   157,    -1,    -1,    -1,    -1,   162,   163,    -1,   165,
     166,    -1,    -1,    -1,   170,   171,    -1,    -1,    -1,    -1,
      -1,   177,   178,   179,   180,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,   194,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,
      -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   237,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,
     286,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,   315,
     316,   317,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,
     326,   327,    -1,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,   349,    -1,    -1,    -1,   353,   354,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,    -1,
      -1,   367,    -1,    -1,   370,   371,    -1,   373,    -1,   375,
      -1,    -1,   378,   379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     396,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   608,   609,     3,     4,     5,   145,   163,   189,
     190,   226,   228,   230,   241,   272,   276,   281,   282,   424,
     592,   596,   604,   605,   606,   607,   800,   801,   802,   803,
     805,   806,   807,   814,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   829,   830,   831,   832,   833,
     834,   835,   837,   838,   863,   881,   882,   883,   884,   903,
     935,   973,   974,   975,   976,   977,   978,   979,   980,  1035,
    1036,  1061,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
       0,     6,    43,    53,    57,    60,    61,    87,   143,   145,
     146,   149,   151,   157,   159,   160,   161,   163,   177,   178,
     179,   180,   181,   182,   228,   234,   240,   241,   590,   591,
     610,   611,   671,   673,   674,   675,   676,   687,   738,   740,
     741,   742,   743,   744,   745,   750,   764,   767,   777,   778,
     779,   842,   843,   864,   868,   871,   874,   885,   888,   905,
     912,   926,   929,   931,   934,   938,   939,   982,   983,   985,
     987,   988,   993,  1024,  1027,  1037,  1038,  1050,  1051,  1062,
    1065,  1074,  1075,  1086,  1091,  1092,     6,     6,     6,    17,
      19,    20,    21,    22,    23,    24,    28,    29,    36,    37,
      41,    53,    54,    58,    60,    61,    64,   118,   119,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   141,   143,   147,   152,   154,
     232,   258,   259,   260,   304,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   365,   366,   392,   408,   430,
     431,   432,   433,   509,   510,   528,   529,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   601,   602,   615,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   667,
     668,   669,   696,   713,   715,   716,   719,   720,   721,   722,
     726,   727,   841,    24,    28,   164,   813,   836,   839,    24,
     839,   839,    86,   227,   839,   839,     6,   189,    53,   200,
     202,   231,   238,   273,   275,   285,   294,   315,   429,   515,
     143,   175,   198,   200,   202,   277,   278,   279,   280,    45,
      84,   164,   827,   839,   276,    28,   249,   273,   593,   594,
     595,  1084,     6,     3,     4,     5,    24,    25,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   614,   670,   283,   614,   614,   726,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   105,
     106,   107,   108,   109,   110,   111,   223,   238,   677,    58,
      58,   158,    24,    28,   640,   173,   200,   201,   218,   589,
     183,   200,   640,   160,   238,   239,   240,   765,   766,  1064,
     189,   517,   585,    19,    58,   612,   615,   172,   251,   746,
     165,   193,   223,   285,   291,   294,   315,   421,   424,   429,
     476,   480,   481,   515,   541,   600,   937,  1023,    54,   614,
     751,    85,   157,   162,   163,   166,   170,   225,   228,   249,
     742,   752,   753,   759,   781,    84,   846,   751,   751,   751,
     751,    53,    60,    61,    85,    94,   126,   165,   166,   171,
     177,   178,   179,   180,   190,   194,   196,   237,   241,   243,
     249,   282,   286,   287,   313,   315,   316,   317,   319,   323,
     326,   327,   329,   330,   333,   348,   349,   353,   354,   355,
     363,   367,   370,   371,   373,   375,   378,   379,   396,   398,
     407,   752,   854,   855,   915,   916,   923,   751,   751,   751,
      52,    53,    85,   241,   292,   434,   435,   436,   437,   462,
     467,   472,   743,   752,   941,   942,   943,   944,   945,   751,
      85,   191,   256,   280,   477,   478,   479,   752,   759,   984,
      84,    85,   135,   167,   168,   172,   184,   193,   402,   752,
     754,   751,   751,   751,   751,    85,   238,   249,   367,   752,
     759,   854,  1055,  1057,    85,   241,   292,   295,   541,   542,
     597,   598,   599,   752,   759,   854,  1063,  1089,  1090,   751,
     751,    85,   166,   598,   752,  1093,    19,    36,    38,    58,
     154,   156,   615,   712,   714,   720,    39,   619,    39,    21,
      22,   620,   621,   142,    37,   142,   726,    19,   120,   121,
     122,   123,   701,   726,    84,    84,    58,    58,    58,    58,
      58,    58,    58,    58,    19,    20,    22,    23,    58,   155,
     615,   620,   621,   628,   696,   697,   700,   702,   703,   704,
     707,   709,   710,    58,    55,    55,     6,    11,    12,    13,
      14,    15,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    42,    42,    45,    84,   164,   782,     6,   782,    28,
     641,   641,   839,   839,     6,    45,    84,   164,   785,     6,
     290,    24,    28,   164,   840,     6,   274,     6,   808,     6,
     815,    24,   804,   175,   202,   279,   305,   325,   166,   279,
     461,   474,   475,   804,   202,   279,   164,     6,     6,     6,
       6,     6,     6,     6,     6,    94,   163,   530,   583,   584,
     585,   586,   587,   588,  1072,  1073,    19,   828,   641,   936,
    1084,     6,  1084,     6,     6,   517,  1085,    31,   614,   688,
     672,   612,   104,   614,   615,   615,    19,    21,    24,    54,
      58,   739,    57,   782,   782,   782,   612,    44,    45,    46,
      47,   185,   612,   616,   785,    57,    28,   235,    57,   580,
     581,   582,   640,  1068,   242,   612,   613,   613,   726,    57,
     614,    84,   749,   427,   428,   986,   514,    24,    54,    84,
     158,   616,   782,   780,   171,   640,   640,   785,   250,    57,
      84,   757,    57,    57,   845,   847,    84,    84,    84,    84,
     242,   335,   347,    57,    28,   338,   339,    53,   381,    53,
     381,    53,   381,    53,   381,   245,   336,   640,   616,   382,
     189,   326,   329,   250,   238,   309,   352,   361,   390,   334,
     326,   241,   616,   913,    57,   612,    21,    22,    24,   284,
     617,   907,   400,   617,   906,   324,   254,   328,   334,   254,
     326,   295,   350,   351,   350,   159,   616,   356,   364,   295,
     295,   372,   370,    56,   319,   338,   339,   616,   380,   612,
     397,   324,   159,   237,   238,   241,   309,   352,   361,   401,
      57,    57,    84,   859,    84,   921,    57,    84,    84,    84,
     473,   189,   388,   739,   616,   157,   612,   616,   158,   616,
     381,   940,   757,    57,    84,    84,   616,    55,   243,    19,
      54,   197,    19,   167,   168,    57,    57,   612,   143,   144,
     164,   169,   185,   191,   685,   761,   185,   761,    24,   760,
     185,   226,   172,    57,    57,    84,    84,    84,    84,    22,
      23,    24,   631,   635,   250,   172,    57,    57,    57,    93,
     331,   359,   369,   538,   539,   540,  1052,  1053,    84,  1060,
     189,   376,   612,   172,   245,   616,   254,   164,   616,  1087,
      57,    57,    84,    84,  1094,  1098,   254,    57,    10,   714,
     714,   714,   726,    21,    22,   155,   707,   714,   714,    18,
      19,    19,    39,    36,    37,   142,    37,    19,    83,    59,
      83,   664,   664,   760,   726,   726,   726,   726,   726,   726,
     726,    38,   699,   701,   726,    36,    37,    84,    10,    83,
     155,    83,   155,   717,   718,   726,    19,    19,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   723,    53,    60,    61,   177,   178,   179,   180,
     181,   182,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   812,   174,   175,   176,   198,   199,   202,
     783,   784,     6,     6,     6,     6,   174,   229,   786,   787,
       6,   862,   840,     6,     6,     6,    86,   116,   143,   160,
     164,   167,   168,   172,   192,   215,   216,   217,   219,   220,
     221,   635,   685,   811,     6,    24,    87,   143,   160,   161,
     172,     6,   804,   804,   804,   804,   904,   804,   804,   981,
     164,   804,   164,   804,     6,   804,   804,     6,    83,    85,
       6,     6,     6,   143,   172,   197,   685,     6,  1085,   612,
       6,   726,    58,   679,   680,   682,   686,   677,    57,    83,
      83,   774,   775,   726,    57,   613,    57,   612,   236,   237,
     390,  1066,    21,    22,    24,    28,    58,   642,  1069,   612,
    1067,    84,   164,  1071,   612,    48,    49,    50,    59,   748,
     751,    24,   739,   768,   771,   772,   616,   756,   758,    81,
      85,   844,   848,   849,   867,   873,   887,   254,   254,   617,
      57,   612,   612,   616,    94,   410,    57,    57,   241,   383,
     254,   377,   616,   254,   254,   616,   362,   229,   616,   238,
     391,   640,   254,   254,    57,    57,    84,   799,    57,    24,
     628,   634,    40,   618,    51,    56,    57,   387,   388,   402,
     403,   404,   405,   406,   911,   618,    51,    56,    57,   616,
     612,   254,   254,   612,   254,   616,   616,   158,   616,   616,
      57,   616,   616,   616,   616,   616,   616,   389,    56,   616,
     616,    57,   616,    57,    56,   616,   616,   382,   362,   189,
     229,   616,   238,   616,   858,   860,   861,   920,   922,   928,
     933,   616,   254,   377,   616,   616,   616,   185,   612,   758,
     946,   613,   613,    19,    19,   615,   683,   684,   726,    45,
     612,   763,   192,   763,   763,   616,   760,   992,  1026,  1039,
    1056,   616,   760,    28,   617,   617,    53,   131,   134,   315,
     318,  1052,  1059,    57,   616,   616,   612,   301,   612,   772,
     773,   612,    19,    59,   714,   155,    54,    19,   142,    37,
     726,   726,   665,   666,    59,    83,    59,    83,    83,    83,
      83,    59,    59,    83,    10,    83,    83,    59,    19,    58,
     697,   704,   709,    83,    59,    56,    56,    26,    27,   721,
     724,   841,    83,    85,    83,    85,     6,   285,   286,   615,
       6,   635,    21,    22,    23,    24,   620,   621,   622,   623,
     624,   809,   810,   683,   615,   172,   172,   164,   615,    24,
     615,   813,   641,   641,   641,   641,     6,    24,   164,   165,
     166,   177,   178,   316,   318,   347,   641,   641,     6,    24,
      70,   157,   250,   332,   409,   434,   466,   804,   641,   804,
     641,   641,   641,  1073,   683,    28,   760,   640,     6,    57,
      59,   678,    16,   681,    84,   677,   614,   640,   615,   772,
      57,    59,    28,    49,    50,    49,    50,   640,   726,    51,
    1070,   640,  1072,    57,    57,    55,    85,   163,   243,   251,
     252,   255,   747,    37,   770,    83,    57,    85,   163,   754,
     755,   284,    57,    84,   852,    85,   289,   292,   402,   752,
     754,   865,    85,   166,   306,   752,   759,   872,    85,    92,
     166,   316,   317,   323,   752,   886,   612,   612,    57,    57,
      57,    57,   616,    84,   616,   908,   189,   254,   612,    57,
      57,   612,   612,    57,   616,   616,    57,   362,   612,    57,
     612,   612,   798,   914,   907,   614,   907,   612,   612,    57,
     906,   612,   612,    57,    57,   612,   612,    57,   612,    57,
      57,   739,    57,    57,    57,    57,    57,    57,    57,    57,
     616,    57,   612,    57,    57,    57,   616,    57,    57,   241,
     616,   616,   616,    57,   362,    57,    81,    85,   283,   755,
     857,   758,    65,    85,   138,   167,   168,   237,   239,   241,
     309,   357,   367,   368,   374,   386,   393,   395,   399,   407,
     755,   919,    85,    99,   167,   168,   238,   742,   752,   854,
     924,   925,   927,    85,   143,   172,   257,   425,   426,   685,
     752,   932,   612,   612,    85,   166,   171,   274,   388,   436,
     453,   455,   459,   463,   464,   947,   954,   957,   682,   186,
     762,   616,    57,    85,    98,   166,   500,   501,   503,   508,
     511,   752,   759,   989,    85,   166,   462,   516,   752,   759,
    1025,    51,    85,   319,   328,   360,   362,   530,   535,   537,
     752,   759,  1040,  1042,    53,  1054,    57,    57,   618,    53,
      19,   637,   638,   612,   616,   616,    28,    24,    84,    85,
      88,    89,    90,    91,    92,    93,    94,   112,   115,   116,
     148,   150,   615,   719,   721,   728,   731,   737,   841,  1058,
     185,  1088,   612,    84,  1097,   714,   714,    22,    37,    37,
      83,    59,    83,   662,   663,   726,   726,   726,   726,   726,
      38,   699,   726,   699,    38,   699,   699,    83,   726,   726,
      19,    19,   725,   784,   787,    54,    21,    22,    24,   813,
     813,     6,     6,     6,     6,   640,   640,    21,    22,    24,
     620,   621,   636,     6,     6,    19,   739,   739,   739,   641,
       6,   641,     6,     6,     6,   677,   677,   689,   677,   690,
     693,   694,   695,   729,   731,   614,    57,    59,    83,    59,
      19,    85,   253,   782,   253,   616,   616,   256,   257,    57,
      28,   641,   769,   771,   782,    57,   614,   851,   853,    44,
     293,   172,    57,   875,   880,   157,    57,   890,   891,   897,
     891,   898,   617,   902,   324,    57,    83,    57,    57,    98,
     227,   402,   410,   412,   414,   417,   909,   910,    57,   377,
     616,   612,    57,    57,    57,    57,    57,   616,    57,    57,
      57,    85,   196,   241,   243,   244,   247,   248,   797,    57,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
     189,    57,    57,    57,   616,   284,   288,   615,    57,   303,
     376,   172,   172,   382,   172,   189,    65,   358,   172,   165,
     369,   616,   616,   394,   616,   612,   616,   138,   309,    57,
      23,   422,   422,   422,   423,   757,    57,   683,    28,   760,
     612,   640,   138,    57,   966,   972,   395,   438,   463,   616,
     949,   395,   616,   948,   250,   634,   950,   951,   465,   616,
      57,   467,   967,   187,   188,   189,   190,    24,   621,   633,
    1003,  1008,   994,  1002,   990,   991,   633,   175,   512,    57,
    1028,  1034,   616,   612,    57,   612,   347,   191,  1041,    55,
    1041,   642,  1043,    72,   534,  1044,  1041,    57,   612,   638,
      39,   691,   692,   717,   717,    58,   726,   726,   726,   732,
      58,    58,    31,    57,    31,   717,    42,    31,   612,  1096,
      39,    37,   726,   726,    51,    62,    63,    64,    65,    67,
      68,    69,    72,    74,    75,    80,    81,    85,   648,   649,
     650,   651,   652,   660,    85,   649,   650,   651,   652,   661,
      83,    59,    59,    59,    59,    59,    83,    10,    59,    83,
      59,    83,    10,    59,    83,    83,    19,    58,    22,     6,
       6,   614,   104,   686,   614,    85,   694,    57,    19,   254,
     254,   612,   613,   636,    74,    85,   287,   850,    24,    58,
     721,   841,   869,   870,   866,   760,   773,   158,   165,   177,
     178,   316,   889,   773,    84,   896,    40,   318,   899,   616,
     612,   185,   420,   416,   140,   413,   415,   418,   419,    83,
      85,    57,    57,    57,    57,   616,   245,   246,   246,   613,
     612,    57,   616,    57,   285,   286,   615,    98,   170,   285,
     289,   856,   191,   332,   347,   355,   245,   246,   616,   616,
     616,   241,   383,   760,   616,   303,   332,   359,   360,   918,
     760,   376,    65,    58,   154,   702,   930,   930,   930,    23,
     758,   333,   772,   968,   612,   612,   616,    84,   612,    84,
     739,    84,   612,   612,    84,    84,  1007,   773,    84,   617,
    1009,  1014,    28,    84,  1015,  1020,   616,    70,   773,   185,
     617,   612,    74,   612,  1042,  1045,  1046,   612,    19,    85,
     690,    57,    57,   615,   841,    57,   113,    84,    24,   677,
     730,   736,   736,   726,   726,    57,   735,   726,    85,   495,
    1095,    19,    37,    59,    59,    66,    70,    71,    73,    11,
      12,    13,    31,    32,    33,   118,   119,   612,   646,   653,
     654,   655,    41,   656,   657,   657,   659,    24,   620,   632,
      57,   653,   656,   659,   633,    57,   726,    38,   699,    38,
     699,    38,   699,    10,    38,   699,    38,   699,    85,   718,
      57,    59,    31,    57,    59,   613,   613,   612,   612,    57,
     726,    83,   686,    84,   879,   616,   896,   895,   892,   614,
     640,   319,   900,    57,   411,   277,   910,   247,   247,   247,
      57,   384,   385,   616,   917,   917,   617,   409,   189,   254,
     616,   616,   303,   702,   706,   616,   969,    84,   971,   959,
     959,   952,   955,  1006,  1005,    84,  1001,  1010,  1016,   612,
      84,  1033,   612,   616,    84,    59,    59,   731,   711,   614,
      86,   726,    24,   721,   737,   841,    57,    57,   724,    57,
     617,    57,    10,   612,    14,    15,   647,    83,    15,    83,
     647,   612,    76,    77,    78,    79,   658,    83,   647,    82,
      59,    59,    59,    59,    83,    10,    59,    59,    59,    83,
      58,    59,    10,    59,    59,    10,    59,    59,   726,    59,
     870,   878,   876,   892,    85,   194,   195,   196,   224,   243,
     244,   247,   248,   320,   788,   789,   791,   792,   793,   893,
     617,   316,   901,   613,   613,   613,   616,   612,   616,    83,
     155,   967,   970,    85,   634,   960,   961,    85,    85,   274,
     395,   454,   953,    85,   242,   297,   320,   439,   440,   441,
     788,   956,    85,   134,   494,   495,   498,   499,  1004,  1000,
     999,  1013,  1019,   513,  1032,  1029,  1047,    57,    57,   114,
       9,    19,    20,    58,    85,   696,   698,   700,   702,   703,
     705,   708,   733,   736,   736,    57,   612,   655,   646,   654,
     657,   657,    39,   657,   657,    19,    38,   699,    38,   699,
     699,    10,   699,    57,    51,    65,    70,    85,   185,   245,
     246,   249,   296,   297,   298,   309,   311,   313,   320,   788,
     877,   616,    84,   245,   246,   246,   613,   612,   169,   204,
     321,   322,   894,    28,    29,    58,   644,   645,   720,   727,
      84,   796,    57,   616,   702,    70,    85,   242,   245,   246,
     249,   250,   279,   297,   302,   315,   320,   323,   371,   395,
     436,   439,   440,   441,   447,   452,   462,   468,   788,   958,
     454,   460,   962,   616,   612,   616,    57,   612,   612,   169,
     321,   450,   612,   334,   217,   612,    57,   616,   497,   497,
     616,   616,    57,    55,    85,    98,   171,   238,   243,   250,
     483,   485,   486,   490,   491,   493,   500,   501,   511,   995,
      85,   497,   502,  1011,    85,   283,   497,  1017,    29,   643,
     645,    51,    85,   196,   245,   246,   249,   295,   298,   315,
     320,   347,   371,   439,   462,   479,   517,   518,   519,   520,
     522,   526,   788,  1030,    85,   530,   531,   536,  1048,   731,
     691,   726,    10,    83,   153,   726,    59,    83,   612,   612,
     612,   612,   658,   658,    59,    59,    59,    83,    59,    58,
      59,   612,   303,   299,   300,   310,   612,   301,    74,    75,
     233,   302,   776,   250,   612,   247,   247,    65,    55,   243,
     312,   395,   314,   169,   307,    57,   790,   791,   247,   247,
     247,   206,   207,   204,   726,    54,    92,   158,   197,   203,
     222,   794,   442,   443,   444,   445,   446,   447,   448,   449,
     612,   301,    74,   302,   776,   250,   470,    84,   612,   612,
     616,   169,   321,   450,   444,   372,   612,   616,   612,   334,
     217,   612,   347,   469,   612,   131,   442,    57,   612,    57,
     612,   612,   612,   612,   482,   488,  1008,   135,   497,   135,
     488,   497,   334,   482,   489,   482,   616,   487,   254,   492,
     303,   319,   996,   319,   997,   512,    57,  1012,   496,   612,
    1021,  1009,    57,  1018,  1015,  1021,    57,   612,   616,   301,
      74,   302,   776,   250,   524,   612,   254,   616,   169,   206,
     450,   525,  1031,   617,   372,   254,   131,   381,   442,   254,
     254,   456,   612,   521,   523,   527,    57,  1049,   533,   532,
     640,    57,    59,    58,   698,   705,   691,   734,    57,   726,
      39,    39,   699,   699,   177,   178,   612,   612,   612,   612,
     612,   616,   613,   613,   303,   613,   613,   612,   612,   616,
     308,    85,    57,   613,   613,   613,   206,   207,    59,    28,
     639,    54,   197,   612,   639,   204,   205,   211,   212,   213,
     214,   795,    54,   197,    85,   457,   458,   612,   612,   612,
     616,   471,   963,   616,   246,   616,   612,   612,   616,   616,
     612,   616,   504,  1022,  1022,   247,   254,   505,   506,   507,
     998,   612,   998,   254,   612,   612,   247,   612,   484,   616,
     612,   612,   185,   616,  1014,   616,  1020,    70,   319,   612,
     612,   612,   612,   616,   616,   612,   246,   616,   613,   612,
     612,   612,   616,   616,   616,   616,   195,   195,   726,   117,
      59,   612,   612,    59,    83,   617,   617,   616,   790,    57,
     639,   639,    57,    57,   206,   207,   208,   209,   210,   206,
     207,   208,   209,   210,    57,   639,   639,   796,   616,    85,
     617,   965,   456,   616,   612,   612,  1022,   612,  1022,   612,
     616,   612,   612,   616,   456,   640,   640,   731,    57,   699,
     794,    57,    57,   794,   794,   794,    57,    57,   451,   964,
     513,    83,   794,   794,   794,   794,    57,   643,   699,    59
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   603,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   608,   608,   609,   609,   610,   610,   611,   612,   612,
     612,   613,   613,   613,   614,   614,   614,   615,   616,   616,
     616,   616,   616,   616,   617,   617,   617,   618,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   628,
     629,   629,   630,   630,   631,   631,   631,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     636,   636,   636,   637,   638,   638,   639,   640,   640,   641,
     641,   642,   642,   642,   642,   642,   643,   643,   644,   644,
     644,   645,   645,   645,   646,   646,   646,   646,   646,   646,
     646,   646,   647,   647,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   649,   650,   651,   652,   652,   653,
     653,   653,   653,   654,   654,   655,   655,   656,   656,   656,
     657,   657,   658,   658,   658,   658,   659,   659,   659,   660,
     660,   660,   660,   661,   661,   661,   661,   661,   662,   662,
     663,   663,   664,   665,   666,   667,   668,   669,   669,   604,
     605,   604,   606,   604,   607,   610,   672,   671,   610,   673,
     610,   674,   610,   675,   610,   676,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   678,   678,   679,   679,   680,   680,
     681,   681,   682,   683,   684,   683,   685,   686,   610,   688,
     689,   687,   690,   690,   692,   691,   693,   693,   694,   695,
     695,   696,   696,   697,   697,   697,   697,   697,   697,   698,
     698,   698,   698,   699,   700,   700,   700,   700,   700,   700,
     700,   700,   700,   700,   701,   701,   701,   701,   702,   702,
     702,   703,   703,   703,   703,   703,   703,   703,   703,   704,
     704,   704,   704,   704,   705,   705,   705,   705,   705,   706,
     706,   707,   707,   708,   708,   709,   709,   709,   709,   710,
     710,   711,   711,   711,   712,   712,   713,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   717,   717,   717,   718,   719,   720,   721,   721,
     721,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   723,   722,   724,   725,   724,   724,   724,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   727,   728,   728,   728,   729,
     729,   730,   730,   731,   731,   731,   732,   733,   734,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   735,   731,   731,   731,   736,   737,   737,   737,   610,
     738,   738,   739,   739,   739,   739,   610,   740,   610,   741,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   743,
     743,   610,   744,   745,   746,   746,   747,   747,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   610,   750,   750,
     751,   751,   751,   751,   752,   752,   752,   752,   752,   752,
     752,   752,   753,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   755,   755,   756,   756,   757,   757,   758,   759,
     760,   761,   761,   761,   761,   762,   762,   762,   762,   762,
     763,   763,   610,   764,   764,   764,   764,   610,   765,   765,
     765,   765,   766,   766,   766,   766,   766,   766,   766,   766,
     767,   768,   769,   769,   770,   770,   771,   772,   772,   773,
     774,   775,   776,   776,   777,   778,   779,   779,   779,   779,
     779,   780,   781,   782,   782,   782,   783,   783,   784,   784,
     784,   784,   784,   784,   785,   785,   785,   786,   786,   787,
     787,   788,   789,   789,   790,   790,   791,   791,   792,   792,
     793,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   796,   797,   797,   797,   797,   797,
     797,   797,   798,   798,   799,   604,   800,   604,   801,   604,
     802,   604,   803,   804,   804,   604,   805,   604,   806,   604,
     807,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   809,
     809,   809,   809,   809,   809,   809,   809,   810,   810,   810,
     810,   811,   811,   811,   811,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   813,   604,   814,   815,   815,
     815,   815,   815,   815,   815,   604,   816,   604,   817,   604,
     818,   604,   819,   604,   820,   604,   821,   604,   822,   604,
     823,   604,   824,   604,   825,   604,   826,   827,   827,   827,
     828,   828,   604,   829,   604,   830,   604,   831,   604,   832,
     604,   833,   604,   834,   604,   835,   836,   836,   604,   837,
     604,   838,   839,   839,   839,   840,   840,   840,   841,   841,
     841,   841,   610,   842,   843,   844,   845,   845,   846,   846,
     847,   848,   849,   850,   850,   851,   851,   852,   852,   853,
     854,   855,   856,   856,   856,   856,   857,   857,   857,   857,
     857,   857,   858,   858,   859,   859,   861,   860,   862,   862,
     862,   862,   604,   863,   777,   864,   865,   865,   865,   865,
     866,   865,   867,   867,   868,   869,   869,   870,   870,   870,
     870,   777,   885,   886,   886,   886,   886,   886,   886,   887,
     887,   888,   889,   889,   889,   889,   890,   890,   891,   892,
     893,   893,   893,   893,   893,   893,   893,   893,   894,   894,
     894,   894,   894,   894,   895,   895,   896,   896,   897,   898,
     899,   899,   899,   900,   900,   901,   901,   902,   604,   903,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     777,   871,   872,   872,   872,   872,   873,   873,   874,   875,
     876,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   878,   878,   879,
     879,   880,   841,   604,   881,   604,   882,   604,   883,   604,
     884,   777,   905,   906,   906,   906,   907,   907,   907,   907,
     907,   908,   908,   909,   909,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   911,   911,   911,   911,   911,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   913,   914,   912,   912,   912,   912,
     912,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   916,   917,   917,   917,   918,   918,   918,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   920,   920,   921,
     921,   922,   923,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   674,   777,   924,
     925,   926,   927,   927,   927,   927,   927,   927,   927,   927,
     928,   928,   929,   930,   930,   777,   931,   932,   932,   932,
     932,   932,   932,   932,   932,   933,   933,   934,   604,   935,
     936,   936,   936,   936,   936,   936,   777,   937,   937,   937,
     938,   939,   939,   940,   940,   941,   942,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   944,   945,   946,   946,   947,   947,   947,   947,
     947,   947,   947,   947,   947,   948,   947,   949,   947,   947,
     947,   947,   950,   950,   951,   952,   952,   953,   953,   953,
     954,   954,   955,   955,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   957,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   963,   963,   964,   964,   965,   966,   967,   967,
     969,   968,   970,   970,   971,   971,   972,   841,   841,   841,
     841,   604,   973,   604,   974,   604,   975,   604,   976,   604,
     977,   604,   978,   604,   979,   604,   980,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   777,   982,   983,   983,
     983,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   777,   986,   985,   987,   987,   987,   987,   777,   988,
     989,   989,   989,   989,   990,   989,   991,   989,   989,   989,
     989,   992,   992,   993,   994,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   995,   995,   995,   995,
     995,   995,   996,   995,   997,   995,   995,   995,   995,   995,
     998,   998,   998,   999,  1000,  1000,  1001,  1001,  1002,  1003,
    1004,  1004,  1004,  1004,  1004,  1005,  1006,  1006,  1007,  1007,
    1008,  1009,  1010,  1011,  1011,  1011,  1012,  1013,  1013,  1014,
    1014,  1015,  1016,  1017,  1017,  1017,  1018,  1019,  1019,  1020,
    1020,  1021,  1021,  1022,  1022,   841,   841,   777,  1023,  1023,
    1024,  1025,  1025,  1025,  1025,  1025,  1025,  1026,  1026,  1027,
    1028,  1029,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1031,
    1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,   841,   841,
     604,  1035,   604,  1036,   777,  1037,  1038,  1039,  1039,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1041,  1041,  1042,  1043,  1044,  1044,  1045,  1046,  1047,  1047,
    1048,  1048,  1048,  1049,   777,  1050,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1053,  1053,  1054,  1054,  1056,  1055,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1058,  1059,  1059,  1060,  1060,
     604,  1061,  1062,  1063,  1063,  1063,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   610,   610,  1064,  1065,  1066,  1066,  1067,
    1067,  1068,  1068,  1068,  1068,  1069,  1070,  1070,  1071,  1071,
    1072,  1072,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,   610,  1074,  1074,   610,  1075,  1075,  1075,  1075,   604,
    1076,   604,  1077,   604,  1078,   604,  1079,   604,  1080,   604,
    1081,   604,  1082,   604,  1083,  1084,  1084,  1085,  1085,  1085,
     777,  1086,  1062,  1062,  1087,  1087,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,   777,  1091,  1092,
    1092,  1093,  1093,  1093,  1094,  1095,  1096,  1096,  1097,  1097,
    1098,   841,   841
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     0,     2,     1,     1,     5,     1,     3,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     0,     2,     2,
       2,     3,     7,     2,     2,     5,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       4,     1,     3,     1,     3,     1,     3,     4,     6,     6,
       0,     1,     1,     1,     1,     1,     2,     4,     4,     2,
       2,     2,     2,     2,     4,     2,     2,     2,     0,     3,
       0,     3,     0,     0,     0,     6,     6,     1,     1,     1,
       2,     1,     2,     1,     2,     1,     0,     4,     1,     2,
       1,     4,     1,     6,     1,     8,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     0,     4,     2,     5,     0,     4,
       0,     2,     1,     1,     0,     2,     2,     4,     1,     0,
       0,     7,     0,     1,     0,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       3,     1,     1,     1,     5,     7,     5,     7,     9,     7,
       5,     7,     5,    11,     1,     1,     2,     1,     7,     9,
       7,     7,     9,     7,     9,     7,     9,     7,    15,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     1,     5,     7,
       7,     1,     0,     1,     3,     1,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     4,     1,     0,     5,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     4,     1,     1,     1,     5,
       3,     2,     1,     3,     4,     6,     0,     0,     0,     9,
       4,     3,     4,     4,     5,     5,     3,     3,     3,     2,
       5,     0,     5,     7,     9,     0,     1,     1,     1,     1,
       4,     5,     1,     3,     1,     1,     1,     3,     1,     5,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     0,     1,     2,     2,     2,     4,
       4,     3,     3,     0,     3,     0,     3,     1,     1,     1,
       0,     1,     2,     3,     0,     2,     2,     2,     3,     2,
       2,     2,     1,     2,     2,     2,     3,     3,     3,     2,
       4,     3,     1,     2,     0,     3,     0,     3,     0,     3,
       1,     2,     1,     1,     1,     0,     2,     2,     2,     2,
       2,     1,     1,     3,     3,     3,     3,     1,     1,     1,
       1,     1,     2,     4,     3,     4,     4,     3,     4,     4,
       3,     0,     1,     2,     0,     1,     3,     1,     3,     1,
       0,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       5,     0,     3,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     1,
       1,     1,     4,     1,     0,     3,     5,     2,     1,     1,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     1,     0,     2,     4,     4,     4,     2,
       2,     1,     0,     3,     3,     1,     3,     1,     3,     1,
       4,     1,     5,     1,     0,     1,     3,     1,     4,     1,
       4,     0,     2,     3,     3,     3,     3,     4,     4,     3,
       2,     2,     2,     2,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     4,     0,     2,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     4,     1,     3,     1,     4,     1,     1,     3,
       0,     1,     1,     4,     1,     4,     1,     4,     1,     3,
       1,     4,     1,     4,     1,     3,     2,     2,     1,     4,
       1,     2,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     1,     0,     3,     0,     3,
       0,     3,     3,     2,     2,     0,     3,     0,     3,     0,
       3,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     0,     3,     0,     2,     0,     2,
       2,     2,     1,     5,     1,     2,     1,     1,     3,     3,
       0,     4,     0,     3,     5,     1,     3,     3,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     2,     3,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     1,     5,
       0,     2,     3,     3,     3,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     2,     4,     0,     3,     5,     0,
       0,     0,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     3,     4,     4,     4,     2,     2,
       3,     3,     3,     3,     3,     3,     1,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     2,     2,     0,     3,     3,     0,     3,     3,     2,
       2,     1,     3,     1,     3,     1,     3,     2,     2,     2,
       2,     2,     2,     3,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     4,     6,     4,     6,     6,     4,     6,
       5,     5,     4,     5,     5,     6,     6,     3,     3,     4,
       5,     6,     5,     5,     5,     5,     5,     5,     5,     5,
       5,     5,     6,     6,     6,     5,     6,     6,     6,     8,
       6,     6,     6,     7,     5,     6,     5,     6,     7,     5,
       6,     5,     6,     8,     4,     4,     4,     4,     5,     5,
       6,     5,     5,     6,     5,     5,     6,     7,     7,     7,
       5,     5,     4,     4,     0,     0,     6,     6,     5,     5,
       5,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     4,     2,     3,     2,     2,     2,
       2,     3,     5,     5,     4,     5,     3,     3,     3,     4,
       3,     3,     2,     2,     2,     3,     3,     0,     3,     0,
       3,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     6,     1,     1,
       3,     2,     1,     1,     1,     2,     3,     3,     3,     3,
       0,     3,     5,     1,     3,     1,     2,     1,     2,     2,
       2,     1,     2,     2,     4,     0,     3,     5,     1,     4,
       0,     3,     3,     3,     2,     3,     2,     1,     2,     2,
       2,     3,     3,     0,     1,     2,     3,     1,     1,     2,
       2,     3,     3,     3,     3,     4,     2,     4,     3,     2,
       3,     1,     2,     4,     0,     3,     2,     1,     2,     3,
       3,     3,     3,     2,     3,     0,     5,     0,     5,     2,
       2,     1,     4,     1,     1,     0,     3,     2,     2,     2,
       5,     2,     0,     3,     0,     2,     2,     3,     2,     2,
       3,     2,     2,     2,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     2,     3,     3,
       4,     4,     2,     2,     2,     3,     3,     3,     2,     3,
       3,     3,     4,     2,     1,     0,     2,     3,     1,     0,
       1,     2,     0,     2,     0,     1,     3,     0,     0,     2,
       0,     3,     0,     3,     0,     3,     3,     1,     1,     1,
       1,     1,     4,     1,     6,     1,     6,     1,     6,     1,
       7,     1,     6,     1,     7,     1,     5,     0,     2,     3,
       2,     3,     3,     2,     3,     2,     2,     2,     3,     3,
       3,     1,     3,     3,     2,     3,     3,     2,     2,     2,
       2,     2,     0,     4,     2,     3,     3,     5,     1,     2,
       1,     1,     2,     2,     0,     3,     0,     3,     6,     2,
       3,     0,     3,     5,     0,     4,     4,     3,     4,     2,
       3,     3,     3,     3,     4,     4,     4,     3,     3,     4,
       4,     2,     0,     3,     0,     3,     6,     3,     3,     4,
       1,     1,     1,     0,     0,     3,     0,     3,     4,     1,
       2,     2,     2,     4,     4,     0,     0,     3,     0,     3,
       3,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     2,     0,     2,     1,     1,     1,     1,     2,
       2,     1,     1,     2,     4,     2,     2,     0,     3,     5,
       0,     0,     2,     2,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     3,     3,     4,     3,     2,     2,     1,     1,
       1,     1,     1,     0,     3,     0,     3,     4,     1,     1,
       1,     6,     1,     6,     1,     2,     5,     0,     3,     1,
       1,     2,     3,     1,     3,     2,     3,     3,     3,     4,
       0,     1,     2,     1,     2,     6,     0,     0,     0,     3,
       4,     4,     2,     0,     2,     2,     3,     3,     3,     3,
       5,     5,     4,     3,     2,     3,     3,     3,     3,     3,
       1,     2,     0,     2,     0,     4,     2,     3,     5,     1,
       2,     2,     2,     2,     2,     1,     0,     2,     0,     3,
       1,     4,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     5,     2,     0,     0,
       2,     2,     2,     1,     3,     1,     0,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     0,     1,     0,     1,     2,
       2,     2,     3,     3,     1,     1,     0,     2,     1,     1,
       1,     1,     2,     3,     2,     3,     4,     2,     2,     3,
       3,     1,     2,     3,     0,     2,     0,     3,     0,     3,
       3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 551: /* config: conf_entries END  */
#line 147 "conf/confbase.Y"
                         { return 0; }
#line 8045 "obj/conf/cf-parse.tab.c"
    break;

  case 552: /* config: CLI_MARKER cli_cmd  */
#line 148 "conf/confbase.Y"
                      { return 0; }
#line 8051 "obj/conf/cf-parse.tab.c"
    break;

  case 557: /* definition: DEFINE symbol '=' term ';'  */
#line 164 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 8061 "obj/conf/cf-parse.tab.c"
    break;

  case 559: /* expr: '(' term ')'  */
#line 173 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 8067 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* expr: symbol_known  */
#line 174 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 8075 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* expr_us: expr S  */
#line 180 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 8081 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* expr_us: expr MS  */
#line 181 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 8087 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* expr_us: expr US  */
#line 182 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 8093 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* bool: expr  */
#line 191 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 8099 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* bool: ON  */
#line 192 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 8105 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* bool: YES  */
#line 193 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 8111 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* bool: OFF  */
#line 194 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 8117 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* bool: NO  */
#line 195 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 8123 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* bool: %empty  */
#line 196 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 8129 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* ipa: IP4  */
#line 203 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8135 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* ipa: IP6  */
#line 204 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8141 "obj/conf/cf-parse.tab.c"
    break;

  case 576: /* ipa: CF_SYM_KNOWN  */
#line 205 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 8150 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* ipa_scope: %empty  */
#line 212 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 8156 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* ipa_scope: '%' symbol  */
#line 213 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8162 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* pxlen4: '/' NUM  */
#line 220 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 8171 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* net_ip4_: IP4 pxlen4  */
#line 227 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 8184 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* net_ip6_: IP6 '/' NUM  */
#line 237 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 8200 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 250 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 8222 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* net_vpn4_: VPN_RD net_ip4_  */
#line 269 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8231 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* net_vpn6_: VPN_RD net_ip6_  */
#line 275 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8240 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 281 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8251 "obj/conf/cf-parse.tab.c"
    break;

  case 586: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 289 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8262 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* net_mpls_: MPLS NUM  */
#line 297 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8271 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* net_: net_ip_  */
#line 307 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8277 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* net_ip4: CF_SYM_KNOWN  */
#line 320 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8287 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* net_ip6: CF_SYM_KNOWN  */
#line 329 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8297 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* net_ip: CF_SYM_KNOWN  */
#line 338 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8307 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* net_any: CF_SYM_KNOWN  */
#line 347 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8317 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* net_or_ipa: IP4  */
#line 357 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8323 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* net_or_ipa: IP6  */
#line 358 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8329 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* net_or_ipa: CF_SYM_KNOWN  */
#line 359 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8342 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* label_stack_start: NUM  */
#line 370 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8352 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* label_stack: label_stack '/' NUM  */
#line 378 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8363 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* time: TEXT  */
#line 387 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8373 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* text: CF_SYM_KNOWN  */
#line 396 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8382 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* opttext: %empty  */
#line 404 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 8388 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* text_or_ipa: TEXT  */
#line 408 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8394 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* text_or_ipa: IP4  */
#line 409 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8400 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* text_or_ipa: IP6  */
#line 410 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8406 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* text_or_ipa: CF_SYM_KNOWN  */
#line 411 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8418 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* text_or_ipa: '(' term ')'  */
#line 418 "conf/confbase.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8428 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* bytestring: bytestring_expr  */
#line 427 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8434 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* bytestring_text: BYTETEXT  */
#line 431 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8440 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* bytestring_text: TEXT  */
#line 432 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8446 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* bytestring_text: bytestring_expr  */
#line 433 "conf/confbase.Y"
                   {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8456 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* bytestring_expr: '(' term ')'  */
#line 443 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8462 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 8468 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 8474 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 8480 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 8486 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 8492 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 8498 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 8504 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 8510 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 8516 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 8522 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8528 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8534 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8540 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8546 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8552 "obj/conf/cf-parse.tab.c"
    break;

  case 649: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8558 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8564 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8570 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8576 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8582 "obj/conf/cf-parse.tab.c"
    break;

  case 654: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8588 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8594 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8600 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8606 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8612 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8621 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8630 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8639 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8650 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8659 "obj/conf/cf-parse.tab.c"
    break;

  case 668: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8668 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8677 "obj/conf/cf-parse.tab.c"
    break;

  case 670: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 8683 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 8689 "obj/conf/cf-parse.tab.c"
    break;

  case 672: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 8695 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 8701 "obj/conf/cf-parse.tab.c"
    break;

  case 674: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 8707 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 8713 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8721 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8729 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8737 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8746 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8755 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8766 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8777 "obj/conf/cf-parse.tab.c"
    break;

  case 693: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 8783 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 8789 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8798 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8807 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* $@1: %empty  */
#line 402 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8817 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* filter_def: FILTER symbol $@1 filter_body  */
#line 406 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8829 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* filter_eval: EVAL term  */
#line 417 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 8835 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 421 "filter/config.Y"
                                       {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8843 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* bt_test_suite: BT_TEST_SUITE '(' symbol_known ',' text ')'  */
#line 427 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8857 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bt_test_same: BT_TEST_SAME '(' symbol_known ',' symbol_known ',' NUM ')'  */
#line 440 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8873 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* type: INT  */
#line 454 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 8879 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* type: BOOL  */
#line 455 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 8885 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* type: IP  */
#line 456 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 8891 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* type: RD  */
#line 457 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 8897 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* type: PREFIX  */
#line 458 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 8903 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* type: PAIR  */
#line 459 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 8909 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* type: QUAD  */
#line 460 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 8915 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* type: EC  */
#line 461 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 8921 "obj/conf/cf-parse.tab.c"
    break;

  case 724: /* type: LC  */
#line 462 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 8927 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* type: STRING  */
#line 463 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 8933 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* type: BYTESTRING  */
#line 464 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 8939 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* type: BGPMASK  */
#line 465 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 8945 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* type: BGPPATH  */
#line 466 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 8951 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* type: CLIST  */
#line 467 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 8957 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* type: ECLIST  */
#line 468 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 8963 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* type: LCLIST  */
#line 469 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 8969 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* type: ROUTE  */
#line 470 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 8975 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* type: type SET  */
#line 471 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 9000 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* function_argsn: %empty  */
#line 494 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 9006 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* function_argsn: function_argsn type symbol ';'  */
#line 495 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9017 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* function_args: '(' ')'  */
#line 504 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 9023 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* function_args: '(' function_argsn type symbol ')'  */
#line 505 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9033 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* function_vars: %empty  */
#line 513 "filter/config.Y"
               { (yyval.i) = 0; }
#line 9039 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* function_vars: function_vars type symbol ';'  */
#line 514 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 9048 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* function_type: %empty  */
#line 521 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 9054 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* function_type: IMP type  */
#line 522 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 9060 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* filter: symbol_known  */
#line 528 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 9069 "obj/conf/cf-parse.tab.c"
    break;

  case 744: /* $@2: %empty  */
#line 532 "filter/config.Y"
   {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 9078 "obj/conf/cf-parse.tab.c"
    break;

  case 745: /* filter: $@2 filter_body  */
#line 535 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 9090 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* where_filter: WHERE term  */
#line 545 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 9099 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* function_body: function_vars '{' cmds '}'  */
#line 552 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 9108 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* $@3: %empty  */
#line 561 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 9118 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* $@4: %empty  */
#line 565 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 9140 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* function_def: FUNCTION symbol $@3 function_args function_type $@4 function_body  */
#line 581 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 9152 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* cmds: %empty  */
#line 592 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 9158 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* cmds: cmds_int  */
#line 593 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 9164 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* $@5: %empty  */
#line 596 "filter/config.Y"
             { cf_push_soft_scope(new_config); }
#line 9170 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* cmds_scoped: $@5 cmds  */
#line 596 "filter/config.Y"
                                                      { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 9176 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* cmd_prep: cmd_var  */
#line 600 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 9187 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* cmds_int: cmds_int cmd_prep  */
#line 609 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 9203 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* fipa: IP4  */
#line 626 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 9209 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* fipa: IP6  */
#line 627 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9215 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* set_atom: NUM  */
#line 640 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9221 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* set_atom: fipa  */
#line 641 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 9227 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* set_atom: VPN_RD  */
#line 642 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 9233 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* set_atom: ENUM  */
#line 643 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9239 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* set_atom: '(' term ')'  */
#line 644 "filter/config.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 9248 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* set_atom: symbol_known  */
#line 648 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9258 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* switch_atom: NUM  */
#line 656 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9264 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* switch_atom: '(' term ')'  */
#line 657 "filter/config.Y"
                { (yyval.v) = cf_eval((yyvsp[-1].x), T_INT); }
#line 9270 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* switch_atom: fipa  */
#line 658 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 9276 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* switch_atom: ENUM  */
#line 659 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9282 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* cnum: term  */
#line 663 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9288 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* pair_item: '(' cnum ',' cnum ')'  */
#line 666 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9294 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 667 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9300 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* pair_item: '(' cnum ',' '*' ')'  */
#line 668 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9306 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 669 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9312 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 670 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9318 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 671 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9324 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* pair_item: '(' '*' ',' cnum ')'  */
#line 672 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9330 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 673 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9336 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* pair_item: '(' '*' ',' '*' ')'  */
#line 674 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9342 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 676 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9348 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* ec_kind: RT  */
#line 680 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 9354 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* ec_kind: RO  */
#line 681 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 9360 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* ec_kind: UNKNOWN NUM  */
#line 682 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 9366 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* ec_kind: GENERIC  */
#line 683 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 9372 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 687 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9378 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 688 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9384 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 689 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9390 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 693 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9396 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 694 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9402 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 695 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9408 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 696 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9414 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 697 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9420 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 698 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9426 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 699 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9432 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 701 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9438 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* set_item: set_atom  */
#line 708 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9444 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* set_item: set_atom DDOT set_atom  */
#line 709 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9450 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* switch_item: switch_atom  */
#line 716 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9456 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* switch_item: switch_atom DDOT switch_atom  */
#line 717 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9462 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* ec_items: ec_items ',' ec_item  */
#line 722 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9468 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* set_items: set_items ',' set_item  */
#line 727 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9474 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* switch_items: switch_items ',' switch_item  */
#line 732 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9480 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* fprefix: net_ip_  */
#line 736 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9486 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* fprefix: net_ip_ '+'  */
#line 737 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9492 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* fprefix: net_ip_ '-'  */
#line 738 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9498 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 739 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9508 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* fprefix_set: fprefix  */
#line 747 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9514 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* fprefix_set: fprefix_set ',' fprefix  */
#line 748 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9520 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* switch_body: %empty  */
#line 751 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 9526 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 752 "filter/config.Y"
                                             {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9538 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 759 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9550 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_path_expr: symbol_value  */
#line 769 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 9556 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_path_expr: '(' term ')'  */
#line 770 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 9562 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_path: PO bgp_path_tail PC  */
#line 774 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 9568 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_path_tail: NUM bgp_path_tail  */
#line 778 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9574 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 779 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9580 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 780 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9586 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 781 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9595 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_path_tail: '*' bgp_path_tail  */
#line 785 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9601 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_path_tail: '?' bgp_path_tail  */
#line 786 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9607 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_path_tail: '+' bgp_path_tail  */
#line 787 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9613 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 788 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9619 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bgp_path_tail: %empty  */
#line 789 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 9625 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* constant: NUM  */
#line 793 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9631 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* constant: TRUE  */
#line 794 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9637 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* constant: FALSE  */
#line 795 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9643 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* constant: TEXT  */
#line 796 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9649 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* constant: BYTETEXT  */
#line 797 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9655 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* constant: fipa  */
#line 798 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9661 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* constant: VPN_RD  */
#line 799 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9667 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* constant: net_  */
#line 800 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9673 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* constant: '[' ']'  */
#line 801 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9679 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* constant: '[' set_items ']'  */
#line 802 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9689 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* constant: '[' fprefix_set ']'  */
#line 807 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9695 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* constant: ENUM  */
#line 808 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9701 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* constructor: '(' term ',' term ')'  */
#line 812 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9707 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 813 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9713 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* constructor: '(' term ',' term ',' term ')'  */
#line 814 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9719 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* constructor: bgp_path  */
#line 815 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9725 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* var_list_r: %empty  */
#line 821 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 9731 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* var_list_r: term  */
#line 822 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 9737 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* var_list_r: var_list_r ',' term  */
#line 823 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9743 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* var_list: var_list_r  */
#line 827 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9760 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* function_call: symbol_known '(' var_list ')'  */
#line 843 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9771 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* symbol_value: symbol_known  */
#line 852 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9791 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* static_attr: FROM  */
#line 870 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9797 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* static_attr: GW  */
#line 871 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9803 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* static_attr: NET  */
#line 872 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9809 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* static_attr: PROTO  */
#line 873 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9815 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* static_attr: SOURCE  */
#line 874 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9821 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* static_attr: SCOPE  */
#line 875 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9827 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* static_attr: DEST  */
#line 876 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9833 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* static_attr: IFNAME  */
#line 877 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9839 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* static_attr: IFINDEX  */
#line 878 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9845 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* static_attr: WEIGHT  */
#line 879 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9851 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* static_attr: PREFERENCE  */
#line 880 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9857 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* static_attr: GW_MPLS  */
#line 881 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9863 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* static_attr: GW_MPLS_STACK  */
#line 882 "filter/config.Y"
                 { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 9869 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* static_attr: ONLINK  */
#line 883 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9875 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* $@6: %empty  */
#line 886 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 9881 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* term_dot_method: term '.' $@6 method_name_cont  */
#line 886 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9887 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 888 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9895 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* $@7: %empty  */
#line 891 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 9903 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* method_name_cont: CF_SYM_METHOD_ARGS $@7 '(' var_list ')'  */
#line 893 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9911 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* method_name_cont: static_attr  */
#line 896 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9921 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* method_name_cont: dynamic_attr  */
#line 901 "filter/config.Y"
                {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9931 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* term: '(' term ')'  */
#line 909 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 9937 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* term: term '+' term  */
#line 910 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9943 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* term: term '-' term  */
#line 911 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9949 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* term: term '*' term  */
#line 912 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9955 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* term: term '/' term  */
#line 913 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9961 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* term: term AND term  */
#line 914 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9967 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* term: term OR term  */
#line 915 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9973 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* term: term '=' term  */
#line 916 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9979 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* term: term NEQ term  */
#line 917 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9985 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* term: term '<' term  */
#line 918 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9991 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* term: term LEQ term  */
#line 919 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9997 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* term: term '>' term  */
#line 920 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10003 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* term: term GEQ term  */
#line 921 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10009 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* term: term '~' term  */
#line 922 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10015 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* term: term NMA term  */
#line 923 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10021 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* term: '!' term  */
#line 924 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 10027 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* term: DEFINED '(' term ')'  */
#line 925 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 10033 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* term: symbol_value  */
#line 927 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 10039 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* term: constant  */
#line 928 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 10045 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* term: constructor  */
#line 929 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 10051 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* term: static_attr  */
#line 931 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 10057 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* term: dynamic_attr  */
#line 933 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 10063 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* term: '+' EMPTY '+'  */
#line 937 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 10069 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* term: '-' EMPTY '-'  */
#line 938 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 10075 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* term: '-' '-' EMPTY '-' '-'  */
#line 939 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 10081 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 940 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 10087 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* term: PREPEND '(' term ',' term ')'  */
#line 942 "filter/config.Y"
                                 { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10093 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* term: ADD '(' term ',' term ')'  */
#line 943 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10099 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* term: DELETE '(' term ',' term ')'  */
#line 944 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10105 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* term: FILTER '(' term ',' term ')'  */
#line 945 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10111 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* term: ROA_CHECK '(' rtable ')'  */
#line 947 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 10117 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 948 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10123 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* term: FORMAT '(' term ')'  */
#line 950 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 10129 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* term_bs: FROM_HEX '(' term ')'  */
#line 957 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 10135 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* break_command: ACCEPT  */
#line 961 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 10141 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* break_command: REJECT  */
#line 962 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 10147 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* break_command: ERROR  */
#line 963 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 10153 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* var: type symbol '=' term ';'  */
#line 967 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 10162 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* var: type symbol ';'  */
#line 971 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 10171 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* for_var: type symbol  */
#line 978 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 10177 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* for_var: CF_SYM_KNOWN  */
#line 979 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 10183 "obj/conf/cf-parse.tab.c"
    break;

  case 923: /* cmd: '{' cmds_scoped '}'  */
#line 983 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 10191 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* cmd: IF term THEN cmd  */
#line 986 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 10199 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* cmd: IF term THEN cmd ELSE cmd  */
#line 989 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 10207 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* $@8: %empty  */
#line 992 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 10217 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* $@9: %empty  */
#line 998 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 10223 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* $@10: %empty  */
#line 1000 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10229 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* cmd: FOR $@8 for_var IN $@9 term $@10 DO cmd  */
#line 1001 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10238 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* cmd: symbol_known '=' term ';'  */
#line 1005 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10255 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* cmd: RETURN term ';'  */
#line 1017 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10276 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* cmd: dynamic_attr '=' term ';'  */
#line 1033 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10284 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* cmd: static_attr '=' term ';'  */
#line 1036 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10294 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 1041 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10302 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* cmd: UNSET '(' symbol_known ')' ';'  */
#line 1044 "filter/config.Y"
                                  {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10316 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* cmd: break_command var_list_r ';'  */
#line 1053 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10324 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* cmd: PRINT var_list_r ';'  */
#line 1056 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10332 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* cmd: PRINTN var_list_r ';'  */
#line 1059 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10340 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* cmd: function_call ';'  */
#line 1062 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10346 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* cmd: CASE term '{' switch_body '}'  */
#line 1063 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10354 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* $@11: %empty  */
#line 1066 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10362 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* cmd: lvalue '.' $@11 method_name_cont ';'  */
#line 1068 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10371 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1072 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10377 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1073 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10383 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* get_cf_position: %empty  */
#line 1077 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 10391 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* lvalue: CF_SYM_KNOWN  */
#line 1082 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10409 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* lvalue: static_attr  */
#line 1095 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10415 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* lvalue: dynamic_attr  */
#line 1096 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10421 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* rtrid: ROUTER ID idval ';'  */
#line 166 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 10427 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 167 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 10433 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* idval: NUM  */
#line 171 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 10439 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* idval: '(' term ')'  */
#line 172 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10445 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* idval: IP4  */
#line 173 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10451 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* idval: CF_SYM_KNOWN  */
#line 174 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10464 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* hostname_override: HOSTNAME text ';'  */
#line 186 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 10470 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 190 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 10476 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* net_type_base: IPV4  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 10482 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* net_type_base: IPV6  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 10488 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* net_type_base: IPV6 SADR  */
#line 198 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 10494 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* net_type_base: VPN4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 10500 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* net_type_base: VPN6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 10506 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* net_type_base: ROA4  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 10512 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* net_type_base: ROA6  */
#line 202 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 10518 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* net_type_base: FLOW4  */
#line 203 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 10524 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* net_type_base: FLOW6  */
#line 204 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 10530 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* net_type: MPLS  */
#line 209 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 10536 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* table_start: net_type TABLE symbol  */
#line 221 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10544 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* table_sorted: SORTED  */
#line 228 "nest/config.Y"
          { this_table->sorted = 1; }
#line 10550 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* table_opt: SORTED bool  */
#line 232 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 10556 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* table_opt: DEBUG debug_mask  */
#line 233 "nest/config.Y"
                    { this_table->debug = (yyvsp[0].i); }
#line 10562 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* table_opt: TRIE bool  */
#line 234 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10572 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* table_opt: MIN SETTLE TIME expr_us  */
#line 239 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 10578 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* table_opt: MAX SETTLE TIME expr_us  */
#line 240 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 10584 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* table_opt: GC THRESHOLD expr  */
#line 241 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 10590 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* table_opt: GC PERIOD expr_us  */
#line 242 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10596 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* conf: proto  */
#line 258 "nest/config.Y"
            { proto_postconfig(); }
#line 10602 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* proto_start: PROTOCOL  */
#line 261 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 10608 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* proto_start: TEMPLATE  */
#line 262 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 10614 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* proto_name: %empty  */
#line 266 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10625 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* proto_name: symbol  */
#line 272 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10634 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* proto_name: FROM CF_SYM_KNOWN  */
#line 276 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10649 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 286 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10662 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* proto_item: DISABLED bool  */
#line 298 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 10668 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* proto_item: DEBUG debug_mask  */
#line 299 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 10674 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* proto_item: MRTDUMP mrtdump_mask  */
#line 300 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 10680 "obj/conf/cf-parse.tab.c"
    break;

  case 998: /* proto_item: ROUTER ID idval  */
#line 301 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 10686 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* proto_item: DESCRIPTION text  */
#line 302 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 10692 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* proto_item: VRF text  */
#line 303 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10698 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* proto_item: VRF DEFAULT  */
#line 304 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10704 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* channel_start: net_type_base  */
#line 309 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10712 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* channel_item_: TABLE rtable  */
#line 314 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10722 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* channel_item_: IMPORT imexport  */
#line 319 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 10728 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* channel_item_: EXPORT imexport  */
#line 320 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 10734 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 321 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10740 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 322 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 10746 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 323 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 10752 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* channel_item_: PREFERENCE expr  */
#line 324 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10758 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 325 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10764 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* channel_item_: RPKI RELOAD bool  */
#line 326 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10770 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* channel_item: DEBUG debug_mask  */
#line 332 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 10776 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* channel_end: %empty  */
#line 346 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10787 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* rtable: CF_SYM_KNOWN  */
#line 356 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10793 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* imexport: FILTER filter  */
#line 359 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 10799 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* imexport: ALL  */
#line 361 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 10805 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* imexport: NONE  */
#line 362 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 10811 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* limit_action: %empty  */
#line 366 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 10817 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* limit_action: ACTION WARN  */
#line 367 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 10823 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* limit_action: ACTION BLOCK  */
#line 368 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 10829 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* limit_action: ACTION RESTART  */
#line 369 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 10835 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* limit_action: ACTION DISABLE  */
#line 370 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 10841 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* limit_spec: expr limit_action  */
#line 374 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10847 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* limit_spec: OFF  */
#line 375 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 10853 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 382 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10859 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 383 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10865 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* debug_default: DEBUG TABLES debug_mask  */
#line 384 "nest/config.Y"
                           { new_config->table_default_debug = (yyvsp[0].i); }
#line 10871 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* debug_default: DEBUG COMMANDS expr  */
#line 385 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 10877 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* timeformat_which: ROUTE  */
#line 393 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 10883 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* timeformat_which: PROTOCOL  */
#line 394 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 10889 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* timeformat_which: BASE  */
#line 395 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 10895 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* timeformat_which: LOG  */
#line 396 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 10901 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* timeformat_spec: timeformat_which TEXT  */
#line 400 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10907 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 401 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10913 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 402 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 10919 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 403 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 10925 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 404 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 10931 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* timeformat_spec: timeformat_which ISO LONG  */
#line 405 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 10937 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 406 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 10943 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 407 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 10949 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* iface_patt_node_init: %empty  */
#line 418 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10959 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* iface_patt_node_body: TEXT  */
#line 426 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10965 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* iface_patt_node_body: opttext net_or_ipa  */
#line 427 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10971 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* iface_negate: %empty  */
#line 431 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 10977 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* iface_negate: '-'  */
#line 432 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 10983 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* iface_patt_list_nopx: iface_patt_list  */
#line 446 "nest/config.Y"
                                      { iface_patt_check(); }
#line 10989 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* iface_patt_init: %empty  */
#line 448 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10999 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* tos: CLASS expr  */
#line 460 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 11005 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* tos: DSCP expr  */
#line 461 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 11011 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* dev_proto_start: proto_start DIRECT  */
#line 468 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 11020 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 479 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 11026 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* dev_iface_init: %empty  */
#line 483 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 11036 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* debug_mask: ALL  */
#line 497 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11042 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* debug_mask: OFF  */
#line 498 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11048 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* debug_mask: '{' debug_list '}'  */
#line 499 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 11054 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* debug_list: debug_list ',' debug_flag  */
#line 504 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11060 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* debug_flag: STATES  */
#line 508 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 11066 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* debug_flag: ROUTES  */
#line 509 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 11072 "obj/conf/cf-parse.tab.c"
    break;

  case 1080: /* debug_flag: FILTERS  */
#line 510 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 11078 "obj/conf/cf-parse.tab.c"
    break;

  case 1081: /* debug_flag: INTERFACES  */
#line 511 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 11084 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* debug_flag: EVENTS  */
#line 512 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 11090 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* debug_flag: PACKETS  */
#line 513 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 11096 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* mrtdump_mask: ALL  */
#line 519 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11102 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* mrtdump_mask: OFF  */
#line 520 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11108 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 521 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 11114 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 526 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11120 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* mrtdump_flag: STATES  */
#line 530 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 11126 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* mrtdump_flag: MESSAGES  */
#line 531 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 11132 "obj/conf/cf-parse.tab.c"
    break;

  case 1100: /* password_item_begin: pass_key bytestring_text  */
#line 558 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 11145 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* password_item_params: %empty  */
#line 568 "nest/config.Y"
               { }
#line 11151 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 569 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 11157 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 570 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 11163 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 571 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 11169 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 572 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 11175 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* password_item_params: FROM time ';' password_item_params  */
#line 573 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 11181 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* password_item_params: TO time ';' password_item_params  */
#line 574 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 11187 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* password_item_params: ID expr ';' password_item_params  */
#line 575 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 11193 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 576 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 11199 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* password_algorithm: KEYED MD5  */
#line 580 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 11205 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* password_algorithm: KEYED SHA1  */
#line 581 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 11211 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* password_algorithm: KEYED SHA256  */
#line 582 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 11217 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* password_algorithm: KEYED SHA384  */
#line 583 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 11223 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* password_algorithm: KEYED SHA512  */
#line 584 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 11229 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* password_algorithm: HMAC MD5  */
#line 585 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 11235 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* password_algorithm: HMAC SHA1  */
#line 586 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 11241 "obj/conf/cf-parse.tab.c"
    break;

  case 1117: /* password_algorithm: HMAC SHA256  */
#line 587 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 11247 "obj/conf/cf-parse.tab.c"
    break;

  case 1118: /* password_algorithm: HMAC SHA384  */
#line 588 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 11253 "obj/conf/cf-parse.tab.c"
    break;

  case 1119: /* password_algorithm: HMAC SHA512  */
#line 589 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 11259 "obj/conf/cf-parse.tab.c"
    break;

  case 1120: /* password_algorithm: BLAKE2S128  */
#line 590 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 11265 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* password_algorithm: BLAKE2S256  */
#line 591 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 11271 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* password_algorithm: BLAKE2B256  */
#line 592 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 11277 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* password_algorithm: BLAKE2B512  */
#line 593 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 11283 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* password_item_end: %empty  */
#line 597 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 11291 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* bfd_item: INTERVAL expr_us  */
#line 605 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11297 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 606 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 11303 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 607 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11309 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 608 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 11315 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* bfd_item: MULTIPLIER expr  */
#line 609 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 11321 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* bfd_item: PASSIVE bool  */
#line 610 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 11327 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* bfd_item: GRACEFUL  */
#line 611 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 11333 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 627 "nest/config.Y"
{ cmd_show_status(); }
#line 11339 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 630 "nest/config.Y"
{ cmd_show_memory(); }
#line 11345 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 633 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11351 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 636 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11357 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* optproto: CF_SYM_KNOWN  */
#line 639 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11363 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* optproto: %empty  */
#line 640 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 11369 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 644 "nest/config.Y"
{ if_show(); }
#line 11375 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 647 "nest/config.Y"
{ if_show_summary(); }
#line 11381 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 651 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 11387 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* r_args: %empty  */
#line 671 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11398 "obj/conf/cf-parse.tab.c"
    break;

  case 1152: /* r_args: r_args net_any  */
#line 677 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11409 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* r_args: r_args FOR r_args_for  */
#line 683 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11420 "obj/conf/cf-parse.tab.c"
    break;

  case 1154: /* r_args: r_args IN net_any  */
#line 689 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11432 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* r_args: r_args TABLE symbol_known  */
#line 696 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11443 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* r_args: r_args TABLE ALL  */
#line 702 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11455 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 709 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11465 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 714 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11475 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* r_args: r_args FILTER filter  */
#line 719 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11485 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* r_args: r_args where_filter  */
#line 724 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11495 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* r_args: r_args ALL  */
#line 729 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11504 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* r_args: r_args PRIMARY  */
#line 733 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11513 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* r_args: r_args FILTERED  */
#line 737 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11522 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* r_args: r_args export_mode symbol_known  */
#line 741 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11537 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* r_args: r_args export_mode channel_arg  */
#line 751 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11549 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* r_args: r_args PROTOCOL symbol_known  */
#line 758 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11563 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* r_args: r_args STATS  */
#line 767 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11572 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* r_args: r_args COUNT  */
#line 771 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11581 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* r_args_for: r_args_for_val  */
#line 778 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11590 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* r_args_for: VPN_RD IP4  */
#line 785 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11599 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* r_args_for: VPN_RD IP6  */
#line 789 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11608 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* r_args_for: IP6 FROM IP6  */
#line 793 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11617 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* r_args_for: CF_SYM_KNOWN  */
#line 797 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11633 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* r_args_for_val: IP4  */
#line 813 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11639 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* r_args_for_val: IP6  */
#line 814 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11645 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* export_mode: PREEXPORT  */
#line 817 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 11651 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* export_mode: EXPORT  */
#line 818 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 11657 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* export_mode: NOEXPORT  */
#line 819 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 11663 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* export_mode: EXPORTED  */
#line 820 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 11669 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* channel_sym: IPV4  */
#line 825 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 11675 "obj/conf/cf-parse.tab.c"
    break;

  case 1186: /* channel_sym: IPV4_MC  */
#line 826 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 11681 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* channel_sym: IPV4_MPLS  */
#line 827 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 11687 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* channel_sym: IPV6  */
#line 828 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 11693 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* channel_sym: IPV6_MC  */
#line 829 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 11699 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* channel_sym: IPV6_MPLS  */
#line 830 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 11705 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* channel_sym: IPV6_SADR  */
#line 831 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 11711 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* channel_sym: VPN4  */
#line 832 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 11717 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* channel_sym: VPN4_MC  */
#line 833 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 11723 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* channel_sym: VPN4_MPLS  */
#line 834 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 11729 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* channel_sym: VPN6  */
#line 835 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 11735 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* channel_sym: VPN6_MC  */
#line 836 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 11741 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* channel_sym: VPN6_MPLS  */
#line 837 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 11747 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* channel_sym: ROA4  */
#line 838 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 11753 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* channel_sym: ROA6  */
#line 839 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 11759 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* channel_sym: FLOW4  */
#line 840 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 11765 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* channel_sym: FLOW6  */
#line 841 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 11771 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* channel_sym: MPLS  */
#line 842 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 11777 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* channel_sym: PRI  */
#line 843 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 11783 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* channel_sym: SEC  */
#line 844 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 11789 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 848 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11801 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 859 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 11807 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* sym_args: %empty  */
#line 868 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11815 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* sym_args: sym_args TABLE  */
#line 871 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11821 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* sym_args: sym_args FILTER  */
#line 872 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11827 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* sym_args: sym_args FUNCTION  */
#line 873 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11833 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* sym_args: sym_args PROTOCOL  */
#line 874 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11839 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* sym_args: sym_args TEMPLATE  */
#line 875 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11845 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 876 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11851 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 882 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 11857 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 884 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 11863 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 886 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 11869 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 888 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 11875 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 890 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 11881 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 892 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 11887 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 894 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 11893 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 896 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 11899 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 898 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 11905 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* cmd_EVAL: EVAL term END  */
#line 901 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11911 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 904 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11920 "obj/conf/cf-parse.tab.c"
    break;

  case 1237: /* echo_mask: ALL  */
#line 910 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11926 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* echo_mask: OFF  */
#line 911 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11932 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* echo_mask: '{' log_mask_list '}'  */
#line 912 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 11938 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* echo_size: %empty  */
#line 916 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 11944 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* echo_size: NUM  */
#line 917 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11953 "obj/conf/cf-parse.tab.c"
    break;

  case 1243: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 924 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11959 "obj/conf/cf-parse.tab.c"
    break;

  case 1245: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 926 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11965 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 928 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11971 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 930 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11977 "obj/conf/cf-parse.tab.c"
    break;

  case 1251: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 932 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11983 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 934 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11989 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* cmd_DEBUG: DEBUG debug_args END  */
#line 938 "nest/config.Y"
{ /* Done in debug_args */  }
#line 11995 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* debug_args: proto_patt debug_mask  */
#line 950 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 12001 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* debug_args: channel_arg debug_mask  */
#line 951 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 12007 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 956 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 12013 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* cmd_RESTRICT: RESTRICT END  */
#line 959 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 12019 "obj/conf/cf-parse.tab.c"
    break;

  case 1262: /* proto_patt: CF_SYM_KNOWN  */
#line 962 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12025 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* proto_patt: ALL  */
#line 963 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12031 "obj/conf/cf-parse.tab.c"
    break;

  case 1264: /* proto_patt: TEXT  */
#line 964 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12037 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* proto_patt2: CF_SYM_KNOWN  */
#line 968 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12043 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* proto_patt2: %empty  */
#line 969 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12049 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* proto_patt2: TEXT  */
#line 970 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12055 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* dynamic_attr: IGP_METRIC  */
#line 973 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 12061 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* dynamic_attr: MPLS_LABEL  */
#line 975 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 12067 "obj/conf/cf-parse.tab.c"
    break;

  case 1270: /* dynamic_attr: MPLS_POLICY  */
#line 976 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 12073 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* dynamic_attr: MPLS_CLASS  */
#line 977 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 12079 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 12085 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 12091 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* mpls_range_start: LABEL RANGE symbol  */
#line 57 "nest/mpls.Y"
{
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 12104 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* mpls_range_opt: START expr  */
#line 67 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 12110 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* mpls_range_opt: LENGTH expr  */
#line 68 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 12116 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* mpls_range_end: %empty  */
#line 82 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 12132 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* mpls_channel_start: MPLS  */
#line 98 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 12154 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* mpls_label_policy: STATIC  */
#line 117 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 12160 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* mpls_label_policy: PREFIX  */
#line 118 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 12166 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* mpls_label_policy: AGGREGATE  */
#line 119 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 12172 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* mpls_label_policy: VRF  */
#line 120 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 12178 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* mpls_channel_opt: DOMAIN symbol_known  */
#line 125 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 12184 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* mpls_channel_opt: LABEL RANGE symbol_known  */
#line 126 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 12190 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 127 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 12196 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 128 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 12202 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 129 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 12208 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* $@12: %empty  */
#line 142 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 12214 "obj/conf/cf-parse.tab.c"
    break;

  case 1308: /* show_mpls_ranges_args: %empty  */
#line 147 "nest/mpls.Y"
   {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 12225 "obj/conf/cf-parse.tab.c"
    break;

  case 1309: /* show_mpls_ranges_args: show_mpls_ranges_args symbol_known  */
#line 154 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12252 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 177 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12264 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 185 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12276 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 195 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12282 "obj/conf/cf-parse.tab.c"
    break;

  case 1315: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 32 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12294 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* aggregator_proto_item: PEER TABLE rtable  */
#line 43 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12300 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* aggregator_proto_item: AGGREGATE ON aggr_list  */
#line 44 "proto/aggregator/config.Y"
                          {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    _Bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12335 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* $@13: %empty  */
#line 74 "proto/aggregator/config.Y"
            {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12344 "obj/conf/cf-parse.tab.c"
    break;

  case 1321: /* aggregator_proto_item: MERGE BY $@13 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12354 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* aggr_list: aggr_list ',' aggr_item  */
#line 90 "proto/aggregator/config.Y"
                           {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12367 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* aggr_item: '(' term ')'  */
#line 101 "proto/aggregator/config.Y"
                {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12377 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* aggr_item: CF_SYM_KNOWN  */
#line 106 "proto/aggregator/config.Y"
                 {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12396 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* aggr_item: dynamic_attr  */
#line 120 "proto/aggregator/config.Y"
                 {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12406 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* aggr_item: static_attr  */
#line 125 "proto/aggregator/config.Y"
                {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12416 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* bfd_proto_start: proto_start BFD  */
#line 39 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12428 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* bfd_proto_item: STRICT BIND bool  */
#line 53 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12434 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* bfd_accept_item: IPV4  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12440 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* bfd_accept_item: IPV6  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12446 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* bfd_accept_item: DIRECT  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12452 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* bfd_accept_item: MULTIHOP  */
#line 69 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12458 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* bfd_accept: %empty  */
#line 73 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12467 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* bfd_iface_start: %empty  */
#line 81 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12484 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* bfd_iface_finish: %empty  */
#line 95 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12507 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* bfd_iface_item: INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12513 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12519 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12525 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 118 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12531 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* bfd_iface_item: MULTIPLIER expr  */
#line 119 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12537 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* bfd_iface_item: PASSIVE bool  */
#line 120 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12543 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 121 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12549 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* bfd_iface_item: password_list  */
#line 122 "proto/bfd/config.Y"
                 {}
#line 12555 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* bfd_auth_type: NONE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 12561 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* bfd_auth_type: SIMPLE  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12567 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* bfd_auth_type: KEYED MD5  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12573 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* bfd_auth_type: KEYED SHA1  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12579 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12585 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 131 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12591 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 149 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 12597 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* bfd_neigh_iface: %empty  */
#line 153 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 12603 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* bfd_neigh_iface: '%' symbol  */
#line 154 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12609 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* bfd_neigh_iface: DEV text  */
#line 155 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12615 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* bfd_neigh_local: %empty  */
#line 159 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 12621 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* bfd_neigh_local: LOCAL ipa  */
#line 160 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 12627 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* bfd_neigh_multihop: %empty  */
#line 164 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 12633 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 165 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 12639 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 169 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12659 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS bfd_show_sessions_args END  */
#line 190 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12665 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* bfd_show_sessions_args: %empty  */
#line 202 "proto/bfd/config.Y"
               { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12671 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* bfd_show_sessions_args: bfd_show_sessions_args CF_SYM_KNOWN  */
#line 203 "proto/bfd/config.Y"
                                       { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12677 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* bfd_show_sessions_args: bfd_show_sessions_args ADDRESS net_or_ipa  */
#line 204 "proto/bfd/config.Y"
                                             { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 12683 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* bfd_show_sessions_args: bfd_show_sessions_args INTERFACE text  */
#line 205 "proto/bfd/config.Y"
                                         { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12689 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* bfd_show_sessions_args: bfd_show_sessions_args DEV text  */
#line 206 "proto/bfd/config.Y"
                                   { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12695 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* bfd_show_sessions_args: bfd_show_sessions_args ALL  */
#line 207 "proto/bfd/config.Y"
                              { (yyval.bssc)->verbose = 1; }
#line 12701 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* bfd_show_sessions_args: bfd_show_sessions_args IPV4  */
#line 208 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12707 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* bfd_show_sessions_args: bfd_show_sessions_args IPV6  */
#line 209 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12713 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* bfd_show_sessions_args: bfd_show_sessions_args DIRECT  */
#line 210 "proto/bfd/config.Y"
                                 { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12719 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* bfd_show_sessions_args: bfd_show_sessions_args MULTIHOP  */
#line 211 "proto/bfd/config.Y"
                                   { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12725 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12735 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12741 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12764 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12832 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12838 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12844 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12850 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12856 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12862 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12868 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12874 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12880 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12886 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12892 "obj/conf/cf-parse.tab.c"
    break;

  case 1412: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12898 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12904 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12910 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12916 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12922 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12928 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12934 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12940 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12946 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12952 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12958 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12964 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12970 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12976 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* dynamic_attr: BABEL_METRIC  */
#line 187 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12982 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 192 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12988 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 195 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12994 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 198 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 13000 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 201 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 13006 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* bgp_proto_start: proto_start BGP  */
#line 50 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 13043 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 86 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13049 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 87 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 13055 "obj/conf/cf-parse.tab.c"
    break;

  case 1447: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 92 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13061 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 93 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 13067 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 94 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 13073 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 95 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 13079 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* bgp_cease_mask: bool  */
#line 100 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 13085 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 101 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 13091 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 106 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 13097 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* bgp_cease_flag: CEASE  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 13103 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 13109 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 13115 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 13121 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 13127 "obj/conf/cf-parse.tab.c"
    break;

  case 1460: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 13133 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 13139 "obj/conf/cf-parse.tab.c"
    break;

  case 1462: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 13145 "obj/conf/cf-parse.tab.c"
    break;

  case 1463: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 13151 "obj/conf/cf-parse.tab.c"
    break;

  case 1464: /* bgp_role_name: PEER  */
#line 122 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 13157 "obj/conf/cf-parse.tab.c"
    break;

  case 1465: /* bgp_role_name: PROVIDER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13163 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* bgp_role_name: CUSTOMER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13169 "obj/conf/cf-parse.tab.c"
    break;

  case 1467: /* bgp_role_name: RS_SERVER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13175 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* bgp_role_name: RS_CLIENT  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13181 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 135 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13190 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 140 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13201 "obj/conf/cf-parse.tab.c"
    break;

  case 1477: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 146 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13213 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 153 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13219 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 154 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1480: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13231 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13237 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 157 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13243 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 158 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13249 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13255 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13261 "obj/conf/cf-parse.tab.c"
    break;

  case 1486: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 161 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13267 "obj/conf/cf-parse.tab.c"
    break;

  case 1487: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 162 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 13273 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 163 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 13279 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 164 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13285 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 165 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13295 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 170 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13301 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13307 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 172 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13313 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13319 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13325 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13331 "obj/conf/cf-parse.tab.c"
    break;

  case 1497: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 176 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13337 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 177 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13343 "obj/conf/cf-parse.tab.c"
    break;

  case 1499: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 178 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13349 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 179 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13355 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 180 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13361 "obj/conf/cf-parse.tab.c"
    break;

  case 1502: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13367 "obj/conf/cf-parse.tab.c"
    break;

  case 1503: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13373 "obj/conf/cf-parse.tab.c"
    break;

  case 1504: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13379 "obj/conf/cf-parse.tab.c"
    break;

  case 1505: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13385 "obj/conf/cf-parse.tab.c"
    break;

  case 1506: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13391 "obj/conf/cf-parse.tab.c"
    break;

  case 1507: /* bgp_proto: bgp_proto SEND HOLD TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13397 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 187 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13403 "obj/conf/cf-parse.tab.c"
    break;

  case 1509: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 188 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13409 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 189 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13415 "obj/conf/cf-parse.tab.c"
    break;

  case 1511: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 190 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13421 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 191 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13427 "obj/conf/cf-parse.tab.c"
    break;

  case 1513: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 192 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13433 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 193 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13439 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13445 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 195 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13451 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* bgp_proto: bgp_proto REQUIRE ROUTE REFRESH bool ';'  */
#line 196 "proto/bgp/config.Y"
                                            { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13457 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* bgp_proto: bgp_proto REQUIRE ENHANCED ROUTE REFRESH bool ';'  */
#line 197 "proto/bgp/config.Y"
                                                     { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13463 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* bgp_proto: bgp_proto REQUIRE AS4 bool ';'  */
#line 198 "proto/bgp/config.Y"
                                  { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13469 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* bgp_proto: bgp_proto REQUIRE EXTENDED MESSAGES bool ';'  */
#line 199 "proto/bgp/config.Y"
                                                { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13475 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* bgp_proto: bgp_proto REQUIRE HOSTNAME bool ';'  */
#line 200 "proto/bgp/config.Y"
                                       { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13481 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* bgp_proto: bgp_proto REQUIRE GRACEFUL RESTART bool ';'  */
#line 201 "proto/bgp/config.Y"
                                               { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13487 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* bgp_proto: bgp_proto REQUIRE LONG LIVED GRACEFUL RESTART bool ';'  */
#line 202 "proto/bgp/config.Y"
                                                          { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13493 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 203 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13499 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 204 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 13505 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 205 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13511 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 206 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13517 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 207 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13523 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 208 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 13529 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 209 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13535 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 210 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13541 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 211 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13547 "obj/conf/cf-parse.tab.c"
    break;

  case 1533: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 212 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13553 "obj/conf/cf-parse.tab.c"
    break;

  case 1534: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 213 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13559 "obj/conf/cf-parse.tab.c"
    break;

  case 1535: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 214 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13565 "obj/conf/cf-parse.tab.c"
    break;

  case 1536: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 215 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13571 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 216 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13577 "obj/conf/cf-parse.tab.c"
    break;

  case 1538: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 217 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13583 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 218 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13589 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 219 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13595 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 220 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13601 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 221 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13607 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 222 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13613 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* $@14: %empty  */
#line 223 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 13619 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* $@15: %empty  */
#line 223 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 13625 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 224 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13631 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 225 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13637 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 226 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13643 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* bgp_proto: bgp_proto DISABLE RX bool ';'  */
#line 227 "proto/bgp/config.Y"
                                 { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13649 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* bgp_afi: IPV4  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 13655 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* bgp_afi: IPV6  */
#line 232 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 13661 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* bgp_afi: IPV4 MULTICAST  */
#line 233 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13667 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* bgp_afi: IPV6 MULTICAST  */
#line 234 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13673 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* bgp_afi: IPV4 MPLS  */
#line 235 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13679 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* bgp_afi: IPV6 MPLS  */
#line 236 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13685 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* bgp_afi: VPN4 MPLS  */
#line 237 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13691 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* bgp_afi: VPN6 MPLS  */
#line 238 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13697 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* bgp_afi: VPN4 MULTICAST  */
#line 239 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13703 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* bgp_afi: VPN6 MULTICAST  */
#line 240 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13709 "obj/conf/cf-parse.tab.c"
    break;

  case 1561: /* bgp_afi: FLOW4  */
#line 241 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 13715 "obj/conf/cf-parse.tab.c"
    break;

  case 1562: /* bgp_afi: FLOW6  */
#line 242 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 13721 "obj/conf/cf-parse.tab.c"
    break;

  case 1563: /* bgp_channel_start: bgp_afi  */
#line 246 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13749 "obj/conf/cf-parse.tab.c"
    break;

  case 1564: /* bgp_nh: bool  */
#line 271 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 13755 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* bgp_nh: IBGP  */
#line 272 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 13761 "obj/conf/cf-parse.tab.c"
    break;

  case 1566: /* bgp_nh: EBGP  */
#line 273 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 13767 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 279 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13773 "obj/conf/cf-parse.tab.c"
    break;

  case 1572: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 280 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13779 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 281 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13785 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 282 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13791 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* bgp_channel_item: MANDATORY bool  */
#line 283 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13797 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 284 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13803 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* bgp_channel_item: GATEWAY DIRECT  */
#line 285 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 13809 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 286 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13815 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* bgp_channel_item: SECONDARY bool  */
#line 287 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 13821 "obj/conf/cf-parse.tab.c"
    break;

  case 1580: /* bgp_channel_item: VALIDATE bool  */
#line 288 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13831 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 293 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13837 "obj/conf/cf-parse.tab.c"
    break;

  case 1582: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 294 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13843 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 295 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13849 "obj/conf/cf-parse.tab.c"
    break;

  case 1584: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 296 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13855 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* bgp_channel_item: REQUIRE EXTENDED NEXT HOP bool  */
#line 297 "proto/bgp/config.Y"
                                  { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 13861 "obj/conf/cf-parse.tab.c"
    break;

  case 1586: /* bgp_channel_item: ADD PATHS RX  */
#line 298 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13867 "obj/conf/cf-parse.tab.c"
    break;

  case 1587: /* bgp_channel_item: ADD PATHS TX  */
#line 299 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13873 "obj/conf/cf-parse.tab.c"
    break;

  case 1588: /* bgp_channel_item: ADD PATHS bool  */
#line 300 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13879 "obj/conf/cf-parse.tab.c"
    break;

  case 1589: /* bgp_channel_item: REQUIRE ADD PATHS bool  */
#line 301 "proto/bgp/config.Y"
                          { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 13885 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* bgp_channel_item: IMPORT TABLE bool  */
#line 302 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 13891 "obj/conf/cf-parse.tab.c"
    break;

  case 1591: /* bgp_channel_item: EXPORT TABLE bool  */
#line 303 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 13897 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* bgp_channel_item: AIGP bool  */
#line 304 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13903 "obj/conf/cf-parse.tab.c"
    break;

  case 1593: /* bgp_channel_item: AIGP ORIGINATE  */
#line 305 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13909 "obj/conf/cf-parse.tab.c"
    break;

  case 1594: /* bgp_channel_item: COST expr  */
#line 306 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13915 "obj/conf/cf-parse.tab.c"
    break;

  case 1595: /* bgp_channel_item: IGP TABLE rtable  */
#line 307 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13931 "obj/conf/cf-parse.tab.c"
    break;

  case 1596: /* bgp_channel_item: BASE TABLE rtable  */
#line 318 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13946 "obj/conf/cf-parse.tab.c"
    break;

  case 1601: /* bgp_channel_end: %empty  */
#line 341 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13957 "obj/conf/cf-parse.tab.c"
    break;

  case 1603: /* dynamic_attr: BGP_ORIGIN  */
#line 352 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13963 "obj/conf/cf-parse.tab.c"
    break;

  case 1604: /* dynamic_attr: BGP_PATH  */
#line 354 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13969 "obj/conf/cf-parse.tab.c"
    break;

  case 1605: /* dynamic_attr: BGP_NEXT_HOP  */
#line 356 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13975 "obj/conf/cf-parse.tab.c"
    break;

  case 1606: /* dynamic_attr: BGP_MED  */
#line 358 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13981 "obj/conf/cf-parse.tab.c"
    break;

  case 1607: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 360 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13987 "obj/conf/cf-parse.tab.c"
    break;

  case 1608: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 362 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 13993 "obj/conf/cf-parse.tab.c"
    break;

  case 1609: /* dynamic_attr: BGP_AGGREGATOR  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13999 "obj/conf/cf-parse.tab.c"
    break;

  case 1610: /* dynamic_attr: BGP_COMMUNITY  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14005 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 368 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14011 "obj/conf/cf-parse.tab.c"
    break;

  case 1612: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 370 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14017 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 372 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14023 "obj/conf/cf-parse.tab.c"
    break;

  case 1614: /* dynamic_attr: BGP_AIGP  */
#line 374 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14029 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 376 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14035 "obj/conf/cf-parse.tab.c"
    break;

  case 1616: /* dynamic_attr: BGP_OTC  */
#line 378 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14041 "obj/conf/cf-parse.tab.c"
    break;

  case 1617: /* custom_attr: ATTRIBUTE BGP expr type symbol ';'  */
#line 380 "proto/bgp/config.Y"
                                                {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 14059 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 14075 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 14083 "obj/conf/cf-parse.tab.c"
    break;

  case 1625: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14089 "obj/conf/cf-parse.tab.c"
    break;

  case 1626: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14095 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 14101 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14107 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14113 "obj/conf/cf-parse.tab.c"
    break;

  case 1633: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 14119 "obj/conf/cf-parse.tab.c"
    break;

  case 1634: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14125 "obj/conf/cf-parse.tab.c"
    break;

  case 1636: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14133 "obj/conf/cf-parse.tab.c"
    break;

  case 1638: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14139 "obj/conf/cf-parse.tab.c"
    break;

  case 1639: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14145 "obj/conf/cf-parse.tab.c"
    break;

  case 1640: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14151 "obj/conf/cf-parse.tab.c"
    break;

  case 1641: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14157 "obj/conf/cf-parse.tab.c"
    break;

  case 1642: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 14163 "obj/conf/cf-parse.tab.c"
    break;

  case 1643: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 14169 "obj/conf/cf-parse.tab.c"
    break;

  case 1644: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14175 "obj/conf/cf-parse.tab.c"
    break;

  case 1647: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 14181 "obj/conf/cf-parse.tab.c"
    break;

  case 1649: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 14187 "obj/conf/cf-parse.tab.c"
    break;

  case 1650: /* mrt_dump_args: %empty  */
#line 62 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14193 "obj/conf/cf-parse.tab.c"
    break;

  case 1651: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 63 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14199 "obj/conf/cf-parse.tab.c"
    break;

  case 1652: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 64 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14205 "obj/conf/cf-parse.tab.c"
    break;

  case 1653: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 65 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14211 "obj/conf/cf-parse.tab.c"
    break;

  case 1654: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 66 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14217 "obj/conf/cf-parse.tab.c"
    break;

  case 1655: /* mrt_dump_args: mrt_dump_args TO text  */
#line 67 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14223 "obj/conf/cf-parse.tab.c"
    break;

  case 1656: /* proto: ospf_proto '}'  */
#line 212 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 14229 "obj/conf/cf-parse.tab.c"
    break;

  case 1657: /* ospf_variant: OSPF  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14235 "obj/conf/cf-parse.tab.c"
    break;

  case 1658: /* ospf_variant: OSPF V2  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14241 "obj/conf/cf-parse.tab.c"
    break;

  case 1659: /* ospf_variant: OSPF V3  */
#line 217 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 14247 "obj/conf/cf-parse.tab.c"
    break;

  case 1660: /* ospf_proto_start: proto_start ospf_variant  */
#line 221 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14265 "obj/conf/cf-parse.tab.c"
    break;

  case 1663: /* ospf_af_mc: %empty  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14271 "obj/conf/cf-parse.tab.c"
    break;

  case 1664: /* ospf_af_mc: MULTICAST  */
#line 242 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 14277 "obj/conf/cf-parse.tab.c"
    break;

  case 1665: /* ospf_channel_start: net_type ospf_af_mc  */
#line 247 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14289 "obj/conf/cf-parse.tab.c"
    break;

  case 1668: /* ospf_proto_item: ospf_channel  */
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14295 "obj/conf/cf-parse.tab.c"
    break;

  case 1669: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14301 "obj/conf/cf-parse.tab.c"
    break;

  case 1670: /* ospf_proto_item: RFC5838 bool  */
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14307 "obj/conf/cf-parse.tab.c"
    break;

  case 1671: /* ospf_proto_item: VPN PE bool  */
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14313 "obj/conf/cf-parse.tab.c"
    break;

  case 1672: /* ospf_proto_item: STUB ROUTER bool  */
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14319 "obj/conf/cf-parse.tab.c"
    break;

  case 1673: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14325 "obj/conf/cf-parse.tab.c"
    break;

  case 1674: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14331 "obj/conf/cf-parse.tab.c"
    break;

  case 1675: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14337 "obj/conf/cf-parse.tab.c"
    break;

  case 1676: /* ospf_proto_item: ECMP bool  */
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14343 "obj/conf/cf-parse.tab.c"
    break;

  case 1677: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14349 "obj/conf/cf-parse.tab.c"
    break;

  case 1678: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14355 "obj/conf/cf-parse.tab.c"
    break;

  case 1679: /* ospf_proto_item: TICK expr  */
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14361 "obj/conf/cf-parse.tab.c"
    break;

  case 1680: /* ospf_proto_item: INSTANCE ID expr  */
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14367 "obj/conf/cf-parse.tab.c"
    break;

  case 1682: /* ospf_area_start: AREA idval  */
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14385 "obj/conf/cf-parse.tab.c"
    break;

  case 1683: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 14391 "obj/conf/cf-parse.tab.c"
    break;

  case 1686: /* ospf_area_item: STUB bool  */
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14397 "obj/conf/cf-parse.tab.c"
    break;

  case 1687: /* ospf_area_item: NSSA  */
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 14403 "obj/conf/cf-parse.tab.c"
    break;

  case 1688: /* ospf_area_item: SUMMARY bool  */
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 14409 "obj/conf/cf-parse.tab.c"
    break;

  case 1689: /* ospf_area_item: DEFAULT NSSA bool  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 14415 "obj/conf/cf-parse.tab.c"
    break;

  case 1690: /* ospf_area_item: DEFAULT COST expr  */
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14421 "obj/conf/cf-parse.tab.c"
    break;

  case 1691: /* ospf_area_item: DEFAULT COST2 expr  */
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14427 "obj/conf/cf-parse.tab.c"
    break;

  case 1692: /* ospf_area_item: STUB COST expr  */
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14433 "obj/conf/cf-parse.tab.c"
    break;

  case 1693: /* ospf_area_item: TRANSLATOR bool  */
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 14439 "obj/conf/cf-parse.tab.c"
    break;

  case 1694: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 14445 "obj/conf/cf-parse.tab.c"
    break;

  case 1695: /* $@16: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 14451 "obj/conf/cf-parse.tab.c"
    break;

  case 1697: /* $@17: %empty  */
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 14457 "obj/conf/cf-parse.tab.c"
    break;

  case 1704: /* ospf_stubnet_start: net_ip  */
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14468 "obj/conf/cf-parse.tab.c"
    break;

  case 1707: /* ospf_stubnet_item: HIDDEN bool  */
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 14474 "obj/conf/cf-parse.tab.c"
    break;

  case 1708: /* ospf_stubnet_item: SUMMARY bool  */
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 14480 "obj/conf/cf-parse.tab.c"
    break;

  case 1709: /* ospf_stubnet_item: COST expr  */
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 14486 "obj/conf/cf-parse.tab.c"
    break;

  case 1710: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 14492 "obj/conf/cf-parse.tab.c"
    break;

  case 1711: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 14498 "obj/conf/cf-parse.tab.c"
    break;

  case 1715: /* ospf_vlink_item: HELLO expr  */
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14504 "obj/conf/cf-parse.tab.c"
    break;

  case 1716: /* ospf_vlink_item: RETRANSMIT expr  */
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14510 "obj/conf/cf-parse.tab.c"
    break;

  case 1717: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14516 "obj/conf/cf-parse.tab.c"
    break;

  case 1718: /* ospf_vlink_item: WAIT expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14522 "obj/conf/cf-parse.tab.c"
    break;

  case 1719: /* ospf_vlink_item: DEAD expr  */
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14528 "obj/conf/cf-parse.tab.c"
    break;

  case 1720: /* ospf_vlink_item: DEAD COUNT expr  */
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14534 "obj/conf/cf-parse.tab.c"
    break;

  case 1721: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14540 "obj/conf/cf-parse.tab.c"
    break;

  case 1722: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14546 "obj/conf/cf-parse.tab.c"
    break;

  case 1723: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14552 "obj/conf/cf-parse.tab.c"
    break;

  case 1725: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14572 "obj/conf/cf-parse.tab.c"
    break;

  case 1726: /* ospf_iface_item: COST expr  */
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14578 "obj/conf/cf-parse.tab.c"
    break;

  case 1727: /* ospf_iface_item: HELLO expr  */
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14584 "obj/conf/cf-parse.tab.c"
    break;

  case 1728: /* ospf_iface_item: POLL expr  */
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14590 "obj/conf/cf-parse.tab.c"
    break;

  case 1729: /* ospf_iface_item: RETRANSMIT expr  */
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14596 "obj/conf/cf-parse.tab.c"
    break;

  case 1730: /* ospf_iface_item: WAIT expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14602 "obj/conf/cf-parse.tab.c"
    break;

  case 1731: /* ospf_iface_item: DEAD expr  */
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14608 "obj/conf/cf-parse.tab.c"
    break;

  case 1732: /* ospf_iface_item: DEAD COUNT expr  */
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14614 "obj/conf/cf-parse.tab.c"
    break;

  case 1733: /* ospf_iface_item: TYPE BROADCAST  */
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14620 "obj/conf/cf-parse.tab.c"
    break;

  case 1734: /* ospf_iface_item: TYPE BCAST  */
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14626 "obj/conf/cf-parse.tab.c"
    break;

  case 1735: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14632 "obj/conf/cf-parse.tab.c"
    break;

  case 1736: /* ospf_iface_item: TYPE NBMA  */
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14638 "obj/conf/cf-parse.tab.c"
    break;

  case 1737: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14644 "obj/conf/cf-parse.tab.c"
    break;

  case 1738: /* ospf_iface_item: TYPE PTP  */
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14650 "obj/conf/cf-parse.tab.c"
    break;

  case 1739: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14656 "obj/conf/cf-parse.tab.c"
    break;

  case 1740: /* ospf_iface_item: TYPE PTMP  */
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14662 "obj/conf/cf-parse.tab.c"
    break;

  case 1741: /* ospf_iface_item: REAL BROADCAST bool  */
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14668 "obj/conf/cf-parse.tab.c"
    break;

  case 1742: /* ospf_iface_item: PTP NETMASK bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14674 "obj/conf/cf-parse.tab.c"
    break;

  case 1743: /* ospf_iface_item: PTP ADDRESS bool  */
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14680 "obj/conf/cf-parse.tab.c"
    break;

  case 1744: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14686 "obj/conf/cf-parse.tab.c"
    break;

  case 1745: /* ospf_iface_item: PRIORITY expr  */
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14692 "obj/conf/cf-parse.tab.c"
    break;

  case 1746: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14698 "obj/conf/cf-parse.tab.c"
    break;

  case 1747: /* ospf_iface_item: STUB bool  */
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14704 "obj/conf/cf-parse.tab.c"
    break;

  case 1748: /* ospf_iface_item: CHECK LINK bool  */
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14710 "obj/conf/cf-parse.tab.c"
    break;

  case 1749: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14716 "obj/conf/cf-parse.tab.c"
    break;

  case 1750: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14722 "obj/conf/cf-parse.tab.c"
    break;

  case 1752: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14728 "obj/conf/cf-parse.tab.c"
    break;

  case 1753: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14734 "obj/conf/cf-parse.tab.c"
    break;

  case 1754: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14740 "obj/conf/cf-parse.tab.c"
    break;

  case 1755: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 14746 "obj/conf/cf-parse.tab.c"
    break;

  case 1756: /* ospf_iface_item: RX BUFFER LARGE  */
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14752 "obj/conf/cf-parse.tab.c"
    break;

  case 1757: /* ospf_iface_item: RX BUFFER expr  */
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14758 "obj/conf/cf-parse.tab.c"
    break;

  case 1758: /* ospf_iface_item: TX tos  */
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14764 "obj/conf/cf-parse.tab.c"
    break;

  case 1759: /* ospf_iface_item: TX PRIORITY expr  */
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14770 "obj/conf/cf-parse.tab.c"
    break;

  case 1760: /* ospf_iface_item: TX LENGTH expr  */
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14776 "obj/conf/cf-parse.tab.c"
    break;

  case 1761: /* ospf_iface_item: TTL SECURITY bool  */
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14782 "obj/conf/cf-parse.tab.c"
    break;

  case 1762: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 14788 "obj/conf/cf-parse.tab.c"
    break;

  case 1763: /* ospf_iface_item: BFD bool  */
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14794 "obj/conf/cf-parse.tab.c"
    break;

  case 1768: /* pref_base: net_ip  */
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14804 "obj/conf/cf-parse.tab.c"
    break;

  case 1770: /* pref_opt: HIDDEN  */
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 14810 "obj/conf/cf-parse.tab.c"
    break;

  case 1771: /* pref_opt: TAG expr  */
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 14816 "obj/conf/cf-parse.tab.c"
    break;

  case 1774: /* nbma_eligible: %empty  */
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14822 "obj/conf/cf-parse.tab.c"
    break;

  case 1775: /* nbma_eligible: ELIGIBLE  */
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 14828 "obj/conf/cf-parse.tab.c"
    break;

  case 1776: /* nbma_item: ipa nbma_eligible ';'  */
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14839 "obj/conf/cf-parse.tab.c"
    break;

  case 1777: /* ospf_iface_start: %empty  */
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14864 "obj/conf/cf-parse.tab.c"
    break;

  case 1779: /* ospf_instance_id: INSTANCE expr  */
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14870 "obj/conf/cf-parse.tab.c"
    break;

  case 1780: /* $@18: %empty  */
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14876 "obj/conf/cf-parse.tab.c"
    break;

  case 1786: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 14882 "obj/conf/cf-parse.tab.c"
    break;

  case 1787: /* dynamic_attr: OSPF_METRIC1  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14888 "obj/conf/cf-parse.tab.c"
    break;

  case 1788: /* dynamic_attr: OSPF_METRIC2  */
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14894 "obj/conf/cf-parse.tab.c"
    break;

  case 1789: /* dynamic_attr: OSPF_TAG  */
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14900 "obj/conf/cf-parse.tab.c"
    break;

  case 1790: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14906 "obj/conf/cf-parse.tab.c"
    break;

  case 1792: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14912 "obj/conf/cf-parse.tab.c"
    break;

  case 1794: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14918 "obj/conf/cf-parse.tab.c"
    break;

  case 1796: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14924 "obj/conf/cf-parse.tab.c"
    break;

  case 1798: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14930 "obj/conf/cf-parse.tab.c"
    break;

  case 1800: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14936 "obj/conf/cf-parse.tab.c"
    break;

  case 1802: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14942 "obj/conf/cf-parse.tab.c"
    break;

  case 1804: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14948 "obj/conf/cf-parse.tab.c"
    break;

  case 1806: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14959 "obj/conf/cf-parse.tab.c"
    break;

  case 1807: /* lsadb_args: %empty  */
#line 558 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14967 "obj/conf/cf-parse.tab.c"
    break;

  case 1808: /* lsadb_args: lsadb_args GLOBAL  */
#line 561 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14973 "obj/conf/cf-parse.tab.c"
    break;

  case 1809: /* lsadb_args: lsadb_args AREA idval  */
#line 562 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14979 "obj/conf/cf-parse.tab.c"
    break;

  case 1810: /* lsadb_args: lsadb_args LINK  */
#line 563 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14985 "obj/conf/cf-parse.tab.c"
    break;

  case 1811: /* lsadb_args: lsadb_args TYPE NUM  */
#line 564 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14991 "obj/conf/cf-parse.tab.c"
    break;

  case 1812: /* lsadb_args: lsadb_args LSID idval  */
#line 565 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14997 "obj/conf/cf-parse.tab.c"
    break;

  case 1813: /* lsadb_args: lsadb_args SELF  */
#line 566 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 15003 "obj/conf/cf-parse.tab.c"
    break;

  case 1814: /* lsadb_args: lsadb_args ROUTER idval  */
#line 567 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 15009 "obj/conf/cf-parse.tab.c"
    break;

  case 1815: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 568 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 15015 "obj/conf/cf-parse.tab.c"
    break;

  case 1817: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 15031 "obj/conf/cf-parse.tab.c"
    break;

  case 1821: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15037 "obj/conf/cf-parse.tab.c"
    break;

  case 1822: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 15043 "obj/conf/cf-parse.tab.c"
    break;

  case 1823: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 15049 "obj/conf/cf-parse.tab.c"
    break;

  case 1824: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 15055 "obj/conf/cf-parse.tab.c"
    break;

  case 1825: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 15061 "obj/conf/cf-parse.tab.c"
    break;

  case 1826: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 15067 "obj/conf/cf-parse.tab.c"
    break;

  case 1827: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 15073 "obj/conf/cf-parse.tab.c"
    break;

  case 1828: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 15079 "obj/conf/cf-parse.tab.c"
    break;

  case 1829: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 15085 "obj/conf/cf-parse.tab.c"
    break;

  case 1830: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 15091 "obj/conf/cf-parse.tab.c"
    break;

  case 1831: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 15097 "obj/conf/cf-parse.tab.c"
    break;

  case 1832: /* $@19: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 15105 "obj/conf/cf-parse.tab.c"
    break;

  case 1833: /* pipe_proto_start: proto_start PIPE $@19 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 15118 "obj/conf/cf-parse.tab.c"
    break;

  case 1837: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15124 "obj/conf/cf-parse.tab.c"
    break;

  case 1839: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15139 "obj/conf/cf-parse.tab.c"
    break;

  case 1843: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15145 "obj/conf/cf-parse.tab.c"
    break;

  case 1844: /* $@20: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15151 "obj/conf/cf-parse.tab.c"
    break;

  case 1845: /* radv_proto_item: RDNSS $@20 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15157 "obj/conf/cf-parse.tab.c"
    break;

  case 1846: /* $@21: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15163 "obj/conf/cf-parse.tab.c"
    break;

  case 1847: /* radv_proto_item: DNSSL $@21 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15169 "obj/conf/cf-parse.tab.c"
    break;

  case 1848: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15175 "obj/conf/cf-parse.tab.c"
    break;

  case 1849: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15181 "obj/conf/cf-parse.tab.c"
    break;

  case 1850: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15187 "obj/conf/cf-parse.tab.c"
    break;

  case 1854: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15214 "obj/conf/cf-parse.tab.c"
    break;

  case 1855: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15220 "obj/conf/cf-parse.tab.c"
    break;

  case 1856: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15226 "obj/conf/cf-parse.tab.c"
    break;

  case 1857: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15232 "obj/conf/cf-parse.tab.c"
    break;

  case 1858: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15238 "obj/conf/cf-parse.tab.c"
    break;

  case 1859: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15244 "obj/conf/cf-parse.tab.c"
    break;

  case 1860: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15250 "obj/conf/cf-parse.tab.c"
    break;

  case 1861: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15256 "obj/conf/cf-parse.tab.c"
    break;

  case 1862: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15262 "obj/conf/cf-parse.tab.c"
    break;

  case 1863: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15268 "obj/conf/cf-parse.tab.c"
    break;

  case 1864: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15274 "obj/conf/cf-parse.tab.c"
    break;

  case 1865: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15284 "obj/conf/cf-parse.tab.c"
    break;

  case 1866: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15293 "obj/conf/cf-parse.tab.c"
    break;

  case 1867: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15299 "obj/conf/cf-parse.tab.c"
    break;

  case 1868: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15305 "obj/conf/cf-parse.tab.c"
    break;

  case 1869: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15311 "obj/conf/cf-parse.tab.c"
    break;

  case 1870: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15317 "obj/conf/cf-parse.tab.c"
    break;

  case 1871: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15323 "obj/conf/cf-parse.tab.c"
    break;

  case 1872: /* $@22: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15329 "obj/conf/cf-parse.tab.c"
    break;

  case 1873: /* radv_iface_item: RDNSS $@22 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15335 "obj/conf/cf-parse.tab.c"
    break;

  case 1874: /* $@23: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15341 "obj/conf/cf-parse.tab.c"
    break;

  case 1875: /* radv_iface_item: DNSSL $@23 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15347 "obj/conf/cf-parse.tab.c"
    break;

  case 1876: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15353 "obj/conf/cf-parse.tab.c"
    break;

  case 1877: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15359 "obj/conf/cf-parse.tab.c"
    break;

  case 1878: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15365 "obj/conf/cf-parse.tab.c"
    break;

  case 1879: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15371 "obj/conf/cf-parse.tab.c"
    break;

  case 1880: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 15377 "obj/conf/cf-parse.tab.c"
    break;

  case 1881: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 15383 "obj/conf/cf-parse.tab.c"
    break;

  case 1882: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 15389 "obj/conf/cf-parse.tab.c"
    break;

  case 1883: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15430 "obj/conf/cf-parse.tab.c"
    break;

  case 1889: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15444 "obj/conf/cf-parse.tab.c"
    break;

  case 1890: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15450 "obj/conf/cf-parse.tab.c"
    break;

  case 1891: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15456 "obj/conf/cf-parse.tab.c"
    break;

  case 1892: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15462 "obj/conf/cf-parse.tab.c"
    break;

  case 1893: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15471 "obj/conf/cf-parse.tab.c"
    break;

  case 1894: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15480 "obj/conf/cf-parse.tab.c"
    break;

  case 1895: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15492 "obj/conf/cf-parse.tab.c"
    break;

  case 1901: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15504 "obj/conf/cf-parse.tab.c"
    break;

  case 1902: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15513 "obj/conf/cf-parse.tab.c"
    break;

  case 1905: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15519 "obj/conf/cf-parse.tab.c"
    break;

  case 1906: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15535 "obj/conf/cf-parse.tab.c"
    break;

  case 1911: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15550 "obj/conf/cf-parse.tab.c"
    break;

  case 1912: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15559 "obj/conf/cf-parse.tab.c"
    break;

  case 1915: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15565 "obj/conf/cf-parse.tab.c"
    break;

  case 1916: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15581 "obj/conf/cf-parse.tab.c"
    break;

  case 1921: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15587 "obj/conf/cf-parse.tab.c"
    break;

  case 1922: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15593 "obj/conf/cf-parse.tab.c"
    break;

  case 1923: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 15599 "obj/conf/cf-parse.tab.c"
    break;

  case 1924: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 15605 "obj/conf/cf-parse.tab.c"
    break;

  case 1925: /* dynamic_attr: RA_PREFERENCE  */
#line 353 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15611 "obj/conf/cf-parse.tab.c"
    break;

  case 1926: /* dynamic_attr: RA_LIFETIME  */
#line 354 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15617 "obj/conf/cf-parse.tab.c"
    break;

  case 1928: /* rip_variant: RIP  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 15623 "obj/conf/cf-parse.tab.c"
    break;

  case 1929: /* rip_variant: RIP NG  */
#line 51 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 15629 "obj/conf/cf-parse.tab.c"
    break;

  case 1930: /* rip_proto_start: proto_start rip_variant  */
#line 55 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15645 "obj/conf/cf-parse.tab.c"
    break;

  case 1933: /* rip_proto_item: ECMP bool  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15651 "obj/conf/cf-parse.tab.c"
    break;

  case 1934: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15657 "obj/conf/cf-parse.tab.c"
    break;

  case 1935: /* rip_proto_item: INFINITY expr  */
#line 72 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15663 "obj/conf/cf-parse.tab.c"
    break;

  case 1940: /* rip_iface_start: %empty  */
#line 86 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15691 "obj/conf/cf-parse.tab.c"
    break;

  case 1941: /* rip_iface_finish: %empty  */
#line 111 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15724 "obj/conf/cf-parse.tab.c"
    break;

  case 1942: /* rip_iface_item: METRIC expr  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15730 "obj/conf/cf-parse.tab.c"
    break;

  case 1943: /* rip_iface_item: MODE MULTICAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15736 "obj/conf/cf-parse.tab.c"
    break;

  case 1944: /* rip_iface_item: MODE BROADCAST  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15742 "obj/conf/cf-parse.tab.c"
    break;

  case 1945: /* rip_iface_item: PASSIVE bool  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15748 "obj/conf/cf-parse.tab.c"
    break;

  case 1946: /* rip_iface_item: ADDRESS ipa  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15754 "obj/conf/cf-parse.tab.c"
    break;

  case 1947: /* rip_iface_item: PORT expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15760 "obj/conf/cf-parse.tab.c"
    break;

  case 1948: /* rip_iface_item: VERSION expr  */
#line 147 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15769 "obj/conf/cf-parse.tab.c"
    break;

  case 1949: /* rip_iface_item: VERSION ONLY bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15775 "obj/conf/cf-parse.tab.c"
    break;

  case 1950: /* rip_iface_item: SPLIT HORIZON bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15781 "obj/conf/cf-parse.tab.c"
    break;

  case 1951: /* rip_iface_item: POISON REVERSE bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15787 "obj/conf/cf-parse.tab.c"
    break;

  case 1952: /* rip_iface_item: CHECK ZERO bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15793 "obj/conf/cf-parse.tab.c"
    break;

  case 1953: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15799 "obj/conf/cf-parse.tab.c"
    break;

  case 1954: /* rip_iface_item: UPDATE TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15805 "obj/conf/cf-parse.tab.c"
    break;

  case 1955: /* rip_iface_item: TIMEOUT TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15811 "obj/conf/cf-parse.tab.c"
    break;

  case 1956: /* rip_iface_item: GARBAGE TIME expr  */
#line 158 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15817 "obj/conf/cf-parse.tab.c"
    break;

  case 1957: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 159 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15823 "obj/conf/cf-parse.tab.c"
    break;

  case 1958: /* rip_iface_item: ECMP WEIGHT expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15829 "obj/conf/cf-parse.tab.c"
    break;

  case 1959: /* rip_iface_item: RX BUFFER expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15835 "obj/conf/cf-parse.tab.c"
    break;

  case 1960: /* rip_iface_item: TX LENGTH expr  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15841 "obj/conf/cf-parse.tab.c"
    break;

  case 1961: /* rip_iface_item: TX tos  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15847 "obj/conf/cf-parse.tab.c"
    break;

  case 1962: /* rip_iface_item: TX PRIORITY expr  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15853 "obj/conf/cf-parse.tab.c"
    break;

  case 1963: /* rip_iface_item: TTL SECURITY bool  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15859 "obj/conf/cf-parse.tab.c"
    break;

  case 1964: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 15865 "obj/conf/cf-parse.tab.c"
    break;

  case 1965: /* rip_iface_item: CHECK LINK bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15871 "obj/conf/cf-parse.tab.c"
    break;

  case 1966: /* rip_iface_item: BFD bool  */
#line 168 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15877 "obj/conf/cf-parse.tab.c"
    break;

  case 1967: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 169 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15883 "obj/conf/cf-parse.tab.c"
    break;

  case 1968: /* rip_iface_item: password_list  */
#line 170 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 15889 "obj/conf/cf-parse.tab.c"
    break;

  case 1969: /* rip_auth: NONE  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 15895 "obj/conf/cf-parse.tab.c"
    break;

  case 1970: /* rip_auth: PLAINTEXT  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15901 "obj/conf/cf-parse.tab.c"
    break;

  case 1971: /* rip_auth: CRYPTOGRAPHIC  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15907 "obj/conf/cf-parse.tab.c"
    break;

  case 1972: /* rip_auth: MD5  */
#line 177 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15913 "obj/conf/cf-parse.tab.c"
    break;

  case 1978: /* dynamic_attr: RIP_METRIC  */
#line 194 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15919 "obj/conf/cf-parse.tab.c"
    break;

  case 1979: /* dynamic_attr: RIP_TAG  */
#line 195 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15925 "obj/conf/cf-parse.tab.c"
    break;

  case 1981: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 200 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15931 "obj/conf/cf-parse.tab.c"
    break;

  case 1983: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 203 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15937 "obj/conf/cf-parse.tab.c"
    break;

  case 1985: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 15948 "obj/conf/cf-parse.tab.c"
    break;

  case 1986: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 15954 "obj/conf/cf-parse.tab.c"
    break;

  case 1994: /* rpki_proto_item: LOCAL ADDRESS ipa  */
#line 63 "proto/rpki/config.Y"
                     { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 15960 "obj/conf/cf-parse.tab.c"
    break;

  case 1996: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 65 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15971 "obj/conf/cf-parse.tab.c"
    break;

  case 1997: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 71 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15982 "obj/conf/cf-parse.tab.c"
    break;

  case 1998: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 77 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15993 "obj/conf/cf-parse.tab.c"
    break;

  case 1999: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 83 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15999 "obj/conf/cf-parse.tab.c"
    break;

  case 2000: /* rpki_keep_interval: %empty  */
#line 87 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 16005 "obj/conf/cf-parse.tab.c"
    break;

  case 2001: /* rpki_keep_interval: KEEP  */
#line 88 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 16011 "obj/conf/cf-parse.tab.c"
    break;

  case 2002: /* rpki_proto_item_port: PORT expr  */
#line 91 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 16017 "obj/conf/cf-parse.tab.c"
    break;

  case 2003: /* rpki_cache_addr: text_or_ipa  */
#line 94 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 16037 "obj/conf/cf-parse.tab.c"
    break;

  case 2006: /* rpki_transport_tcp_init: %empty  */
#line 116 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 16047 "obj/conf/cf-parse.tab.c"
    break;

  case 2007: /* rpki_transport_ssh_init: %empty  */
#line 123 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 16061 "obj/conf/cf-parse.tab.c"
    break;

  case 2010: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 139 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 16067 "obj/conf/cf-parse.tab.c"
    break;

  case 2011: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 140 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 16073 "obj/conf/cf-parse.tab.c"
    break;

  case 2012: /* rpki_transport_ssh_item: USER text  */
#line 141 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16079 "obj/conf/cf-parse.tab.c"
    break;

  case 2013: /* rpki_transport_ssh_check: %empty  */
#line 145 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16088 "obj/conf/cf-parse.tab.c"
    break;

  case 2015: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16097 "obj/conf/cf-parse.tab.c"
    break;

  case 2018: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16103 "obj/conf/cf-parse.tab.c"
    break;

  case 2020: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 67 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16109 "obj/conf/cf-parse.tab.c"
    break;

  case 2021: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 68 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16122 "obj/conf/cf-parse.tab.c"
    break;

  case 2022: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 76 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 16128 "obj/conf/cf-parse.tab.c"
    break;

  case 2023: /* stat_nexthop: VIA ipa ipa_scope  */
#line 80 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16138 "obj/conf/cf-parse.tab.c"
    break;

  case 2024: /* stat_nexthop: VIA TEXT  */
#line 85 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16148 "obj/conf/cf-parse.tab.c"
    break;

  case 2025: /* stat_nexthop: stat_nexthop DEV TEXT  */
#line 90 "proto/static/config.Y"
                          {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16156 "obj/conf/cf-parse.tab.c"
    break;

  case 2026: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 93 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16164 "obj/conf/cf-parse.tab.c"
    break;

  case 2027: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 96 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 16172 "obj/conf/cf-parse.tab.c"
    break;

  case 2028: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 99 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16181 "obj/conf/cf-parse.tab.c"
    break;

  case 2029: /* stat_nexthop: stat_nexthop BFD bool  */
#line 103 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 16189 "obj/conf/cf-parse.tab.c"
    break;

  case 2033: /* stat_mpls: MPLS expr  */
#line 115 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16195 "obj/conf/cf-parse.tab.c"
    break;

  case 2034: /* $@24: %empty  */
#line 118 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16210 "obj/conf/cf-parse.tab.c"
    break;

  case 2037: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 132 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16219 "obj/conf/cf-parse.tab.c"
    break;

  case 2038: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 136 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16229 "obj/conf/cf-parse.tab.c"
    break;

  case 2039: /* stat_route: stat_route0  */
#line 141 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 16235 "obj/conf/cf-parse.tab.c"
    break;

  case 2040: /* stat_route: stat_route0 DROP  */
#line 142 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16241 "obj/conf/cf-parse.tab.c"
    break;

  case 2041: /* stat_route: stat_route0 REJECT  */
#line 143 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16247 "obj/conf/cf-parse.tab.c"
    break;

  case 2042: /* stat_route: stat_route0 BLACKHOLE  */
#line 144 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16253 "obj/conf/cf-parse.tab.c"
    break;

  case 2043: /* stat_route: stat_route0 UNREACHABLE  */
#line 145 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16259 "obj/conf/cf-parse.tab.c"
    break;

  case 2044: /* stat_route: stat_route0 PROHIBIT  */
#line 146 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 16265 "obj/conf/cf-parse.tab.c"
    break;

  case 2045: /* stat_route_item: cmd  */
#line 150 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16277 "obj/conf/cf-parse.tab.c"
    break;

  case 2051: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 171 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16283 "obj/conf/cf-parse.tab.c"
    break;

  case 2053: /* kern_sys_item: KERNEL TABLE expr  */
#line 34 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16289 "obj/conf/cf-parse.tab.c"
    break;

  case 2054: /* kern_sys_item: METRIC expr  */
#line 35 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16295 "obj/conf/cf-parse.tab.c"
    break;

  case 2055: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 36 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16301 "obj/conf/cf-parse.tab.c"
    break;

  case 2056: /* dynamic_attr: KRT_PREFSRC  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16307 "obj/conf/cf-parse.tab.c"
    break;

  case 2057: /* dynamic_attr: KRT_REALM  */
#line 40 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16313 "obj/conf/cf-parse.tab.c"
    break;

  case 2058: /* dynamic_attr: KRT_SCOPE  */
#line 41 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16319 "obj/conf/cf-parse.tab.c"
    break;

  case 2059: /* dynamic_attr: KRT_MTU  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16325 "obj/conf/cf-parse.tab.c"
    break;

  case 2060: /* dynamic_attr: KRT_WINDOW  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16331 "obj/conf/cf-parse.tab.c"
    break;

  case 2061: /* dynamic_attr: KRT_RTT  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16337 "obj/conf/cf-parse.tab.c"
    break;

  case 2062: /* dynamic_attr: KRT_RTTVAR  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16343 "obj/conf/cf-parse.tab.c"
    break;

  case 2063: /* dynamic_attr: KRT_SSTHRESH  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16349 "obj/conf/cf-parse.tab.c"
    break;

  case 2064: /* dynamic_attr: KRT_SSTRESH  */
#line 48 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16356 "obj/conf/cf-parse.tab.c"
    break;

  case 2065: /* dynamic_attr: KRT_CWND  */
#line 50 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16362 "obj/conf/cf-parse.tab.c"
    break;

  case 2066: /* dynamic_attr: KRT_ADVMSS  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16368 "obj/conf/cf-parse.tab.c"
    break;

  case 2067: /* dynamic_attr: KRT_REORDERING  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16374 "obj/conf/cf-parse.tab.c"
    break;

  case 2068: /* dynamic_attr: KRT_HOPLIMIT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16380 "obj/conf/cf-parse.tab.c"
    break;

  case 2069: /* dynamic_attr: KRT_INITCWND  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16386 "obj/conf/cf-parse.tab.c"
    break;

  case 2070: /* dynamic_attr: KRT_RTO_MIN  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16392 "obj/conf/cf-parse.tab.c"
    break;

  case 2071: /* dynamic_attr: KRT_INITRWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16398 "obj/conf/cf-parse.tab.c"
    break;

  case 2072: /* dynamic_attr: KRT_QUICKACK  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16404 "obj/conf/cf-parse.tab.c"
    break;

  case 2073: /* dynamic_attr: KRT_CONGCTL  */
#line 58 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16410 "obj/conf/cf-parse.tab.c"
    break;

  case 2074: /* dynamic_attr: KRT_FASTOPEN_NO_COOKIE  */
#line 59 "sysdep/linux/netlink.Y"
                                     { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16416 "obj/conf/cf-parse.tab.c"
    break;

  case 2075: /* dynamic_attr: KRT_LOCK_MTU  */
#line 63 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16422 "obj/conf/cf-parse.tab.c"
    break;

  case 2076: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 64 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16428 "obj/conf/cf-parse.tab.c"
    break;

  case 2077: /* dynamic_attr: KRT_LOCK_RTT  */
#line 65 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16434 "obj/conf/cf-parse.tab.c"
    break;

  case 2078: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 66 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16440 "obj/conf/cf-parse.tab.c"
    break;

  case 2079: /* dynamic_attr: KRT_LOCK_SSTHRESH  */
#line 67 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16446 "obj/conf/cf-parse.tab.c"
    break;

  case 2080: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 68 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16453 "obj/conf/cf-parse.tab.c"
    break;

  case 2081: /* dynamic_attr: KRT_LOCK_CWND  */
#line 70 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16459 "obj/conf/cf-parse.tab.c"
    break;

  case 2082: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 71 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16465 "obj/conf/cf-parse.tab.c"
    break;

  case 2083: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 72 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16471 "obj/conf/cf-parse.tab.c"
    break;

  case 2084: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 73 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16477 "obj/conf/cf-parse.tab.c"
    break;

  case 2085: /* dynamic_attr: KRT_LOCK_INITCWND  */
#line 74 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16483 "obj/conf/cf-parse.tab.c"
    break;

  case 2086: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 76 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16489 "obj/conf/cf-parse.tab.c"
    break;

  case 2087: /* dynamic_attr: KRT_LOCK_INITRWND  */
#line 77 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16495 "obj/conf/cf-parse.tab.c"
    break;

  case 2088: /* dynamic_attr: KRT_LOCK_QUICKACK  */
#line 78 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16501 "obj/conf/cf-parse.tab.c"
    break;

  case 2089: /* dynamic_attr: KRT_LOCK_CONGCTL  */
#line 79 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16507 "obj/conf/cf-parse.tab.c"
    break;

  case 2090: /* dynamic_attr: KRT_LOCK_FASTOPEN_NO_COOKIE  */
#line 80 "sysdep/linux/netlink.Y"
                                          { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16513 "obj/conf/cf-parse.tab.c"
    break;

  case 2091: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 82 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16519 "obj/conf/cf-parse.tab.c"
    break;

  case 2092: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 83 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 16525 "obj/conf/cf-parse.tab.c"
    break;

  case 2095: /* log_begin: %empty  */
#line 36 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16531 "obj/conf/cf-parse.tab.c"
    break;

  case 2096: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 38 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16540 "obj/conf/cf-parse.tab.c"
    break;

  case 2097: /* syslog_name: NAME text  */
#line 45 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 16546 "obj/conf/cf-parse.tab.c"
    break;

  case 2098: /* syslog_name: %empty  */
#line 46 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 16552 "obj/conf/cf-parse.tab.c"
    break;

  case 2100: /* log_limit: expr text  */
#line 51 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16558 "obj/conf/cf-parse.tab.c"
    break;

  case 2101: /* log_file: text log_limit  */
#line 55 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16573 "obj/conf/cf-parse.tab.c"
    break;

  case 2102: /* log_file: SYSLOG syslog_name  */
#line 65 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16579 "obj/conf/cf-parse.tab.c"
    break;

  case 2103: /* log_file: STDERR  */
#line 66 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 16585 "obj/conf/cf-parse.tab.c"
    break;

  case 2104: /* log_file: UDP log_udp_host log_udp_port  */
#line 67 "sysdep/unix/config.Y"
                                 {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 16596 "obj/conf/cf-parse.tab.c"
    break;

  case 2105: /* log_udp_host: text_or_ipa  */
#line 76 "sysdep/unix/config.Y"
{
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 16608 "obj/conf/cf-parse.tab.c"
    break;

  case 2106: /* log_udp_port: %empty  */
#line 85 "sysdep/unix/config.Y"
                { this_log->port = 514; }
#line 16614 "obj/conf/cf-parse.tab.c"
    break;

  case 2107: /* log_udp_port: PORT NUM  */
#line 86 "sysdep/unix/config.Y"
             { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 16620 "obj/conf/cf-parse.tab.c"
    break;

  case 2108: /* log_mask: ALL  */
#line 90 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 16626 "obj/conf/cf-parse.tab.c"
    break;

  case 2109: /* log_mask: '{' log_mask_list '}'  */
#line 91 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 16632 "obj/conf/cf-parse.tab.c"
    break;

  case 2110: /* log_mask_list: log_cat  */
#line 95 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16638 "obj/conf/cf-parse.tab.c"
    break;

  case 2111: /* log_mask_list: log_mask_list ',' log_cat  */
#line 96 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16644 "obj/conf/cf-parse.tab.c"
    break;

  case 2112: /* log_cat: DEBUG  */
#line 100 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 16650 "obj/conf/cf-parse.tab.c"
    break;

  case 2113: /* log_cat: TRACE  */
#line 101 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 16656 "obj/conf/cf-parse.tab.c"
    break;

  case 2114: /* log_cat: INFO  */
#line 102 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 16662 "obj/conf/cf-parse.tab.c"
    break;

  case 2115: /* log_cat: REMOTE  */
#line 103 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 16668 "obj/conf/cf-parse.tab.c"
    break;

  case 2116: /* log_cat: WARNING  */
#line 104 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 16674 "obj/conf/cf-parse.tab.c"
    break;

  case 2117: /* log_cat: ERROR  */
#line 105 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 16680 "obj/conf/cf-parse.tab.c"
    break;

  case 2118: /* log_cat: AUTH  */
#line 106 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 16686 "obj/conf/cf-parse.tab.c"
    break;

  case 2119: /* log_cat: FATAL  */
#line 107 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 16692 "obj/conf/cf-parse.tab.c"
    break;

  case 2120: /* log_cat: BUG  */
#line 108 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 16698 "obj/conf/cf-parse.tab.c"
    break;

  case 2122: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 115 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16704 "obj/conf/cf-parse.tab.c"
    break;

  case 2123: /* mrtdump_base: MRTDUMP text ';'  */
#line 116 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16717 "obj/conf/cf-parse.tab.c"
    break;

  case 2125: /* debug_unix: DEBUG LATENCY bool  */
#line 130 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 16723 "obj/conf/cf-parse.tab.c"
    break;

  case 2126: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 131 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 16729 "obj/conf/cf-parse.tab.c"
    break;

  case 2127: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 132 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16735 "obj/conf/cf-parse.tab.c"
    break;

  case 2128: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 133 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16741 "obj/conf/cf-parse.tab.c"
    break;

  case 2130: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 142 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16747 "obj/conf/cf-parse.tab.c"
    break;

  case 2132: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 145 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16753 "obj/conf/cf-parse.tab.c"
    break;

  case 2134: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 152 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 16759 "obj/conf/cf-parse.tab.c"
    break;

  case 2136: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 155 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 16765 "obj/conf/cf-parse.tab.c"
    break;

  case 2138: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 158 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 16771 "obj/conf/cf-parse.tab.c"
    break;

  case 2140: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 161 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 16777 "obj/conf/cf-parse.tab.c"
    break;

  case 2142: /* cmd_DOWN: DOWN END  */
#line 164 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 16783 "obj/conf/cf-parse.tab.c"
    break;

  case 2144: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 169 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 16789 "obj/conf/cf-parse.tab.c"
    break;

  case 2145: /* cfg_name: %empty  */
#line 173 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 16795 "obj/conf/cf-parse.tab.c"
    break;

  case 2147: /* cfg_timeout: %empty  */
#line 178 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 16801 "obj/conf/cf-parse.tab.c"
    break;

  case 2148: /* cfg_timeout: TIMEOUT  */
#line 179 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16807 "obj/conf/cf-parse.tab.c"
    break;

  case 2149: /* cfg_timeout: TIMEOUT expr  */
#line 180 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 16813 "obj/conf/cf-parse.tab.c"
    break;

  case 2151: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16821 "obj/conf/cf-parse.tab.c"
    break;

  case 2154: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16827 "obj/conf/cf-parse.tab.c"
    break;

  case 2155: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 16833 "obj/conf/cf-parse.tab.c"
    break;

  case 2156: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16839 "obj/conf/cf-parse.tab.c"
    break;

  case 2157: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16845 "obj/conf/cf-parse.tab.c"
    break;

  case 2161: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16851 "obj/conf/cf-parse.tab.c"
    break;

  case 2162: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 16857 "obj/conf/cf-parse.tab.c"
    break;

  case 2163: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16866 "obj/conf/cf-parse.tab.c"
    break;

  case 2164: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16878 "obj/conf/cf-parse.tab.c"
    break;

  case 2165: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16884 "obj/conf/cf-parse.tab.c"
    break;

  case 2166: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16896 "obj/conf/cf-parse.tab.c"
    break;

  case 2168: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16902 "obj/conf/cf-parse.tab.c"
    break;

  case 2173: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16911 "obj/conf/cf-parse.tab.c"
    break;

  case 2174: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16921 "obj/conf/cf-parse.tab.c"
    break;

  case 2175: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 16927 "obj/conf/cf-parse.tab.c"
    break;

  case 2181: /* dynamic_attr: KRT_SOURCE  */
#line 138 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16933 "obj/conf/cf-parse.tab.c"
    break;

  case 2182: /* dynamic_attr: KRT_METRIC  */
#line 139 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16939 "obj/conf/cf-parse.tab.c"
    break;


#line 16943 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 59 "conf/gen_parser.m4"

#line 447 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 980 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 215 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 396 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 150 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 173 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 183 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

